<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UserGroup' => '\\StructType\\UserGroup',
            'ResultInfo' => '\\StructType\\ResultInfo',
            'UserGroupArray' => '\\ArrayType\\UserGroupArray',
            'UserGroupPagedResult' => '\\StructType\\UserGroupPagedResult',
            'User' => '\\StructType\\User',
            'UserCredentials' => '\\StructType\\UserCredentials',
            'UserV2' => '\\StructType\\UserV2',
            'UserV2Array' => '\\ArrayType\\UserV2Array',
            'UserV2PagedResult' => '\\StructType\\UserV2PagedResult',
            'Account' => '\\StructType\\Account',
            'AccountArray' => '\\ArrayType\\AccountArray',
            'AccountPagedResult' => '\\StructType\\AccountPagedResult',
            'AccountV2' => '\\StructType\\AccountV2',
            'AccountV2Array' => '\\ArrayType\\AccountV2Array',
            'AccountV2PagedResult' => '\\StructType\\AccountV2PagedResult',
            'Session' => '\\StructType\\Session',
            'SessionArray' => '\\ArrayType\\SessionArray',
            'SessionPagedResult' => '\\StructType\\SessionPagedResult',
            'intArray' => '\\ArrayType\\IntArray',
            'AccountCreationToken' => '\\StructType\\AccountCreationToken',
            'AccountOrderToken' => '\\StructType\\AccountOrderToken',
            'PCReeks' => '\\StructType\\PCReeks',
            'SearchParts' => '\\StructType\\SearchParts',
            'PCReeksArray' => '\\ArrayType\\PCReeksArray',
            'PCReeksSearchPartsPagedResult' => '\\StructType\\PCReeksSearchPartsPagedResult',
            'Perceel' => '\\StructType\\Perceel',
            'PerceelArray' => '\\ArrayType\\PerceelArray',
            'PerceelSearchPartsPagedResult' => '\\StructType\\PerceelSearchPartsPagedResult',
            'RangeAddress' => '\\StructType\\RangeAddress',
            'RangeAddressArray' => '\\ArrayType\\RangeAddressArray',
            'RangeAddressPagedResult' => '\\StructType\\RangeAddressPagedResult',
            'District' => '\\StructType\\District',
            'DistrictArray' => '\\ArrayType\\DistrictArray',
            'DistrictPagedResult' => '\\StructType\\DistrictPagedResult',
            'City' => '\\StructType\\City',
            'CityArray' => '\\ArrayType\\CityArray',
            'CityPagedResult' => '\\StructType\\CityPagedResult',
            'CityV2' => '\\StructType\\CityV2',
            'CityV2Array' => '\\ArrayType\\CityV2Array',
            'CityV2PagedResult' => '\\StructType\\CityV2PagedResult',
            'Province' => '\\StructType\\Province',
            'ProvinceArray' => '\\ArrayType\\ProvinceArray',
            'ProvincePagedResult' => '\\StructType\\ProvincePagedResult',
            'Neighborhood' => '\\StructType\\Neighborhood',
            'NeighborhoodArray' => '\\ArrayType\\NeighborhoodArray',
            'NeighborhoodPagedResult' => '\\StructType\\NeighborhoodPagedResult',
            'NeighborhoodName' => '\\StructType\\NeighborhoodName',
            'NeighborhoodNameArray' => '\\ArrayType\\NeighborhoodNameArray',
            'NeighborhoodNamePagedResult' => '\\StructType\\NeighborhoodNamePagedResult',
            'AreaCode' => '\\StructType\\AreaCode',
            'AreaCodeArray' => '\\ArrayType\\AreaCodeArray',
            'AreaCodePagedResult' => '\\StructType\\AreaCodePagedResult',
            'HeaderAuthenticateType' => '\\StructType\\HeaderAuthenticateType',
            'HeaderLoginType' => '\\StructType\\HeaderLoginType',
            'BelgianBusinessDossier' => '\\StructType\\BelgianBusinessDossier',
            'BelgianBusinessDossierErrors' => '\\StructType\\BelgianBusinessDossierErrors',
            'BelgianBusinessCompany' => '\\StructType\\BelgianBusinessCompany',
            'BelgianBusinessAnnualFinancialStatementArray' => '\\ArrayType\\BelgianBusinessAnnualFinancialStatementArray',
            'BelgianBusinessAnnualFinancialStatement' => '\\StructType\\BelgianBusinessAnnualFinancialStatement',
            'BelgianBusinessStakeHolderArray' => '\\ArrayType\\BelgianBusinessStakeHolderArray',
            'BelgianBusinessStakeHolder' => '\\StructType\\BelgianBusinessStakeHolder',
            'BelgianBusinessLegalRepresentativeArray' => '\\ArrayType\\BelgianBusinessLegalRepresentativeArray',
            'BelgianBusinessLegalRepresentative' => '\\StructType\\BelgianBusinessLegalRepresentative',
            'BelgianBusinessLegalRepresentativeCompanyArray' => '\\ArrayType\\BelgianBusinessLegalRepresentativeCompanyArray',
            'BelgianBusinessLegalRepresentativeCompany' => '\\StructType\\BelgianBusinessLegalRepresentativeCompany',
            'BelgianBusinessFinancialValues' => '\\StructType\\BelgianBusinessFinancialValues',
            'BelgianBusinessSocialBalance' => '\\StructType\\BelgianBusinessSocialBalance',
            'BelgianBusinessRatios' => '\\StructType\\BelgianBusinessRatios',
            'BelgianBusinessRevisorArray' => '\\ArrayType\\BelgianBusinessRevisorArray',
            'BelgianBusinessRevisor' => '\\StructType\\BelgianBusinessRevisor',
            'BelgianBusinessBankAccountArray' => '\\ArrayType\\BelgianBusinessBankAccountArray',
            'BelgianBusinessBankAccount' => '\\StructType\\BelgianBusinessBankAccount',
            'BelgianBusinessAddressArray' => '\\ArrayType\\BelgianBusinessAddressArray',
            'BelgianBusinessAddress' => '\\StructType\\BelgianBusinessAddress',
            'BelgianBusinessInternationalAddressArray' => '\\ArrayType\\BelgianBusinessInternationalAddressArray',
            'BelgianBusinessInternationalAddress' => '\\StructType\\BelgianBusinessInternationalAddress',
            'BelgianBusinessDatedItemArray' => '\\ArrayType\\BelgianBusinessDatedItemArray',
            'BelgianBusinessDatedItem' => '\\StructType\\BelgianBusinessDatedItem',
            'BelgianBusinessDate' => '\\StructType\\BelgianBusinessDate',
            'BovagMember' => '\\StructType\\BovagMember',
            'BovagDepartment' => '\\StructType\\BovagDepartment',
            'BovagDepartmentArray' => '\\ArrayType\\BovagDepartmentArray',
            'DutchBusinessIdentifiers' => '\\StructType\\DutchBusinessIdentifiers',
            'BusinessReference' => '\\StructType\\BusinessReference',
            'BusinessReferenceArray' => '\\ArrayType\\BusinessReferenceArray',
            'BusinessReferencePagedResult' => '\\StructType\\BusinessReferencePagedResult',
            'BusinessReferenceV2' => '\\StructType\\BusinessReferenceV2',
            'BusinessReferenceV2Array' => '\\ArrayType\\BusinessReferenceV2Array',
            'BusinessReferenceV2PagedResult' => '\\StructType\\BusinessReferenceV2PagedResult',
            'BusinessReferenceV3' => '\\StructType\\BusinessReferenceV3',
            'BusinessReferenceV3Array' => '\\ArrayType\\BusinessReferenceV3Array',
            'BusinessReferenceV3PagedResult' => '\\StructType\\BusinessReferenceV3PagedResult',
            'BusinessDossier' => '\\StructType\\BusinessDossier',
            'BusinessDossierArray' => '\\ArrayType\\BusinessDossierArray',
            'BusinessDossierPagedResult' => '\\StructType\\BusinessDossierPagedResult',
            'BusinessDossierV2' => '\\StructType\\BusinessDossierV2',
            'BusinessDossierV2Array' => '\\ArrayType\\BusinessDossierV2Array',
            'BusinessDossierV2PagedResult' => '\\StructType\\BusinessDossierV2PagedResult',
            'BusinessDossierV3' => '\\StructType\\BusinessDossierV3',
            'BusinessDossierV3Array' => '\\ArrayType\\BusinessDossierV3Array',
            'BusinessDossierV3PagedResult' => '\\StructType\\BusinessDossierV3PagedResult',
            'BusinessDossierExtended' => '\\StructType\\BusinessDossierExtended',
            'BusinessDossierExtendedPart' => '\\StructType\\BusinessDossierExtendedPart',
            'BusinessDate' => '\\StructType\\BusinessDate',
            'BusinessDossierSBI' => '\\StructType\\BusinessDossierSBI',
            'BusinessBIKSection' => '\\StructType\\BusinessBIKSection',
            'BusinessBIKSectionArray' => '\\ArrayType\\BusinessBIKSectionArray',
            'BusinessSBISection' => '\\StructType\\BusinessSBISection',
            'BusinessSBISectionArray' => '\\ArrayType\\BusinessSBISectionArray',
            'BusinessBIKCode' => '\\StructType\\BusinessBIKCode',
            'BusinessBIKCodeArray' => '\\ArrayType\\BusinessBIKCodeArray',
            'BusinessSBICode' => '\\StructType\\BusinessSBICode',
            'BusinessSBICodeArray' => '\\ArrayType\\BusinessSBICodeArray',
            'BusinessBIKCodeInfo' => '\\StructType\\BusinessBIKCodeInfo',
            'BusinessSBICodeInfo' => '\\StructType\\BusinessSBICodeInfo',
            'BusinessUpdateReference' => '\\StructType\\BusinessUpdateReference',
            'BusinessUpdateReferenceArray' => '\\ArrayType\\BusinessUpdateReferenceArray',
            'BusinessUpdateReferencePagedResult' => '\\StructType\\BusinessUpdateReferencePagedResult',
            'stringArray' => '\\ArrayType\\StringArray',
            'Car' => '\\StructType\\Car',
            'CarV3' => '\\StructType\\CarV3',
            'CarV2' => '\\StructType\\CarV2',
            'CarDataV3Result' => '\\StructType\\CarDataV3Result',
            'CarBP' => '\\StructType\\CarBP',
            'CarBPV2' => '\\StructType\\CarBPV2',
            'CarExtended' => '\\StructType\\CarExtended',
            'CarCheckCode' => '\\StructType\\CarCheckCode',
            'CarVWEMeldcodeCheck' => '\\StructType\\CarVWEMeldcodeCheck',
            'CarType' => '\\StructType\\CarType',
            'CarTypeArray' => '\\ArrayType\\CarTypeArray',
            'CarOptions' => '\\StructType\\CarOptions',
            'CarOption' => '\\StructType\\CarOption',
            'CarVWEPrices' => '\\StructType\\CarVWEPrices',
            'CarVWEBasicTypeData' => '\\StructType\\CarVWEBasicTypeData',
            'CarVWEVersionPrice' => '\\StructType\\CarVWEVersionPrice',
            'CarVWEVersionYearData' => '\\StructType\\CarVWEVersionYearData',
            'CarVWEVersionPriceReference' => '\\StructType\\CarVWEVersionPriceReference',
            'CarVWEVersionPriceReferenceArray' => '\\ArrayType\\CarVWEVersionPriceReferenceArray',
            'CarVWEBrand' => '\\StructType\\CarVWEBrand',
            'CarVWEBrandArray' => '\\ArrayType\\CarVWEBrandArray',
            'CarVWEBrandPagedResult' => '\\StructType\\CarVWEBrandPagedResult',
            'CarVWEModel' => '\\StructType\\CarVWEModel',
            'CarVWEModelArray' => '\\ArrayType\\CarVWEModelArray',
            'CarVWEModelPagedResult' => '\\StructType\\CarVWEModelPagedResult',
            'CarVWEVersion' => '\\StructType\\CarVWEVersion',
            'CarVWEVersionArray' => '\\ArrayType\\CarVWEVersionArray',
            'CarVWEVersionPagedResult' => '\\StructType\\CarVWEVersionPagedResult',
            'CarVWEPhoto' => '\\StructType\\CarVWEPhoto',
            'CarVWEPhotoArray' => '\\ArrayType\\CarVWEPhotoArray',
            'CarVWEOptions' => '\\StructType\\CarVWEOptions',
            'CarVWEOptionsStandard' => '\\StructType\\CarVWEOptionsStandard',
            'CarVWEOptionsManufacture' => '\\StructType\\CarVWEOptionsManufacture',
            'CarVWEOptionsPackage' => '\\StructType\\CarVWEOptionsPackage',
            'CarVWEOptionPackage' => '\\StructType\\CarVWEOptionPackage',
            'CarVWEOptionPackageArray' => '\\ArrayType\\CarVWEOptionPackageArray',
            'CarVWEOption' => '\\StructType\\CarVWEOption',
            'CarVWEOptionArray' => '\\ArrayType\\CarVWEOptionArray',
            'CarRDWCarDataPrice' => '\\StructType\\CarRDWCarDataPrice',
            'CarStatus' => '\\StructType\\CarStatus',
            'CarEnvironment' => '\\StructType\\CarEnvironment',
            'CarBody' => '\\StructType\\CarBody',
            'CarBodyArray' => '\\ArrayType\\CarBodyArray',
            'CarATDPrices' => '\\StructType\\CarATDPrices',
            'CarATDValuation' => '\\StructType\\CarATDValuation',
            'CarATDValuationArray' => '\\ArrayType\\CarATDValuationArray',
            'CompliancePersonReference' => '\\StructType\\CompliancePersonReference',
            'CompliancePersonReferenceArray' => '\\ArrayType\\CompliancePersonReferenceArray',
            'CompliancePersonSearchReference' => '\\StructType\\CompliancePersonSearchReference',
            'CompliancePersonSearchReferenceArray' => '\\ArrayType\\CompliancePersonSearchReferenceArray',
            'CompliancePersonSearchReferencePagedResult' => '\\StructType\\CompliancePersonSearchReferencePagedResult',
            'CompliancePerson' => '\\StructType\\CompliancePerson',
            'ComplianceBusiness' => '\\StructType\\ComplianceBusiness',
            'ComplianceAddressReference' => '\\StructType\\ComplianceAddressReference',
            'ComplianceAddressReferenceArray' => '\\ArrayType\\ComplianceAddressReferenceArray',
            'ComplianceRoleReference' => '\\StructType\\ComplianceRoleReference',
            'ComplianceRoleReferenceArray' => '\\ArrayType\\ComplianceRoleReferenceArray',
            'ComplianceDate' => '\\StructType\\ComplianceDate',
            'ComplianceBusinessReference' => '\\StructType\\ComplianceBusinessReference',
            'ComplianceBusinessReferenceArray' => '\\ArrayType\\ComplianceBusinessReferenceArray',
            'ComplianceBusinessSearchReference' => '\\StructType\\ComplianceBusinessSearchReference',
            'ComplianceBusinessSearchReferenceArray' => '\\ArrayType\\ComplianceBusinessSearchReferenceArray',
            'ComplianceBusinessSearchReferencePagedResult' => '\\StructType\\ComplianceBusinessSearchReferencePagedResult',
            'ComplianceDocumentReference' => '\\StructType\\ComplianceDocumentReference',
            'ComplianceDocumentReferenceArray' => '\\ArrayType\\ComplianceDocumentReferenceArray',
            'ComplianceSanctionReference' => '\\StructType\\ComplianceSanctionReference',
            'ComplianceSanctionReferenceArray' => '\\ArrayType\\ComplianceSanctionReferenceArray',
            'ComplianceNoteReference' => '\\StructType\\ComplianceNoteReference',
            'ComplianceNoteReferenceArray' => '\\ArrayType\\ComplianceNoteReferenceArray',
            'CreditsafeCompany' => '\\StructType\\CreditsafeCompany',
            'CreditsafeCompanyArray' => '\\ArrayType\\CreditsafeCompanyArray',
            'CreditsafeCompanyPagedResult' => '\\StructType\\CreditsafeCompanyPagedResult',
            'CreditsafeCompanyReportFull' => '\\StructType\\CreditsafeCompanyReportFull',
            'CreditsafeCompanyV2' => '\\StructType\\CreditsafeCompanyV2',
            'CreditsafeLtdCompanySummary' => '\\StructType\\CreditsafeLtdCompanySummary',
            'CreditsafeLtdCompanyIdentification' => '\\StructType\\CreditsafeLtdCompanyIdentification',
            'CreditsafeChangedString' => '\\StructType\\CreditsafeChangedString',
            'CreditsafeChangedStringArray' => '\\ArrayType\\CreditsafeChangedStringArray',
            'CreditsafeLtdCreditScore' => '\\StructType\\CreditsafeLtdCreditScore',
            'CreditsafeLtdContactInformation' => '\\StructType\\CreditsafeLtdContactInformation',
            'CreditsafeLtdShareCapitalStructure' => '\\StructType\\CreditsafeLtdShareCapitalStructure',
            'CreditsafeLtdDirectors' => '\\StructType\\CreditsafeLtdDirectors',
            'CreditsafeLtdOtherInformation' => '\\StructType\\CreditsafeLtdOtherInformation',
            'CreditsafeLtdGroupStructure' => '\\StructType\\CreditsafeLtdGroupStructure',
            'CreditsafeLtdCompanyBasicInformation' => '\\StructType\\CreditsafeLtdCompanyBasicInformation',
            'CreditsafeStreetAddressWithTelephone' => '\\StructType\\CreditsafeStreetAddressWithTelephone',
            'CreditsafeStreetAddressWithTelephoneArray' => '\\ArrayType\\CreditsafeStreetAddressWithTelephoneArray',
            'CreditsafeCompanyListEntry' => '\\StructType\\CreditsafeCompanyListEntry',
            'CreditsafeCompanyListEntryArray' => '\\ArrayType\\CreditsafeCompanyListEntryArray',
            'CreditsafeLtdFinancialStatement' => '\\StructType\\CreditsafeLtdFinancialStatement',
            'CreditsafeLtdFinancialStatementArray' => '\\ArrayType\\CreditsafeLtdFinancialStatementArray',
            'CreditsafeCompanyActivity' => '\\StructType\\CreditsafeCompanyActivity',
            'CreditsafeCompanyActivityArray' => '\\ArrayType\\CreditsafeCompanyActivityArray',
            'CreditsafeStreetAddress' => '\\StructType\\CreditsafeStreetAddress',
            'CreditsafeStreetAddressArray' => '\\ArrayType\\CreditsafeStreetAddressArray',
            'CreditsafeShareHolder' => '\\StructType\\CreditsafeShareHolder',
            'CreditsafeShareHolderArray' => '\\ArrayType\\CreditsafeShareHolderArray',
            'CreditsafeDirector' => '\\StructType\\CreditsafeDirector',
            'CreditsafeDirectorArray' => '\\ArrayType\\CreditsafeDirectorArray',
            'CreditsafePreviousDirector' => '\\StructType\\CreditsafePreviousDirector',
            'CreditsafePreviousDirectorArray' => '\\ArrayType\\CreditsafePreviousDirectorArray',
            'CreditsafeBanker' => '\\StructType\\CreditsafeBanker',
            'CreditsafeBankerArray' => '\\ArrayType\\CreditsafeBankerArray',
            'CreditsafeAdvisor' => '\\StructType\\CreditsafeAdvisor',
            'CreditsafeAdvisorArray' => '\\ArrayType\\CreditsafeAdvisorArray',
            'CreditsafeEmployeeInformation' => '\\StructType\\CreditsafeEmployeeInformation',
            'CreditsafeEmployeeInformationArray' => '\\ArrayType\\CreditsafeEmployeeInformationArray',
            'CreditsafeProfitAndLossFigures' => '\\StructType\\CreditsafeProfitAndLossFigures',
            'CreditsafeBalanceSheet' => '\\StructType\\CreditsafeBalanceSheet',
            'CreditsafeOtherFinancials' => '\\StructType\\CreditsafeOtherFinancials',
            'CreditsafeFinancialRatios' => '\\StructType\\CreditsafeFinancialRatios',
            'CreditsafeCompanyUpdate' => '\\StructType\\CreditsafeCompanyUpdate',
            'CreditsafeCompanyUpdateArray' => '\\ArrayType\\CreditsafeCompanyUpdateArray',
            'CreditsafeCompanyUpdatePagedResult' => '\\StructType\\CreditsafeCompanyUpdatePagedResult',
            'CreditsafeAdditionalInformation' => '\\StructType\\CreditsafeAdditionalInformation',
            'CreditsafeNlAdditionalInformation' => '\\StructType\\CreditsafeNlAdditionalInformation',
            'CreditsafeNlNegativeInformation' => '\\StructType\\CreditsafeNlNegativeInformation',
            'CreditsafeNlCourtData' => '\\StructType\\CreditsafeNlCourtData',
            'CreditsafeNlCourtDataFacts' => '\\StructType\\CreditsafeNlCourtDataFacts',
            'CreditsafeNlCourtDataReceiver' => '\\StructType\\CreditsafeNlCourtDataReceiver',
            'CreditsafeNlMisc' => '\\StructType\\CreditsafeNlMisc',
            'CreditsafeIndustryQuartilyAnalysis' => '\\StructType\\CreditsafeIndustryQuartilyAnalysis',
            'CreditsafeQuartiles' => '\\StructType\\CreditsafeQuartiles',
            'CreditsafeNlPaymentExpectationsSummary' => '\\StructType\\CreditsafeNlPaymentExpectationsSummary',
            'CreditsafeNlLettersOfLiabilityInformation403' => '\\StructType\\CreditsafeNlLettersOfLiabilityInformation403',
            'CreditsafeNlLettersOfLiability' => '\\StructType\\CreditsafeNlLettersOfLiability',
            'CreditsafeNlLettersOfLiabilityArray' => '\\ArrayType\\CreditsafeNlLettersOfLiabilityArray',
            'CreditsafeBeAdditionalInformation' => '\\StructType\\CreditsafeBeAdditionalInformation',
            'CreditsafeBeNegativeInformation' => '\\StructType\\CreditsafeBeNegativeInformation',
            'CreditsafeBeNSSODetail' => '\\StructType\\CreditsafeBeNSSODetail',
            'CreditsafeBeNSSODetailArray' => '\\ArrayType\\CreditsafeBeNSSODetailArray',
            'CreditsafeBeProtestedBill' => '\\StructType\\CreditsafeBeProtestedBill',
            'CreditsafeBeProtestedBillArray' => '\\ArrayType\\CreditsafeBeProtestedBillArray',
            'CreditsafeBeBankruptcyEvent' => '\\StructType\\CreditsafeBeBankruptcyEvent',
            'CreditsafeBeBankruptcyEventArray' => '\\ArrayType\\CreditsafeBeBankruptcyEventArray',
            'CreditsafeBeMisc' => '\\StructType\\CreditsafeBeMisc',
            'CreditsafeBePaymentExpectationsSummary' => '\\StructType\\CreditsafeBePaymentExpectationsSummary',
            'CreditsafeBeIndustryComparison' => '\\StructType\\CreditsafeBeIndustryComparison',
            'CreditsafeBeRegisteredContractor' => '\\StructType\\CreditsafeBeRegisteredContractor',
            'CreditsafeBeRegisteredContractorArray' => '\\ArrayType\\CreditsafeBeRegisteredContractorArray',
            'CreditsafeBeEvent' => '\\StructType\\CreditsafeBeEvent',
            'CreditsafeBeEventArray' => '\\ArrayType\\CreditsafeBeEventArray',
            'CreditsafeSearchResultV2' => '\\StructType\\CreditsafeSearchResultV2',
            'CreditsafeCompanyV2Array' => '\\ArrayType\\CreditsafeCompanyV2Array',
            'CreditsafeAddressV2' => '\\StructType\\CreditsafeAddressV2',
            'CreditsafeAddressV2Array' => '\\ArrayType\\CreditsafeAddressV2Array',
            'CreditsafeSearchCriteria' => '\\StructType\\CreditsafeSearchCriteria',
            'CreditsafeSearchCriteriaCombination' => '\\StructType\\CreditsafeSearchCriteriaCombination',
            'CreditsafeSearchCriteriaCombinationArray' => '\\ArrayType\\CreditsafeSearchCriteriaCombinationArray',
            'CreditsafeSearchCriteriaParam' => '\\StructType\\CreditsafeSearchCriteriaParam',
            'CreditsafeSearchCriteriaParamArray' => '\\ArrayType\\CreditsafeSearchCriteriaParamArray',
            'CreditsafeCompanyReportFullV2' => '\\StructType\\CreditsafeCompanyReportFullV2',
            'CreditsafeCompanyReportFullV2Array' => '\\ArrayType\\CreditsafeCompanyReportFullV2Array',
            'CreditsafeCompanyReportFullPdfV2' => '\\StructType\\CreditsafeCompanyReportFullPdfV2',
            'CreditsafeCompanyReportFullPdfV2Array' => '\\ArrayType\\CreditsafeCompanyReportFullPdfV2Array',
            'CreditsafeCompanyPaymentDataV2' => '\\StructType\\CreditsafeCompanyPaymentDataV2',
            'CreditsafeCompanyPaymentDataV2Array' => '\\ArrayType\\CreditsafeCompanyPaymentDataV2Array',
            'CreditsafeCompanyShareCapitalStructureV2' => '\\StructType\\CreditsafeCompanyShareCapitalStructureV2',
            'CreditsafeCompanyShareCapitalStructureV2Array' => '\\ArrayType\\CreditsafeCompanyShareCapitalStructureV2Array',
            'CreditsafeCompanyShareHolderV2' => '\\StructType\\CreditsafeCompanyShareHolderV2',
            'CreditsafeCompanyShareHolderV2Array' => '\\ArrayType\\CreditsafeCompanyShareHolderV2Array',
            'CreditsafeCompanyOtherInformationV2' => '\\StructType\\CreditsafeCompanyOtherInformationV2',
            'CreditsafeCompanyOtherInformationV2Array' => '\\ArrayType\\CreditsafeCompanyOtherInformationV2Array',
            'CreditsafeCompanyEmployeeInformationV2' => '\\StructType\\CreditsafeCompanyEmployeeInformationV2',
            'CreditsafeCompanyEmployeeInformationV2Array' => '\\ArrayType\\CreditsafeCompanyEmployeeInformationV2Array',
            'CreditsafeCompanyAdvisorV2' => '\\StructType\\CreditsafeCompanyAdvisorV2',
            'CreditsafeCompanyAdvisorV2Array' => '\\ArrayType\\CreditsafeCompanyAdvisorV2Array',
            'CreditsafeCompanyBankerV2' => '\\StructType\\CreditsafeCompanyBankerV2',
            'CreditsafeCompanyBankerV2Array' => '\\ArrayType\\CreditsafeCompanyBankerV2Array',
            'CreditsafeCompanyNegativeInformationV2' => '\\StructType\\CreditsafeCompanyNegativeInformationV2',
            'CreditsafeCompanyNegativeInformationV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationV2Array',
            'CreditsafeCompanyNegativeInformationDEV2' => '\\StructType\\CreditsafeCompanyNegativeInformationDEV2',
            'CreditsafeCompanyNegativeInformationDEV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationDEV2Array',
            'CreditsafeCompanyNegativeInformationDEDirectorEventV2' => '\\StructType\\CreditsafeCompanyNegativeInformationDEDirectorEventV2',
            'CreditsafeCompanyNegativeInformationDEDirectorEventV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationDEDirectorEventV2Array',
            'CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2' => '\\StructType\\CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2',
            'CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2Array',
            'CreditsafeCompanyNegativeInformationDETrusteeV2' => '\\StructType\\CreditsafeCompanyNegativeInformationDETrusteeV2',
            'CreditsafeCompanyNegativeInformationDETrusteeV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationDETrusteeV2Array',
            'CreditsafeCompanyNegativeInformationDEInsolvencyEventV2' => '\\StructType\\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2',
            'CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array',
            'CreditsafeCompanyNegativeInformationDEBankruptcyV2' => '\\StructType\\CreditsafeCompanyNegativeInformationDEBankruptcyV2',
            'CreditsafeCompanyNegativeInformationDEBankruptcyV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationDEBankruptcyV2Array',
            'CreditsafeCompanyNegativeInformationNLV2' => '\\StructType\\CreditsafeCompanyNegativeInformationNLV2',
            'CreditsafeCompanyNegativeInformationNLV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationNLV2Array',
            'CreditsafeCompanyNegativeInformationNLCourtItemV2' => '\\StructType\\CreditsafeCompanyNegativeInformationNLCourtItemV2',
            'CreditsafeCompanyNegativeInformationNLCourtItemV2Array' => '\\ArrayType\\CreditsafeCompanyNegativeInformationNLCourtItemV2Array',
            'CreditsafeCompanyGroupStructureV2' => '\\StructType\\CreditsafeCompanyGroupStructureV2',
            'CreditsafeCompanyGroupStructureV2Array' => '\\ArrayType\\CreditsafeCompanyGroupStructureV2Array',
            'CreditsafeCompanyCompanyV2' => '\\StructType\\CreditsafeCompanyCompanyV2',
            'CreditsafeCompanyCompanyV2Array' => '\\ArrayType\\CreditsafeCompanyCompanyV2Array',
            'CreditsafeCompanyFinancialStatementV2' => '\\StructType\\CreditsafeCompanyFinancialStatementV2',
            'CreditsafeCompanyFinancialStatementV2Array' => '\\ArrayType\\CreditsafeCompanyFinancialStatementV2Array',
            'CreditsafeCompanyRatiosV2' => '\\StructType\\CreditsafeCompanyRatiosV2',
            'CreditsafeCompanyRatiosV2Array' => '\\ArrayType\\CreditsafeCompanyRatiosV2Array',
            'CreditsafeCompanyProfitAndLossV2' => '\\StructType\\CreditsafeCompanyProfitAndLossV2',
            'CreditsafeCompanyProfitAndLossV2Array' => '\\ArrayType\\CreditsafeCompanyProfitAndLossV2Array',
            'CreditsafeCompanyOtherFinancialsV2' => '\\StructType\\CreditsafeCompanyOtherFinancialsV2',
            'CreditsafeCompanyOtherFinancialsV2Array' => '\\ArrayType\\CreditsafeCompanyOtherFinancialsV2Array',
            'CreditsafeCompanyBalanceSheetV2' => '\\StructType\\CreditsafeCompanyBalanceSheetV2',
            'CreditsafeCompanyBalanceSheetV2Array' => '\\ArrayType\\CreditsafeCompanyBalanceSheetV2Array',
            'CreditsafePersonDirectorsV2' => '\\StructType\\CreditsafePersonDirectorsV2',
            'CreditsafePersonDirectorsV2Array' => '\\ArrayType\\CreditsafePersonDirectorsV2Array',
            'CreditsafePersonPreviousDirectorV2' => '\\StructType\\CreditsafePersonPreviousDirectorV2',
            'CreditsafePersonPreviousDirectorV2Array' => '\\ArrayType\\CreditsafePersonPreviousDirectorV2Array',
            'CreditsafePersonDirectorV2' => '\\StructType\\CreditsafePersonDirectorV2',
            'CreditsafePersonDirectorV2Array' => '\\ArrayType\\CreditsafePersonDirectorV2Array',
            'CreditsafePersonPositionV2' => '\\StructType\\CreditsafePersonPositionV2',
            'CreditsafePersonPositionV2Array' => '\\ArrayType\\CreditsafePersonPositionV2Array',
            'CreditsafeCompanyCreditScoreV2' => '\\StructType\\CreditsafeCompanyCreditScoreV2',
            'CreditsafeCompanyCreditScoreV2Array' => '\\ArrayType\\CreditsafeCompanyCreditScoreV2Array',
            'CreditsafeCompanyContactInformationV2' => '\\StructType\\CreditsafeCompanyContactInformationV2',
            'CreditsafeCompanyContactInformationV2Array' => '\\ArrayType\\CreditsafeCompanyContactInformationV2Array',
            'CreditsafeCompanySummaryV2' => '\\StructType\\CreditsafeCompanySummaryV2',
            'CreditsafeCompanySummaryV2Array' => '\\ArrayType\\CreditsafeCompanySummaryV2Array',
            'CreditsafeCompanyCreditRatingV2' => '\\StructType\\CreditsafeCompanyCreditRatingV2',
            'CreditsafeCompanyCreditRatingV2Array' => '\\ArrayType\\CreditsafeCompanyCreditRatingV2Array',
            'CreditsafeCompanyIdentificationV2' => '\\StructType\\CreditsafeCompanyIdentificationV2',
            'CreditsafeCompanyIdentificationV2Array' => '\\ArrayType\\CreditsafeCompanyIdentificationV2Array',
            'CreditsafeCompanyActivityClassificationV2' => '\\StructType\\CreditsafeCompanyActivityClassificationV2',
            'CreditsafeCompanyActivityClassificationV2Array' => '\\ArrayType\\CreditsafeCompanyActivityClassificationV2Array',
            'CreditsafeCompanyActivityV2' => '\\StructType\\CreditsafeCompanyActivityV2',
            'CreditsafeCompanyActivityV2Array' => '\\ArrayType\\CreditsafeCompanyActivityV2Array',
            'CreditsafeCompanyBasicInformationV2' => '\\StructType\\CreditsafeCompanyBasicInformationV2',
            'CreditsafeCompanyBasicInformationV2Array' => '\\ArrayType\\CreditsafeCompanyBasicInformationV2Array',
            'CreditsafeDescriptionV2' => '\\StructType\\CreditsafeDescriptionV2',
            'CreditsafeDescriptionV2Array' => '\\ArrayType\\CreditsafeDescriptionV2Array',
            'CreditsafeCompanyStatusV2' => '\\StructType\\CreditsafeCompanyStatusV2',
            'CreditsafeCompanyStatusV2Array' => '\\ArrayType\\CreditsafeCompanyStatusV2Array',
            'CreditsafeCompanyAdditionalInformationV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationV2',
            'CreditsafeCompanyAdditionalInformationV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationV2Array',
            'CreditsafeCompanyKeyValueV2' => '\\StructType\\CreditsafeCompanyKeyValueV2',
            'CreditsafeCompanyKeyValueV2Array' => '\\ArrayType\\CreditsafeCompanyKeyValueV2Array',
            'CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2',
            'CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2Array',
            'CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2',
            'CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array',
            'CreditsafeCompanyAdditionalInformationNLKvkFilingV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLKvkFilingV2',
            'CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array',
            'CreditsafeCompanyAdditionalInformationNLFinancialItemV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLFinancialItemV2',
            'CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array',
            'CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2',
            'CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2Array',
            'CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2',
            'CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2Array',
            'CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2',
            'CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2Array',
            'CreditsafeCompanyAdditionalInformationNLMiscellaneousV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2',
            'CreditsafeCompanyAdditionalInformationNLMiscellaneousV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2Array',
            'CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2',
            'CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2Array',
            'CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2',
            'CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2Array',
            'CreditsafeCompanyAdditionalInformationHistoricalEventV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationHistoricalEventV2',
            'CreditsafeCompanyAdditionalInformationHistoricalEventV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array',
            'CreditsafeCompanyAdditionalInformationCommentV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationCommentV2',
            'CreditsafeCompanyAdditionalInformationCommentV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationCommentV2Array',
            'CreditsafeCompanyAdditionalInformationDETurnoverRangeV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2',
            'CreditsafeCompanyAdditionalInformationDETurnoverRangeV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2Array',
            'CreditsafeCompanyAdditionalInformationDEOwnerV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationDEOwnerV2',
            'CreditsafeCompanyAdditionalInformationDEOwnerV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationDEOwnerV2Array',
            'CreditsafeCompanyAdditionalInformationDEImageAccountV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationDEImageAccountV2',
            'CreditsafeCompanyAdditionalInformationDEImageAccountV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationDEImageAccountV2Array',
            'CreditsafeCompanyAdditionalInformationDEMiscellaneousV2' => '\\StructType\\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2',
            'CreditsafeCompanyAdditionalInformationDEMiscellaneousV2Array' => '\\ArrayType\\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2Array',
            'CreditsafeValueV2' => '\\StructType\\CreditsafeValueV2',
            'CreditsafeValueV2Array' => '\\ArrayType\\CreditsafeValueV2Array',
            'DNBBusinessReference' => '\\StructType\\DNBBusinessReference',
            'DNBBusinessReferenceArray' => '\\ArrayType\\DNBBusinessReferenceArray',
            'DNBBusinessReferencePagedResult' => '\\StructType\\DNBBusinessReferencePagedResult',
            'DNBBusinessReferenceV2' => '\\StructType\\DNBBusinessReferenceV2',
            'DNBBusinessReferenceV2Array' => '\\ArrayType\\DNBBusinessReferenceV2Array',
            'DNBBusinessReferenceV2PagedResult' => '\\StructType\\DNBBusinessReferenceV2PagedResult',
            'DNBQuickCheck' => '\\StructType\\DNBQuickCheck',
            'DNBBusinessVerification' => '\\StructType\\DNBBusinessVerification',
            'DNBEnterpriseManagement' => '\\StructType\\DNBEnterpriseManagement',
            'DNBScoreGroup' => '\\StructType\\DNBScoreGroup',
            'DNBScoreGroupArray' => '\\ArrayType\\DNBScoreGroupArray',
            'DNBCommentary' => '\\StructType\\DNBCommentary',
            'DNBCommentaryArray' => '\\ArrayType\\DNBCommentaryArray',
            'DNBRelatedBusiness' => '\\StructType\\DNBRelatedBusiness',
            'DNBEmployeeCount' => '\\StructType\\DNBEmployeeCount',
            'DNBMonetaryAmount' => '\\StructType\\DNBMonetaryAmount',
            'DNBMarketing' => '\\StructType\\DNBMarketing',
            'DNBMarketingPlusResult' => '\\StructType\\DNBMarketingPlusResult',
            'DNBMarketingPlusLinkageResult' => '\\StructType\\DNBMarketingPlusLinkageResult',
            'DNBMarketingPlus' => '\\StructType\\DNBMarketingPlus',
            'DNBMarketingPlusLinkage' => '\\StructType\\DNBMarketingPlusLinkage',
            'DNBAddress' => '\\StructType\\DNBAddress',
            'DNBSICCode' => '\\StructType\\DNBSICCode',
            'DNBSICCodeArray' => '\\ArrayType\\DNBSICCodeArray',
            'DriveInfo' => '\\StructType\\DriveInfo',
            'DutchAddressPostcodeRange' => '\\StructType\\DutchAddressPostcodeRange',
            'DutchBusinessDossier' => '\\StructType\\DutchBusinessDossier',
            'DutchBusinessGetConcernRelationsOverviewResult' => '\\StructType\\DutchBusinessGetConcernRelationsOverviewResult',
            'DutchBusinessGetConcernRelationsOverviewReference' => '\\StructType\\DutchBusinessGetConcernRelationsOverviewReference',
            'DutchBusinessGetConcernRelationsOverviewReferenceArray' => '\\ArrayType\\DutchBusinessGetConcernRelationsOverviewReferenceArray',
            'DutchBusinessGetConcernRelationsDetailsResult' => '\\StructType\\DutchBusinessGetConcernRelationsDetailsResult',
            'DutchBusinessGetConcernRelationsDetailsGraph' => '\\StructType\\DutchBusinessGetConcernRelationsDetailsGraph',
            'DutchBusinessGetConcernRelationsDetailsGraphNode' => '\\StructType\\DutchBusinessGetConcernRelationsDetailsGraphNode',
            'DutchBusinessGetConcernRelationsDetailsGraphNodeArray' => '\\ArrayType\\DutchBusinessGetConcernRelationsDetailsGraphNodeArray',
            'DutchBusinessGetConcernRelationsDetailsGraphLink' => '\\StructType\\DutchBusinessGetConcernRelationsDetailsGraphLink',
            'DutchBusinessGetConcernRelationsDetailsGraphLinkArray' => '\\ArrayType\\DutchBusinessGetConcernRelationsDetailsGraphLinkArray',
            'DutchBusinessDossierV2' => '\\StructType\\DutchBusinessDossierV2',
            'DutchBusinessDossierV3' => '\\StructType\\DutchBusinessDossierV3',
            'DutchBusinessAnnualFinancialStatementSummary' => '\\StructType\\DutchBusinessAnnualFinancialStatementSummary',
            'DutchBusinessStructure' => '\\StructType\\DutchBusinessStructure',
            'DutchBusinessExtractDocument' => '\\StructType\\DutchBusinessExtractDocument',
            'DutchBusinessExtractDocumentData' => '\\StructType\\DutchBusinessExtractDocumentData',
            'DutchBusinessExtractDocumentDataV2' => '\\StructType\\DutchBusinessExtractDocumentDataV2',
            'DutchBusinessExtractDocumentDataV3' => '\\StructType\\DutchBusinessExtractDocumentDataV3',
            'DutchBusinessExtractDataV2' => '\\StructType\\DutchBusinessExtractDataV2',
            'DutchBusinessExtractDataV3' => '\\StructType\\DutchBusinessExtractDataV3',
            'DutchBusinessPositions' => '\\StructType\\DutchBusinessPositions',
            'DutchBusinessLegalEntityData' => '\\StructType\\DutchBusinessLegalEntityData',
            'DutchBusinessLegalEntity' => '\\StructType\\DutchBusinessLegalEntity',
            'DutchBusinessLegalEntityV2' => '\\StructType\\DutchBusinessLegalEntityV2',
            'DutchBusinessLegalEntityV3' => '\\StructType\\DutchBusinessLegalEntityV3',
            'DutchBusinessOrganizationTree' => '\\StructType\\DutchBusinessOrganizationTree',
            'DutchBusinessOrganizationNode' => '\\StructType\\DutchBusinessOrganizationNode',
            'DutchBusinessOrganizationNodeArray' => '\\ArrayType\\DutchBusinessOrganizationNodeArray',
            'DutchBusinessPartnership' => '\\StructType\\DutchBusinessPartnership',
            'DutchBusinessPartnershipArray' => '\\ArrayType\\DutchBusinessPartnershipArray',
            'DutchBusinessPartnershipV2' => '\\StructType\\DutchBusinessPartnershipV2',
            'DutchBusinessPartnershipV3' => '\\StructType\\DutchBusinessPartnershipV3',
            'DutchBusinessEnterprise' => '\\StructType\\DutchBusinessEnterprise',
            'DutchBusinessEnterpriseV2' => '\\StructType\\DutchBusinessEnterpriseV2',
            'DutchBusinessEnterpriseV3' => '\\StructType\\DutchBusinessEnterpriseV3',
            'DutchBusinessEstablishment' => '\\StructType\\DutchBusinessEstablishment',
            'DutchBusinessEstablishmentArray' => '\\ArrayType\\DutchBusinessEstablishmentArray',
            'DutchBusinessEstablishmentV2' => '\\StructType\\DutchBusinessEstablishmentV2',
            'DutchBusinessEstablishmentV2Array' => '\\ArrayType\\DutchBusinessEstablishmentV2Array',
            'DutchBusinessEstablishmentV3' => '\\StructType\\DutchBusinessEstablishmentV3',
            'DutchBusinessEstablishmentV3Array' => '\\ArrayType\\DutchBusinessEstablishmentV3Array',
            'DutchBusinessPosition' => '\\StructType\\DutchBusinessPosition',
            'DutchBusinessPositionArray' => '\\ArrayType\\DutchBusinessPositionArray',
            'DutchBusinessPositionV2' => '\\StructType\\DutchBusinessPositionV2',
            'DutchBusinessPositionV2Array' => '\\ArrayType\\DutchBusinessPositionV2Array',
            'DutchBusinessPositionV3' => '\\StructType\\DutchBusinessPositionV3',
            'DutchBusinessPositionV3Array' => '\\ArrayType\\DutchBusinessPositionV3Array',
            'DutchBusinessPersonV2' => '\\StructType\\DutchBusinessPersonV2',
            'DutchBusinessPersonV3' => '\\StructType\\DutchBusinessPersonV3',
            'DutchBusinessAdditionalPositionFunctionary' => '\\StructType\\DutchBusinessAdditionalPositionFunctionary',
            'DutchBusinessOrganizationReferenceV2' => '\\StructType\\DutchBusinessOrganizationReferenceV2',
            'DutchBusinessOrganizationReferenceV3' => '\\StructType\\DutchBusinessOrganizationReferenceV3',
            'DutchBusinessMoneyV2' => '\\StructType\\DutchBusinessMoneyV2',
            'DutchBusinessMoneyV3' => '\\StructType\\DutchBusinessMoneyV3',
            'DutchBusinessPersonnelInfoV2' => '\\StructType\\DutchBusinessPersonnelInfoV2',
            'DutchBusinessPersonnelInfoV3' => '\\StructType\\DutchBusinessPersonnelInfoV3',
            'DutchBusinessFormattedAddress' => '\\StructType\\DutchBusinessFormattedAddress',
            'DutchBusinessAddressV2' => '\\StructType\\DutchBusinessAddressV2',
            'DutchBusinessAddressV3' => '\\StructType\\DutchBusinessAddressV3',
            'DutchBusinessSBICodeInfo' => '\\StructType\\DutchBusinessSBICodeInfo',
            'DutchBusinessSBISection' => '\\StructType\\DutchBusinessSBISection',
            'DutchBusinessSBICode' => '\\StructType\\DutchBusinessSBICode',
            'DutchBusinessSBICodeArray' => '\\ArrayType\\DutchBusinessSBICodeArray',
            'DutchBusinessSbiCodeV2' => '\\StructType\\DutchBusinessSbiCodeV2',
            'DutchBusinessSbiCodeV2Array' => '\\ArrayType\\DutchBusinessSbiCodeV2Array',
            'DutchBusinessSbiCodeV3' => '\\StructType\\DutchBusinessSbiCodeV3',
            'DutchBusinessSbiCodeV3Array' => '\\ArrayType\\DutchBusinessSbiCodeV3Array',
            'DutchBusinessInsolvency' => '\\StructType\\DutchBusinessInsolvency',
            'DutchBusinessInsolvencyArray' => '\\ArrayType\\DutchBusinessInsolvencyArray',
            'DutchBusinessInsolvencyPublication' => '\\StructType\\DutchBusinessInsolvencyPublication',
            'DutchBusinessInsolvencyPublicationArray' => '\\ArrayType\\DutchBusinessInsolvencyPublicationArray',
            'DutchBusinessReference' => '\\StructType\\DutchBusinessReference',
            'DutchBusinessReferenceArray' => '\\ArrayType\\DutchBusinessReferenceArray',
            'DutchBusinessReferencePagedResult' => '\\StructType\\DutchBusinessReferencePagedResult',
            'DutchBusinessReferenceV2' => '\\StructType\\DutchBusinessReferenceV2',
            'DutchBusinessReferenceV2Array' => '\\ArrayType\\DutchBusinessReferenceV2Array',
            'DutchBusinessReferenceV2PagedResult' => '\\StructType\\DutchBusinessReferenceV2PagedResult',
            'DutchBusinessEstablishmentReference' => '\\StructType\\DutchBusinessEstablishmentReference',
            'DutchBusinessEstablishmentReferenceArray' => '\\ArrayType\\DutchBusinessEstablishmentReferenceArray',
            'DutchBusinessEstablishmentReferencePagedResult' => '\\StructType\\DutchBusinessEstablishmentReferencePagedResult',
            'DutchBusinessUpdateSubscription' => '\\StructType\\DutchBusinessUpdateSubscription',
            'DutchBusinessUpdateSubscriptionArray' => '\\ArrayType\\DutchBusinessUpdateSubscriptionArray',
            'DutchBusinessUpdateSubscriptionPagedResult' => '\\StructType\\DutchBusinessUpdateSubscriptionPagedResult',
            'DutchBusinessUpdateReference' => '\\StructType\\DutchBusinessUpdateReference',
            'DutchBusinessUpdateReferenceArray' => '\\ArrayType\\DutchBusinessUpdateReferenceArray',
            'DutchBusinessUpdateReferencePagedResult' => '\\StructType\\DutchBusinessUpdateReferencePagedResult',
            'DutchBusinessVatNumber' => '\\StructType\\DutchBusinessVatNumber',
            'DutchBusinessDate' => '\\StructType\\DutchBusinessDate',
            'DutchBusinessDateV2' => '\\StructType\\DutchBusinessDateV2',
            'DutchBusinessDateV3' => '\\StructType\\DutchBusinessDateV3',
            'DutchBusinessExtractHistory' => '\\StructType\\DutchBusinessExtractHistory',
            'DutchBusinessExtractReferenceArray' => '\\ArrayType\\DutchBusinessExtractReferenceArray',
            'DutchBusinessExtractChangeForecast' => '\\StructType\\DutchBusinessExtractChangeForecast',
            'DutchBusinessExtractReference' => '\\StructType\\DutchBusinessExtractReference',
            'DutchBusinessExtractChangeSet' => '\\StructType\\DutchBusinessExtractChangeSet',
            'DutchBusinessDossierHistory' => '\\StructType\\DutchBusinessDossierHistory',
            'DutchBusinessDossierReferenceArray' => '\\ArrayType\\DutchBusinessDossierReferenceArray',
            'DutchBusinessDossierReference' => '\\StructType\\DutchBusinessDossierReference',
            'DutchBusinessChangeSet' => '\\StructType\\DutchBusinessChangeSet',
            'DutchBusinessPeriod' => '\\StructType\\DutchBusinessPeriod',
            'DutchBusinessNewsItem' => '\\StructType\\DutchBusinessNewsItem',
            'DutchBusinessNewsItemArray' => '\\ArrayType\\DutchBusinessNewsItemArray',
            'DutchBusinessNewsItemPagedResult' => '\\StructType\\DutchBusinessNewsItemPagedResult',
            'DutchBusinessNewsCompany' => '\\StructType\\DutchBusinessNewsCompany',
            'DutchBusinessNewsCompanyArray' => '\\ArrayType\\DutchBusinessNewsCompanyArray',
            'DutchBusinessUBOInvestigationToken' => '\\StructType\\DutchBusinessUBOInvestigationToken',
            'DutchBusinessUBOInvestigationStatus' => '\\StructType\\DutchBusinessUBOInvestigationStatus',
            'DutchBusinessUBOInvestigationResult' => '\\StructType\\DutchBusinessUBOInvestigationResult',
            'DutchBusinessUBOOrganizationNode' => '\\StructType\\DutchBusinessUBOOrganizationNode',
            'DutchBusinessUBOOrganizationNodeArray' => '\\ArrayType\\DutchBusinessUBOOrganizationNodeArray',
            'DutchBusinessUBOPerson' => '\\StructType\\DutchBusinessUBOPerson',
            'DutchBusinessUBOPersonArray' => '\\ArrayType\\DutchBusinessUBOPersonArray',
            'DutchBusinessUBORole' => '\\StructType\\DutchBusinessUBORole',
            'DutchBusinessUBORoleArray' => '\\ArrayType\\DutchBusinessUBORoleArray',
            'DutchBusinessUBOOrganisation' => '\\StructType\\DutchBusinessUBOOrganisation',
            'DutchBusinessUBOOrganisationArray' => '\\ArrayType\\DutchBusinessUBOOrganisationArray',
            'DutchBusinessUBOExtract' => '\\StructType\\DutchBusinessUBOExtract',
            'dutchBusinessUBOCostsInvestigationResult' => '\\StructType\\DutchBusinessUBOCostsInvestigationResult',
            'DutchBusinessUBOReceipt' => '\\StructType\\DutchBusinessUBOReceipt',
            'DutchBusinessUBOReceiptItem' => '\\StructType\\DutchBusinessUBOReceiptItem',
            'DutchBusinessUBOReceiptItemArray' => '\\ArrayType\\DutchBusinessUBOReceiptItemArray',
            'DutchBusinessUBOClassificationResult' => '\\StructType\\DutchBusinessUBOClassificationResult',
            'DutchBusinessUBOClassifiedSuspect' => '\\StructType\\DutchBusinessUBOClassifiedSuspect',
            'DutchBusinessUBOClassifiedSuspectArray' => '\\ArrayType\\DutchBusinessUBOClassifiedSuspectArray',
            'DutchBusinessUBOClassifiedPerson' => '\\StructType\\DutchBusinessUBOClassifiedPerson',
            'DutchBusinessUBOClassifiedRole' => '\\StructType\\DutchBusinessUBOClassifiedRole',
            'DutchBusinessUBOPayment' => '\\StructType\\DutchBusinessUBOPayment',
            'DutchBusinessSBICollection' => '\\StructType\\DutchBusinessSBICollection',
            'DutchBusinessSBICollectionArray' => '\\ArrayType\\DutchBusinessSBICollectionArray',
            'DutchBusinessAnnualFinancialStatement' => '\\StructType\\DutchBusinessAnnualFinancialStatement',
            'DutchBusinessGetLeiResult' => '\\StructType\\DutchBusinessGetLeiResult',
            'DutchBusinessLeiRegistration' => '\\StructType\\DutchBusinessLeiRegistration',
            'DutchBusinessLeiBusinessEntity' => '\\StructType\\DutchBusinessLeiBusinessEntity',
            'DutchBusinessLeiLegalForm' => '\\StructType\\DutchBusinessLeiLegalForm',
            'DutchBusinessLeiRegistrationAuthority' => '\\StructType\\DutchBusinessLeiRegistrationAuthority',
            'DutchBusinessLeiAddress' => '\\StructType\\DutchBusinessLeiAddress',
            'DutchBusinessLeiSuccessor' => '\\StructType\\DutchBusinessLeiSuccessor',
            'DutchBusinessNonMarketingIndicator' => '\\StructType\\DutchBusinessNonMarketingIndicator',
            'DutchBusinessGetAdditionalPositionsResult' => '\\StructType\\DutchBusinessGetAdditionalPositionsResult',
            'DutchBusinessAdditionalPosition' => '\\StructType\\DutchBusinessAdditionalPosition',
            'DutchBusinessAdditionalPositionArray' => '\\ArrayType\\DutchBusinessAdditionalPositionArray',
            'DutchBusinessPositionCompany' => '\\StructType\\DutchBusinessPositionCompany',
            'DutchBusinessPositionAuthorization' => '\\StructType\\DutchBusinessPositionAuthorization',
            'DutchBusinessPositionAuthorizationArray' => '\\ArrayType\\DutchBusinessPositionAuthorizationArray',
            'DutchBusinessLookALikeCompany' => '\\StructType\\DutchBusinessLookALikeCompany',
            'DutchBusinessLookALikeCompanyArray' => '\\ArrayType\\DutchBusinessLookALikeCompanyArray',
            'DutchBusinessLookALikeCompanyPagedResult' => '\\StructType\\DutchBusinessLookALikeCompanyPagedResult',
            'DutchBusinessLookALikeIndividualFeature' => '\\StructType\\DutchBusinessLookALikeIndividualFeature',
            'DutchBusinessLookALikeIndividualFeatureArray' => '\\ArrayType\\DutchBusinessLookALikeIndividualFeatureArray',
            'DutchVehicle' => '\\StructType\\DutchVehicle',
            'DutchVehicleV2' => '\\StructType\\DutchVehicleV2',
            'DutchVehicleOwnerHistory' => '\\StructType\\DutchVehicleOwnerHistory',
            'DutchVehiclePurchaseReference' => '\\StructType\\DutchVehiclePurchaseReference',
            'DutchVehicleMileage' => '\\StructType\\DutchVehicleMileage',
            'DutchVehicleData' => '\\StructType\\DutchVehicleData',
            'DutchVehicleReference' => '\\StructType\\DutchVehicleReference',
            'DutchVehicleStatus' => '\\StructType\\DutchVehicleStatus',
            'DutchVehicleRegistration' => '\\StructType\\DutchVehicleRegistration',
            'DutchVehicleOwnership' => '\\StructType\\DutchVehicleOwnership',
            'DutchVehicleOwnershipArray' => '\\ArrayType\\DutchVehicleOwnershipArray',
            'DutchVehicleFeature' => '\\StructType\\DutchVehicleFeature',
            'DutchVehicleTaxData' => '\\StructType\\DutchVehicleTaxData',
            'DutchVehiclePurchase' => '\\StructType\\DutchVehiclePurchase',
            'DutchVehiclePrice' => '\\StructType\\DutchVehiclePrice',
            'DutchVehicleMarketValue' => '\\StructType\\DutchVehicleMarketValue',
            'DutchVehiclePriceValuation' => '\\StructType\\DutchVehiclePriceValuation',
            'DutchVehiclePriceValuationArray' => '\\ArrayType\\DutchVehiclePriceValuationArray',
            'DutchVehicleTechnicalWeight' => '\\StructType\\DutchVehicleTechnicalWeight',
            'DutchVehicleRemark' => '\\StructType\\DutchVehicleRemark',
            'DutchVehicleRemarkArray' => '\\ArrayType\\DutchVehicleRemarkArray',
            'DutchVehicleRecall' => '\\StructType\\DutchVehicleRecall',
            'DutchVehicleEngine' => '\\StructType\\DutchVehicleEngine',
            'DutchVehicleEnvironment' => '\\StructType\\DutchVehicleEnvironment',
            'DutchVehicleEnvironmentArray' => '\\ArrayType\\DutchVehicleEnvironmentArray',
            'DutchVehicleAxle' => '\\StructType\\DutchVehicleAxle',
            'DutchVehicleAxleArray' => '\\ArrayType\\DutchVehicleAxleArray',
            'DutchVehicleTypeApproval' => '\\StructType\\DutchVehicleTypeApproval',
            'DutchVehicleBodyApproval' => '\\StructType\\DutchVehicleBodyApproval',
            'DutchVehicleBodyApprovalArray' => '\\ArrayType\\DutchVehicleBodyApprovalArray',
            'EDRScore' => '\\StructType\\EDRScore',
            'RDCoordinates' => '\\StructType\\RDCoordinates',
            'RDCoordinatesMatch' => '\\StructType\\RDCoordinatesMatch',
            'LatLonCoordinates' => '\\StructType\\LatLonCoordinates',
            'LatLonCoordinatesMatch' => '\\StructType\\LatLonCoordinatesMatch',
            'LatLonCoordinatesInternationalAddress' => '\\StructType\\LatLonCoordinatesInternationalAddress',
            'LatLonCoordinatesInternationalAddressArray' => '\\ArrayType\\LatLonCoordinatesInternationalAddressArray',
            'GeoLocationAddress' => '\\StructType\\GeoLocationAddress',
            'GeoLocationAddressV2' => '\\StructType\\GeoLocationAddressV2',
            'GeoLocationInternationalAddress' => '\\StructType\\GeoLocationInternationalAddress',
            'SortedPostcode' => '\\StructType\\SortedPostcode',
            'SortedPostcodeArray' => '\\ArrayType\\SortedPostcodeArray',
            'SortedPostcodePagedResult' => '\\StructType\\SortedPostcodePagedResult',
            'GraydonReference' => '\\StructType\\GraydonReference',
            'GraydonReferenceArray' => '\\ArrayType\\GraydonReferenceArray',
            'GraydonCreditReport' => '\\StructType\\GraydonCreditReport',
            'GraydonCreditReportNormal' => '\\StructType\\GraydonCreditReportNormal',
            'GraydonCreditReportCalamity' => '\\StructType\\GraydonCreditReportCalamity',
            'GraydonCreditReportAlarm' => '\\StructType\\GraydonCreditReportAlarm',
            'GraydonCreditReportQuickscan' => '\\StructType\\GraydonCreditReportQuickscan',
            'GraydonCreditReportRatings' => '\\StructType\\GraydonCreditReportRatings',
            'GraydonCreditReportVatNumber' => '\\StructType\\GraydonCreditReportVatNumber',
            'GraydonCreditReportCompanyLiaisons' => '\\StructType\\GraydonCreditReportCompanyLiaisons',
            'GraydonCreditReportManagement' => '\\StructType\\GraydonCreditReportManagement',
            'GCRCompanyItself' => '\\StructType\\GCRCompanyItself',
            'GCRCompanyItselfCalamity' => '\\StructType\\GCRCompanyItselfCalamity',
            'GCRCompanyItselfAlarm' => '\\StructType\\GCRCompanyItselfAlarm',
            'GCRAlarmContactDetails' => '\\StructType\\GCRAlarmContactDetails',
            'GCRContactDetails' => '\\StructType\\GCRContactDetails',
            'GCRTradeName' => '\\StructType\\GCRTradeName',
            'GCRTradeNameArray' => '\\ArrayType\\GCRTradeNameArray',
            'GCRAddress' => '\\StructType\\GCRAddress',
            'GCRAddressArray' => '\\ArrayType\\GCRAddressArray',
            'GCRTelephoneNumber' => '\\StructType\\GCRTelephoneNumber',
            'GCRTelephoneNumberArray' => '\\ArrayType\\GCRTelephoneNumberArray',
            'GCROfficialData' => '\\StructType\\GCROfficialData',
            'GCRChamberOfCommerce' => '\\StructType\\GCRChamberOfCommerce',
            'GCRCapital' => '\\StructType\\GCRCapital',
            'GCRCapitalArray' => '\\ArrayType\\GCRCapitalArray',
            'GCRFounded' => '\\StructType\\GCRFounded',
            'GCRFoundedArray' => '\\ArrayType\\GCRFoundedArray',
            'GCRDiscontinuance' => '\\StructType\\GCRDiscontinuance',
            'GCRPersonnel' => '\\StructType\\GCRPersonnel',
            'GCRNumberOfEmployees' => '\\StructType\\GCRNumberOfEmployees',
            'GCRNumberOfEmployeesArray' => '\\ArrayType\\GCRNumberOfEmployeesArray',
            'GCRSectorOfIndustry' => '\\StructType\\GCRSectorOfIndustry',
            'GCRSectorOfIndustryArray' => '\\ArrayType\\GCRSectorOfIndustryArray',
            'GCRAnnualFigures' => '\\StructType\\GCRAnnualFigures',
            'GCRAnnualFiguresArray' => '\\ArrayType\\GCRAnnualFiguresArray',
            'GCRCompanyAnnualAccount' => '\\StructType\\GCRCompanyAnnualAccount',
            'GCRCompanyAnnualAccountArray' => '\\ArrayType\\GCRCompanyAnnualAccountArray',
            'GCRBankAndInsurerData' => '\\StructType\\GCRBankAndInsurerData',
            'GCRBankAndInsurerDataArray' => '\\ArrayType\\GCRBankAndInsurerDataArray',
            'GCRBankAndInsurerKeyFigures' => '\\StructType\\GCRBankAndInsurerKeyFigures',
            'GCRHistory' => '\\StructType\\GCRHistory',
            'GCROriginatedFrom' => '\\StructType\\GCROriginatedFrom',
            'GCROriginatedFromArray' => '\\ArrayType\\GCROriginatedFromArray',
            'GCRContinuation' => '\\StructType\\GCRContinuation',
            'GCRContinuationArray' => '\\ArrayType\\GCRContinuationArray',
            'GCRCompanyContinuedUnder' => '\\StructType\\GCRCompanyContinuedUnder',
            'GCRCompanyContinuedUnderArray' => '\\ArrayType\\GCRCompanyContinuedUnderArray',
            'GCRCreditAdviceData' => '\\StructType\\GCRCreditAdviceData',
            'GCRCreditAdvice' => '\\StructType\\GCRCreditAdvice',
            'GCRHistoryAdvisedLimit' => '\\StructType\\GCRHistoryAdvisedLimit',
            'GCRHistoryAdvisedLimitArray' => '\\ArrayType\\GCRHistoryAdvisedLimitArray',
            'GCRCreditFactor' => '\\StructType\\GCRCreditFactor',
            'GCRCreditFactorArray' => '\\ArrayType\\GCRCreditFactorArray',
            'GCRCreditAdviceMother' => '\\StructType\\GCRCreditAdviceMother',
            'GCRCreditRating' => '\\StructType\\GCRCreditRating',
            'GCRRating' => '\\StructType\\GCRRating',
            'GCRRatingArray' => '\\ArrayType\\GCRRatingArray',
            'GCRRatingHistory' => '\\StructType\\GCRRatingHistory',
            'GCRRatingHistoryArray' => '\\ArrayType\\GCRRatingHistoryArray',
            'GCRPercentageHistory' => '\\StructType\\GCRPercentageHistory',
            'GCRPercentageHistoryArray' => '\\ArrayType\\GCRPercentageHistoryArray',
            'GCRCalamity' => '\\StructType\\GCRCalamity',
            'GCRCalamityEvent' => '\\StructType\\GCRCalamityEvent',
            'GCRCalamityEventArray' => '\\ArrayType\\GCRCalamityEventArray',
            'GCRCalamityOther' => '\\StructType\\GCRCalamityOther',
            'GCRCalamityOtherArray' => '\\ArrayType\\GCRCalamityOtherArray',
            'GCRBranchOffice' => '\\StructType\\GCRBranchOffice',
            'GCRBranchOfficeArray' => '\\ArrayType\\GCRBranchOfficeArray',
            'GCRPaymentInformation' => '\\StructType\\GCRPaymentInformation',
            'GCRPaymentInformationArray' => '\\ArrayType\\GCRPaymentInformationArray',
            'GCRFinancialDetails' => '\\StructType\\GCRFinancialDetails',
            'GCRFinancialDetailValue' => '\\StructType\\GCRFinancialDetailValue',
            'GCRFinancialDetailValueArray' => '\\ArrayType\\GCRFinancialDetailValueArray',
            'GCRDeclarationOfLiability' => '\\StructType\\GCRDeclarationOfLiability',
            'GCRDeclarationOfLiabilityArray' => '\\ArrayType\\GCRDeclarationOfLiabilityArray',
            'GCRParticipation' => '\\StructType\\GCRParticipation',
            'GCRParticipationArray' => '\\ArrayType\\GCRParticipationArray',
            'GCRShareHolder' => '\\StructType\\GCRShareHolder',
            'GCRShareHolderArray' => '\\ArrayType\\GCRShareHolderArray',
            'GCRImportExport' => '\\StructType\\GCRImportExport',
            'GCRCountry' => '\\StructType\\GCRCountry',
            'GCRCountryArray' => '\\ArrayType\\GCRCountryArray',
            'GCRSpecialCompanyInformation' => '\\StructType\\GCRSpecialCompanyInformation',
            'GCRSpecialCompanyInformationArray' => '\\ArrayType\\GCRSpecialCompanyInformationArray',
            'GCRTextSequence' => '\\StructType\\GCRTextSequence',
            'GCRTextSequenceArray' => '\\ArrayType\\GCRTextSequenceArray',
            'GCRLiaison' => '\\StructType\\GCRLiaison',
            'GCRLiaisonArray' => '\\ArrayType\\GCRLiaisonArray',
            'GCRCompanyManagement' => '\\StructType\\GCRCompanyManagement',
            'GCRManagement' => '\\StructType\\GCRManagement',
            'GCRManagementArray' => '\\ArrayType\\GCRManagementArray',
            'GCRJobTitle' => '\\StructType\\GCRJobTitle',
            'GCRJobTitleArray' => '\\ArrayType\\GCRJobTitleArray',
            'GCRFirstDirector' => '\\StructType\\GCRFirstDirector',
            'GCRFirstDirectorArray' => '\\ArrayType\\GCRFirstDirectorArray',
            'GCRCompanyRelations' => '\\StructType\\GCRCompanyRelations',
            'GCRCompanyRelationsSimple' => '\\StructType\\GCRCompanyRelationsSimple',
            'GCRCompanySimple' => '\\StructType\\GCRCompanySimple',
            'GCRCompanySimpleArray' => '\\ArrayType\\GCRCompanySimpleArray',
            'GCRCompany' => '\\StructType\\GCRCompany',
            'GCRCompanyArray' => '\\ArrayType\\GCRCompanyArray',
            'GCRLiaisonCompany' => '\\StructType\\GCRLiaisonCompany',
            'GCRLiaisonCompanyArray' => '\\ArrayType\\GCRLiaisonCompanyArray',
            'GCRLiaisonContactDetails' => '\\StructType\\GCRLiaisonContactDetails',
            'GCRLiaisonOfficialData' => '\\StructType\\GCRLiaisonOfficialData',
            'GCRFiling' => '\\StructType\\GCRFiling',
            'GCRBalanceSheet' => '\\StructType\\GCRBalanceSheet',
            'GCRItem' => '\\StructType\\GCRItem',
            'GCRItemArray' => '\\ArrayType\\GCRItemArray',
            'GCRAssets' => '\\StructType\\GCRAssets',
            'GCRLiabilities' => '\\StructType\\GCRLiabilities',
            'GCRRatio' => '\\StructType\\GCRRatio',
            'GCRRatioArray' => '\\ArrayType\\GCRRatioArray',
            'GCRPerson' => '\\StructType\\GCRPerson',
            'GCRPersonArray' => '\\ArrayType\\GCRPersonArray',
            'GCRPersonSimple' => '\\StructType\\GCRPersonSimple',
            'GCRPersonSimpleArray' => '\\ArrayType\\GCRPersonSimpleArray',
            'GCRPersonalDetails' => '\\StructType\\GCRPersonalDetails',
            'GCRTitle' => '\\StructType\\GCRTitle',
            'GCRTitleArray' => '\\ArrayType\\GCRTitleArray',
            'GCRBirthInformation' => '\\StructType\\GCRBirthInformation',
            'GCRFinancialCalamity' => '\\StructType\\GCRFinancialCalamity',
            'GCRFinancialCalamityArray' => '\\ArrayType\\GCRFinancialCalamityArray',
            'GCRBankruptcy' => '\\StructType\\GCRBankruptcy',
            'GCRCurator' => '\\StructType\\GCRCurator',
            'GCRCuratorArray' => '\\ArrayType\\GCRCuratorArray',
            'GCRMoratorium' => '\\StructType\\GCRMoratorium',
            'GCRReceiver' => '\\StructType\\GCRReceiver',
            'GCRReceiverArray' => '\\ArrayType\\GCRReceiverArray',
            'GCRDebtRestructuringPrivatePersons' => '\\StructType\\GCRDebtRestructuringPrivatePersons',
            'GCRAlarm' => '\\StructType\\GCRAlarm',
            'InsolvencyCase' => '\\StructType\\InsolvencyCase',
            'InsolvencyTreatingAuthority' => '\\StructType\\InsolvencyTreatingAuthority',
            'InsolvencyLegalSubject' => '\\StructType\\InsolvencyLegalSubject',
            'InsolvencyConcernedPerson' => '\\StructType\\InsolvencyConcernedPerson',
            'InsolvencyLegalPerformingPerson' => '\\StructType\\InsolvencyLegalPerformingPerson',
            'InsolvencyLegalPerformingPersonArray' => '\\ArrayType\\InsolvencyLegalPerformingPersonArray',
            'InsolvencyAddresses' => '\\StructType\\InsolvencyAddresses',
            'InsolvencyPublications' => '\\StructType\\InsolvencyPublications',
            'InsolvencyAddress' => '\\StructType\\InsolvencyAddress',
            'InsolvencyAddressArray' => '\\ArrayType\\InsolvencyAddressArray',
            'InsolvencyPublication' => '\\StructType\\InsolvencyPublication',
            'InsolvencyPublicationArray' => '\\ArrayType\\InsolvencyPublicationArray',
            'InsolvencyCourtSession' => '\\StructType\\InsolvencyCourtSession',
            'InsolvencyCurators' => '\\StructType\\InsolvencyCurators',
            'InsolvencyReceivers' => '\\StructType\\InsolvencyReceivers',
            'InsolvencyReport' => '\\StructType\\InsolvencyReport',
            'InsolvencyReportArray' => '\\ArrayType\\InsolvencyReportArray',
            'InsolvencyAffectedCompany' => '\\StructType\\InsolvencyAffectedCompany',
            'InsolvencyAffectedCompanyArray' => '\\ArrayType\\InsolvencyAffectedCompanyArray',
            'InsolvencyPublicationList' => '\\StructType\\InsolvencyPublicationList',
            'InternationalAddressSearchV2Result' => '\\StructType\\InternationalAddressSearchV2Result',
            'InternationalV2' => '\\StructType\\InternationalV2',
            'InternationalV2Array' => '\\ArrayType\\InternationalV2Array',
            'International' => '\\StructType\\International',
            'InternationalArray' => '\\ArrayType\\InternationalArray',
            'InternationalPagedResult' => '\\StructType\\InternationalPagedResult',
            'InternationalFormattedAddress' => '\\StructType\\InternationalFormattedAddress',
            'InternationalFormattedAddressArray' => '\\ArrayType\\InternationalFormattedAddressArray',
            'InternationalFormattedAddressPagedResult' => '\\StructType\\InternationalFormattedAddressPagedResult',
            'KadasterCoordinates' => '\\StructType\\KadasterCoordinates',
            'KoopsommenOverzicht' => '\\StructType\\KoopsommenOverzicht',
            'KoopsommenOverzichtV2' => '\\StructType\\KoopsommenOverzichtV2',
            'Koopsom' => '\\StructType\\Koopsom',
            'KoopsomArray' => '\\ArrayType\\KoopsomArray',
            'base64BinaryArray' => '\\ArrayType\\Base64BinaryArray',
            'UittrekselKadastraleKaart' => '\\StructType\\UittrekselKadastraleKaart',
            'KadasterUittrekselKadastraleKaartV2' => '\\StructType\\KadasterUittrekselKadastraleKaartV2',
            'KadasterKadastraleKaart' => '\\StructType\\KadasterKadastraleKaart',
            'KadasterUittrekselKadastraleKaartResultaat' => '\\StructType\\KadasterUittrekselKadastraleKaartResultaat',
            'KadasterUittrekselKadastraleKaartResultaatV2' => '\\StructType\\KadasterUittrekselKadastraleKaartResultaatV2',
            'KadasterKadastraleKaartResultaat' => '\\StructType\\KadasterKadastraleKaartResultaat',
            'KadasterKadastraleKaartResultaatV2' => '\\StructType\\KadasterKadastraleKaartResultaatV2',
            'KadastraleAanduiding' => '\\StructType\\KadastraleAanduiding',
            'KadastraleAanduidingArray' => '\\ArrayType\\KadastraleAanduidingArray',
            'DocumentOverzicht' => '\\StructType\\DocumentOverzicht',
            'Overzicht' => '\\StructType\\Overzicht',
            'OverzichtV2' => '\\StructType\\OverzichtV2',
            'kadasterOverzicht' => '\\StructType\\KadasterOverzicht',
            'kadasterOverzichtV2' => '\\StructType\\KadasterOverzichtV2',
            'OverzichtOnroerendeZaak' => '\\StructType\\OverzichtOnroerendeZaak',
            'OverzichtOnroerendeZaakArray' => '\\ArrayType\\OverzichtOnroerendeZaakArray',
            'kadasterOverzichtOnroerendeZaak' => '\\StructType\\KadasterOverzichtOnroerendeZaak',
            'kadasterOverzichtOnroerendeZaakArray' => '\\ArrayType\\KadasterOverzichtOnroerendeZaakArray',
            'kadasterBeknoptOnroerendeZaak' => '\\StructType\\KadasterBeknoptOnroerendeZaak',
            'kadasterBeknoptOnroerendeZaakArray' => '\\ArrayType\\KadasterBeknoptOnroerendeZaakArray',
            'OverzichtRecht' => '\\StructType\\OverzichtRecht',
            'OverzichtRechtArray' => '\\ArrayType\\OverzichtRechtArray',
            'kadasterOverzichtRecht' => '\\StructType\\KadasterOverzichtRecht',
            'kadasterOverzichtRechtArray' => '\\ArrayType\\KadasterOverzichtRechtArray',
            'OverzichtPersoon' => '\\StructType\\OverzichtPersoon',
            'OverzichtPersoonArray' => '\\ArrayType\\OverzichtPersoonArray',
            'OverzichtPersoonV2' => '\\StructType\\OverzichtPersoonV2',
            'OverzichtPersoonV2Array' => '\\ArrayType\\OverzichtPersoonV2Array',
            'kadasterOverzichtPersoon' => '\\StructType\\KadasterOverzichtPersoon',
            'kadasterOverzichtPersoonArray' => '\\ArrayType\\KadasterOverzichtPersoonArray',
            'kadasterOverzichtPersoonV2' => '\\StructType\\KadasterOverzichtPersoonV2',
            'kadasterOverzichtPersoonV2Array' => '\\ArrayType\\KadasterOverzichtPersoonV2Array',
            'OverzichtNatuurlijkPersoon' => '\\StructType\\OverzichtNatuurlijkPersoon',
            'kadasterOverzichtNatuurlijkPersoon' => '\\StructType\\KadasterOverzichtNatuurlijkPersoon',
            'OverzichtNietNatuurlijkPersoon' => '\\StructType\\OverzichtNietNatuurlijkPersoon',
            'kadasterOverzichtNietNatuurlijkPersoon' => '\\StructType\\KadasterOverzichtNietNatuurlijkPersoon',
            'BerichtObjectDocumentResultaat' => '\\StructType\\BerichtObjectDocumentResultaat',
            'BerichtObjectDocument' => '\\StructType\\BerichtObjectDocument',
            'kadasterBerichtObjectDocument' => '\\StructType\\KadasterBerichtObjectDocument',
            'BerichtObjectResultaat' => '\\StructType\\BerichtObjectResultaat',
            'BerichtObjectResultaatV2' => '\\StructType\\BerichtObjectResultaatV2',
            'BerichtObject' => '\\StructType\\BerichtObject',
            'BerichtObjectV2' => '\\StructType\\BerichtObjectV2',
            'OnroerendeZaak' => '\\StructType\\OnroerendeZaak',
            'KadastraleAanduidingLijst' => '\\StructType\\KadastraleAanduidingLijst',
            'PerceelDetails' => '\\StructType\\PerceelDetails',
            'KadastraalPerceel' => '\\StructType\\KadastraalPerceel',
            'VerenigingVanEigenaren' => '\\StructType\\VerenigingVanEigenaren',
            'Landinrichtingsrente' => '\\StructType\\Landinrichtingsrente',
            'Mandeligheid' => '\\StructType\\Mandeligheid',
            'AantekeningenKadastraalObject' => '\\StructType\\AantekeningenKadastraalObject',
            'AantekeningKadastraalObject' => '\\StructType\\AantekeningKadastraalObject',
            'AantekeningKadastraalObjectArray' => '\\ArrayType\\AantekeningKadastraalObjectArray',
            'AantekeningKadastraalObjectLijst' => '\\StructType\\AantekeningKadastraalObjectLijst',
            'PRBeperkingenKadastraalObject' => '\\StructType\\PRBeperkingenKadastraalObject',
            'PRBeperking' => '\\StructType\\PRBeperking',
            'PRBeperkingArray' => '\\ArrayType\\PRBeperkingArray',
            'PRBeperkingLijst' => '\\StructType\\PRBeperkingLijst',
            'Recht' => '\\StructType\\Recht',
            'RechtArray' => '\\ArrayType\\RechtArray',
            'RechtenLijst' => '\\StructType\\RechtenLijst',
            'AantekeningRecht' => '\\StructType\\AantekeningRecht',
            'AantekeningRechtArray' => '\\ArrayType\\AantekeningRechtArray',
            'AantekeningRechtLijst' => '\\StructType\\AantekeningRechtLijst',
            'Persoon' => '\\StructType\\Persoon',
            'PersoonArray' => '\\ArrayType\\PersoonArray',
            'PersoonV2' => '\\StructType\\PersoonV2',
            'PersoonV2Array' => '\\ArrayType\\PersoonV2Array',
            'kadasterPersoon' => '\\StructType\\KadasterPersoon',
            'kadasterPersoonArray' => '\\ArrayType\\KadasterPersoonArray',
            'kadasterDomicilieKeuzeLijst' => '\\StructType\\KadasterDomicilieKeuzeLijst',
            'kadasterDomicilieKeuze' => '\\StructType\\KadasterDomicilieKeuze',
            'kadasterDomicilieKeuzeArray' => '\\ArrayType\\KadasterDomicilieKeuzeArray',
            'NatuurlijkPersoon' => '\\StructType\\NatuurlijkPersoon',
            'NatuurlijkPersoonV2' => '\\StructType\\NatuurlijkPersoonV2',
            'kadasterNatuurlijkPersoon' => '\\StructType\\KadasterNatuurlijkPersoon',
            'NietNatuurlijkPersoon' => '\\StructType\\NietNatuurlijkPersoon',
            'kadasterNietNatuurlijkPersoon' => '\\StructType\\KadasterNietNatuurlijkPersoon',
            'Locatie' => '\\StructType\\Locatie',
            'kadasterLocatie' => '\\StructType\\KadasterLocatie',
            'LocatieBinnenland' => '\\StructType\\LocatieBinnenland',
            'LocatieBinnenlandArray' => '\\ArrayType\\LocatieBinnenlandArray',
            'kadasterLocatieBinnenland' => '\\StructType\\KadasterLocatieBinnenland',
            'kadasterLocatieBinnenlandArray' => '\\ArrayType\\KadasterLocatieBinnenlandArray',
            'LocatieBinnenlandLijst' => '\\StructType\\LocatieBinnenlandLijst',
            'LocatieBuitenland' => '\\StructType\\LocatieBuitenland',
            'kadasterLocatieBuitenland' => '\\StructType\\KadasterLocatieBuitenland',
            'Lid' => '\\StructType\\Lid',
            'LidArray' => '\\ArrayType\\LidArray',
            'LidLijst' => '\\StructType\\LidLijst',
            'Stuk' => '\\StructType\\Stuk',
            'StukArray' => '\\ArrayType\\StukArray',
            'StukMetKadastraleAanduiding' => '\\StructType\\StukMetKadastraleAanduiding',
            'StukMetKadastraleAanduidingArray' => '\\ArrayType\\StukMetKadastraleAanduidingArray',
            'StukMetKadastraleAanduidingLijst' => '\\StructType\\StukMetKadastraleAanduidingLijst',
            'GemeenteStuk' => '\\StructType\\GemeenteStuk',
            'GemeenteStukArray' => '\\ArrayType\\GemeenteStukArray',
            'StukReferentiesLijst' => '\\StructType\\StukReferentiesLijst',
            'kadasterHypothecairBerichtResultaat' => '\\StructType\\KadasterHypothecairBerichtResultaat',
            'kadasterHypothecairBerichtResultaatV2' => '\\StructType\\KadasterHypothecairBerichtResultaatV2',
            'kadasterHypothecairBerichtObject' => '\\StructType\\KadasterHypothecairBerichtObject',
            'kadasterHypotheekStukLijst' => '\\StructType\\KadasterHypotheekStukLijst',
            'kadasterHypotheekStuk' => '\\StructType\\KadasterHypotheekStuk',
            'kadasterHypotheekStukArray' => '\\ArrayType\\KadasterHypotheekStukArray',
            'kadasterStukdeel' => '\\StructType\\KadasterStukdeel',
            'kadasterStukdeelArray' => '\\ArrayType\\KadasterStukdeelArray',
            'kadasterGerelateerdStukdeel' => '\\StructType\\KadasterGerelateerdStukdeel',
            'kadasterGerelateerdStukdeelArray' => '\\ArrayType\\KadasterGerelateerdStukdeelArray',
            'kadasterStukdeelReferentiesLijst' => '\\StructType\\KadasterStukdeelReferentiesLijst',
            'kadasterStukdeelRecht' => '\\StructType\\KadasterStukdeelRecht',
            'kadasterStukdeelRechtArray' => '\\ArrayType\\KadasterStukdeelRechtArray',
            'kadasterPersoonLijst' => '\\StructType\\KadasterPersoonLijst',
            'kadasterHypotheek' => '\\StructType\\KadasterHypotheek',
            'kadasterBedrag' => '\\StructType\\KadasterBedrag',
            'KadasterBronDocument' => '\\StructType\\KadasterBronDocument',
            'KadasterValueList' => '\\StructType\\KadasterValueList',
            'KadasterListValueArray' => '\\ArrayType\\KadasterListValueArray',
            'KadasterListValue' => '\\StructType\\KadasterListValue',
            'KadasterV2KadastraalBerichtResponse' => '\\StructType\\KadasterV2KadastraalBerichtResponse',
            'KadasterV2HypothecairBerichtResponse' => '\\StructType\\KadasterV2HypothecairBerichtResponse',
            'KadasterV2UittrekselKadastraleKaartResponse' => '\\StructType\\KadasterV2UittrekselKadastraleKaartResponse',
            'KadasterV2OvergegaanIn' => '\\StructType\\KadasterV2OvergegaanIn',
            'KadasterV2PostcodeTreffers' => '\\StructType\\KadasterV2PostcodeTreffers',
            'KadasterV2BronDocumentResponse' => '\\StructType\\KadasterV2BronDocumentResponse',
            'KadasterV2KadastraalBericht' => '\\StructType\\KadasterV2KadastraalBericht',
            'KadasterV2Tenaamstelling' => '\\StructType\\KadasterV2Tenaamstelling',
            'KadasterV2TenaamstellingArray' => '\\ArrayType\\KadasterV2TenaamstellingArray',
            'KadasterV2AangebodenStuk' => '\\StructType\\KadasterV2AangebodenStuk',
            'KadasterV2AangebodenStukArray' => '\\ArrayType\\KadasterV2AangebodenStukArray',
            'KadasterV2DeelEnNummer' => '\\StructType\\KadasterV2DeelEnNummer',
            'KadasterV2ErfpachtCanon' => '\\StructType\\KadasterV2ErfpachtCanon',
            'KadasterV2ErfpachtCanonArray' => '\\ArrayType\\KadasterV2ErfpachtCanonArray',
            'KadasterV2JaarlijksBedrag' => '\\StructType\\KadasterV2JaarlijksBedrag',
            'KadasterV2JaarlijksBedragArray' => '\\ArrayType\\KadasterV2JaarlijksBedragArray',
            'KadasterV2Verzoek' => '\\StructType\\KadasterV2Verzoek',
            'KadasterV2VerzoekArray' => '\\ArrayType\\KadasterV2VerzoekArray',
            'KadasterV2Bijlage' => '\\StructType\\KadasterV2Bijlage',
            'KadasterV2BijlageArray' => '\\ArrayType\\KadasterV2BijlageArray',
            'KadasterV2GezamenlijkAandeel' => '\\StructType\\KadasterV2GezamenlijkAandeel',
            'KadasterV2GezamenlijkAandeelArray' => '\\ArrayType\\KadasterV2GezamenlijkAandeelArray',
            'KadasterV2Breuk' => '\\StructType\\KadasterV2Breuk',
            'KadasterV2OnroerendeZaak' => '\\StructType\\KadasterV2OnroerendeZaak',
            'KadasterV2OnroerendeZaakArray' => '\\ArrayType\\KadasterV2OnroerendeZaakArray',
            'KadasterV2OnroerendeZaakReference' => '\\StructType\\KadasterV2OnroerendeZaakReference',
            'KadasterV2OnroerendeZaakReferenceArray' => '\\ArrayType\\KadasterV2OnroerendeZaakReferenceArray',
            'KadasterV2Aanvulling' => '\\StructType\\KadasterV2Aanvulling',
            'KadasterV2AanvullingArray' => '\\ArrayType\\KadasterV2AanvullingArray',
            'KadasterV2AdresLocatie' => '\\StructType\\KadasterV2AdresLocatie',
            'KadasterV2AdresLocatieArray' => '\\ArrayType\\KadasterV2AdresLocatieArray',
            'KadasterV2LocatieBinnenland' => '\\StructType\\KadasterV2LocatieBinnenland',
            'KadasterV2LocatieBinnenlandArray' => '\\ArrayType\\KadasterV2LocatieBinnenlandArray',
            'KadasterV2LocatieBuitenland' => '\\StructType\\KadasterV2LocatieBuitenland',
            'KadasterV2LocatieBuitenlandArray' => '\\ArrayType\\KadasterV2LocatieBuitenlandArray',
            'KadasterV2LocatiePostbus' => '\\StructType\\KadasterV2LocatiePostbus',
            'KadasterV2LocatiePostbusArray' => '\\ArrayType\\KadasterV2LocatiePostbusArray',
            'KadasterV2AantekeningWKPB' => '\\StructType\\KadasterV2AantekeningWKPB',
            'KadasterV2AantekeningWKPBArray' => '\\ArrayType\\KadasterV2AantekeningWKPBArray',
            'KadasterV2KadastraleAanduiding' => '\\StructType\\KadasterV2KadastraleAanduiding',
            'KadasterV2LandinrichtingsRente' => '\\StructType\\KadasterV2LandinrichtingsRente',
            'KadasterV2LandinrichtingsRenteArray' => '\\ArrayType\\KadasterV2LandinrichtingsRenteArray',
            'KadasterV2Historie' => '\\StructType\\KadasterV2Historie',
            'KadasterV2OnroerendeZaakFiliatie' => '\\StructType\\KadasterV2OnroerendeZaakFiliatie',
            'KadasterV2OnroerendeZaakFiliatieArray' => '\\ArrayType\\KadasterV2OnroerendeZaakFiliatieArray',
            'KadasterV2Coordinaat' => '\\StructType\\KadasterV2Coordinaat',
            'KadasterV2RDCoordinaat' => '\\StructType\\KadasterV2RDCoordinaat',
            'KadasterV2KoopsommenOverzichtResponse' => '\\StructType\\KadasterV2KoopsommenOverzichtResponse',
            'KadasterV2KoopsommenOverzicht' => '\\StructType\\KadasterV2KoopsommenOverzicht',
            'KadasterV2GevraagdGebied' => '\\StructType\\KadasterV2GevraagdGebied',
            'KadasterV2KoopsomGegeven' => '\\StructType\\KadasterV2KoopsomGegeven',
            'KadasterV2KoopsomGegevenArray' => '\\ArrayType\\KadasterV2KoopsomGegevenArray',
            'KadasterV2KadastraleGrootte' => '\\StructType\\KadasterV2KadastraleGrootte',
            'KadasterV2Koopsom' => '\\StructType\\KadasterV2Koopsom',
            'KadasterV2Bedrag' => '\\StructType\\KadasterV2Bedrag',
            'KadasterV2GerelateerdeOpenbareRuimte' => '\\StructType\\KadasterV2GerelateerdeOpenbareRuimte',
            'KadasterV2NatuurlijkPersoon' => '\\StructType\\KadasterV2NatuurlijkPersoon',
            'KadasterV2NatuurlijkPersoonArray' => '\\ArrayType\\KadasterV2NatuurlijkPersoonArray',
            'KadasterV2NietNatuurlijkPersoon' => '\\StructType\\KadasterV2NietNatuurlijkPersoon',
            'KadasterV2NietNatuurlijkPersoonArray' => '\\ArrayType\\KadasterV2NietNatuurlijkPersoonArray',
            'KadasterV2ZakelijkRecht' => '\\StructType\\KadasterV2ZakelijkRecht',
            'KadasterV2ZakelijkRechtArray' => '\\ArrayType\\KadasterV2ZakelijkRechtArray',
            'KadasterV2Personen' => '\\StructType\\KadasterV2Personen',
            'KadasterV2Aantekening' => '\\StructType\\KadasterV2Aantekening',
            'KadasterV2AantekeningArray' => '\\ArrayType\\KadasterV2AantekeningArray',
            'KadasterV2Mandeligheid' => '\\StructType\\KadasterV2Mandeligheid',
            'KadasterV2MandeligheidArray' => '\\ArrayType\\KadasterV2MandeligheidArray',
            'KadasterV2Hoofdzaak' => '\\StructType\\KadasterV2Hoofdzaak',
            'KadasterV2HoofdzaakArray' => '\\ArrayType\\KadasterV2HoofdzaakArray',
            'KadasterV2Splitsing' => '\\StructType\\KadasterV2Splitsing',
            'KadasterV2SplitsingArray' => '\\ArrayType\\KadasterV2SplitsingArray',
            'KadasterV2Stukken' => '\\StructType\\KadasterV2Stukken',
            'KadasterV2RedenVerzoek' => '\\StructType\\KadasterV2RedenVerzoek',
            'KadasterV2RedenVerzoekArray' => '\\ArrayType\\KadasterV2RedenVerzoekArray',
            'KadasterV2Stuk' => '\\StructType\\KadasterV2Stuk',
            'KadasterV2StukArray' => '\\ArrayType\\KadasterV2StukArray',
            'KadasterV2AcgIdentificatie' => '\\StructType\\KadasterV2AcgIdentificatie',
            'KadasterV2HypothecairBericht' => '\\StructType\\KadasterV2HypothecairBericht',
            'KadasterV2Stukdeel' => '\\StructType\\KadasterV2Stukdeel',
            'KadasterV2StukdeelArray' => '\\ArrayType\\KadasterV2StukdeelArray',
            'KadasterV2Hypotheek' => '\\StructType\\KadasterV2Hypotheek',
            'KadasterV2HypotheekArray' => '\\ArrayType\\KadasterV2HypotheekArray',
            'KadasterV2Beslaglegging' => '\\StructType\\KadasterV2Beslaglegging',
            'KadasterV2BeslagleggingArray' => '\\ArrayType\\KadasterV2BeslagleggingArray',
            'KvkDossier' => '\\StructType\\KvkDossier',
            'KvkExtractDocument' => '\\StructType\\KvkExtractDocument',
            'KvkReference' => '\\StructType\\KvkReference',
            'KvkReferenceArray' => '\\ArrayType\\KvkReferenceArray',
            'KvkReferencePagedResult' => '\\StructType\\KvkReferencePagedResult',
            'KvkUpdateReference' => '\\StructType\\KvkUpdateReference',
            'KvkUpdateReferenceArray' => '\\ArrayType\\KvkUpdateReferenceArray',
            'KvkUpdateReferencePagedResult' => '\\StructType\\KvkUpdateReferencePagedResult',
            'KvkDate' => '\\StructType\\KvkDate',
            'RDCoordinatesArray' => '\\ArrayType\\RDCoordinatesArray',
            'LatLonCoordinatesArray' => '\\ArrayType\\LatLonCoordinatesArray',
            'MetaServiceReference' => '\\StructType\\MetaServiceReference',
            'MetaServiceReferenceArray' => '\\ArrayType\\MetaServiceReferenceArray',
            'MetaServiceDefinition' => '\\StructType\\MetaServiceDefinition',
            'MetaServiceDefinitionArray' => '\\ArrayType\\MetaServiceDefinitionArray',
            'MetaMethodReference' => '\\StructType\\MetaMethodReference',
            'MetaMethodReferenceArray' => '\\ArrayType\\MetaMethodReferenceArray',
            'MetaMethodDefinition' => '\\StructType\\MetaMethodDefinition',
            'MetaMethodDefinitionArray' => '\\ArrayType\\MetaMethodDefinitionArray',
            'MetaElementDefinition' => '\\StructType\\MetaElementDefinition',
            'MetaElementDefinitionArray' => '\\ArrayType\\MetaElementDefinitionArray',
            'MetaValidationDefinition' => '\\StructType\\MetaValidationDefinition',
            'MetaValidationDefinitionArray' => '\\ArrayType\\MetaValidationDefinitionArray',
            'MetaProtocolDefinition' => '\\StructType\\MetaProtocolDefinition',
            'MetaProtocolDefinitionArray' => '\\ArrayType\\MetaProtocolDefinitionArray',
            'NbwoWaarde' => '\\StructType\\NbwoWaarde',
            'NbwoPostcodeStraatModelResultaat' => '\\StructType\\NbwoPostcodeStraatModelResultaat',
            'NbwoWaardeVerdeling' => '\\StructType\\NbwoWaardeVerdeling',
            'NbwoWaardeVerdelingArray' => '\\ArrayType\\NbwoWaardeVerdelingArray',
            'NbwoVorigeVerkoopModelResultaat' => '\\StructType\\NbwoVorigeVerkoopModelResultaat',
            'NbwoKenmerkenModelResultaat' => '\\StructType\\NbwoKenmerkenModelResultaat',
            'RiskPersonCompanyReport' => '\\StructType\\RiskPersonCompanyReport',
            'RiskPerson' => '\\StructType\\RiskPerson',
            'RiskCompanyReport' => '\\StructType\\RiskCompanyReport',
            'RiskCompany' => '\\StructType\\RiskCompany',
            'RiskCompanyArray' => '\\ArrayType\\RiskCompanyArray',
            'RiskInsolvency' => '\\StructType\\RiskInsolvency',
            'RiskInsolvencyArray' => '\\ArrayType\\RiskInsolvencyArray',
            'RiskInsolvencyRegistration' => '\\StructType\\RiskInsolvencyRegistration',
            'RiskInsolvencyPublication' => '\\StructType\\RiskInsolvencyPublication',
            'RiskInsolvencyPublicationArray' => '\\ArrayType\\RiskInsolvencyPublicationArray',
            'RiskInsolvencyCurator' => '\\StructType\\RiskInsolvencyCurator',
            'RiskInsolvencyCuratorArray' => '\\ArrayType\\RiskInsolvencyCuratorArray',
            'RiskInsolvencyJudge' => '\\StructType\\RiskInsolvencyJudge',
            'RiskLegalRestraint' => '\\StructType\\RiskLegalRestraint',
            'RiskLegalRestraintPerson' => '\\StructType\\RiskLegalRestraintPerson',
            'RiskLegalRestraintRegistry' => '\\StructType\\RiskLegalRestraintRegistry',
            'RiskLegalRestraintDecision' => '\\StructType\\RiskLegalRestraintDecision',
            'RiskLegalRestraintDecisionArray' => '\\ArrayType\\RiskLegalRestraintDecisionArray',
            'RiskLegalRestraintAdministrator' => '\\StructType\\RiskLegalRestraintAdministrator',
            'RiskAddress' => '\\StructType\\RiskAddress',
            'RiskCompanyAddress' => '\\StructType\\RiskCompanyAddress',
            'RiskCompanyAddressArray' => '\\ArrayType\\RiskCompanyAddressArray',
            'RiskResult' => '\\StructType\\RiskResult',
            'RoutePlannerRoute' => '\\StructType\\RoutePlannerRoute',
            'RouteLocation' => '\\StructType\\RouteLocation',
            'RouteAddress' => '\\StructType\\RouteAddress',
            'RouteCoordinates' => '\\StructType\\RouteCoordinates',
            'RouteCoordinateLatLong' => '\\StructType\\RouteCoordinateLatLong',
            'RouteCoordinateRD' => '\\StructType\\RouteCoordinateRD',
            'RouteSummary' => '\\StructType\\RouteSummary',
            'RoutePart' => '\\StructType\\RoutePart',
            'RoutePartArray' => '\\ArrayType\\RoutePartArray',
            'RouteInfo' => '\\StructType\\RouteInfo',
            'RouteCoordinatesRD' => '\\StructType\\RouteCoordinatesRD',
            'RouteDescriptionCoordinatesRD' => '\\StructType\\RouteDescriptionCoordinatesRD',
            'RouteCoordinatesLatLon' => '\\StructType\\RouteCoordinatesLatLon',
            'RouteDescriptionCoordinatesLatLon' => '\\StructType\\RouteDescriptionCoordinatesLatLon',
            'SepaBankAccountData' => '\\StructType\\SepaBankAccountData',
            'SepaBankAccountIbanData' => '\\StructType\\SepaBankAccountIbanData',
            'SepaIbanDetails' => '\\StructType\\SepaIbanDetails',
            'BbanDetails' => '\\StructType\\BbanDetails',
            'SepaBankDetails' => '\\StructType\\SepaBankDetails',
            'SepaInternationalBankAccountNumberFormatValidationReport' => '\\StructType\\SepaInternationalBankAccountNumberFormatValidationReport',
            'SepaMatchAccountHolderResult' => '\\StructType\\SepaMatchAccountHolderResult',
            'SepaMatchBankAccountDetails' => '\\StructType\\SepaMatchBankAccountDetails',
            'SepaMatchBankAccountHolder' => '\\StructType\\SepaMatchBankAccountHolder',
            'SepaMatchNameMatchingResult' => '\\StructType\\SepaMatchNameMatchingResult',
            'VatValidation' => '\\StructType\\VatValidation',
            'VatProxyViesCheckVatResponse' => '\\StructType\\VatProxyViesCheckVatResponse',
            'accountGetCreationTokenRequestType' => '\\StructType\\AccountGetCreationTokenRequestType',
            'accountGetCreationTokenResponseType' => '\\StructType\\AccountGetCreationTokenResponseType',
            'accountGetCreationStatusRequestType' => '\\StructType\\AccountGetCreationStatusRequestType',
            'accountGetCreationStatusResponseType' => '\\StructType\\AccountGetCreationStatusResponseType',
            'accountGetOrderTokenRequestType' => '\\StructType\\AccountGetOrderTokenRequestType',
            'accountGetOrderTokenResponseType' => '\\StructType\\AccountGetOrderTokenResponseType',
            'userSessionRemoveRequestType' => '\\StructType\\UserSessionRemoveRequestType',
            'userSessionRemoveResponseType' => '\\StructType\\UserSessionRemoveResponseType',
            'userSessionListRequestType' => '\\StructType\\UserSessionListRequestType',
            'userSessionListResponseType' => '\\StructType\\UserSessionListResponseType',
            'userViewBalanceRequestType' => '\\StructType\\UserViewBalanceRequestType',
            'userViewBalanceResponseType' => '\\StructType\\UserViewBalanceResponseType',
            'userEditBalanceRequestType' => '\\StructType\\UserEditBalanceRequestType',
            'userEditBalanceResponseType' => '\\StructType\\UserEditBalanceResponseType',
            'accountViewBalanceRequestType' => '\\StructType\\AccountViewBalanceRequestType',
            'accountViewBalanceResponseType' => '\\StructType\\AccountViewBalanceResponseType',
            'userViewV2RequestType' => '\\StructType\\UserViewV2RequestType',
            'userViewV2ResponseType' => '\\StructType\\UserViewV2ResponseType',
            'userEditV2RequestType' => '\\StructType\\UserEditV2RequestType',
            'userEditV2ResponseType' => '\\StructType\\UserEditV2ResponseType',
            'userEditExtendedV2RequestType' => '\\StructType\\UserEditExtendedV2RequestType',
            'userEditExtendedV2ResponseType' => '\\StructType\\UserEditExtendedV2ResponseType',
            'userCreateV2RequestType' => '\\StructType\\UserCreateV2RequestType',
            'userCreateV2ResponseType' => '\\StructType\\UserCreateV2ResponseType',
            'createTestUserRequestType' => '\\StructType\\CreateTestUserRequestType',
            'createTestUserResponseType' => '\\StructType\\CreateTestUserResponseType',
            'userChangePasswordRequestType' => '\\StructType\\UserChangePasswordRequestType',
            'userChangePasswordResponseType' => '\\StructType\\UserChangePasswordResponseType',
            'userRemoveRequestType' => '\\StructType\\UserRemoveRequestType',
            'userRemoveResponseType' => '\\StructType\\UserRemoveResponseType',
            'userNotifyRequestType' => '\\StructType\\UserNotifyRequestType',
            'userNotifyResponseType' => '\\StructType\\UserNotifyResponseType',
            'userListAssignableGroupsRequestType' => '\\StructType\\UserListAssignableGroupsRequestType',
            'userListAssignableGroupsResponseType' => '\\StructType\\UserListAssignableGroupsResponseType',
            'userAddGroupRequestType' => '\\StructType\\UserAddGroupRequestType',
            'userAddGroupResponseType' => '\\StructType\\UserAddGroupResponseType',
            'userRemoveGroupRequestType' => '\\StructType\\UserRemoveGroupRequestType',
            'userRemoveGroupResponseType' => '\\StructType\\UserRemoveGroupResponseType',
            'accountViewV2RequestType' => '\\StructType\\AccountViewV2RequestType',
            'accountViewV2ResponseType' => '\\StructType\\AccountViewV2ResponseType',
            'accountEditV2RequestType' => '\\StructType\\AccountEditV2RequestType',
            'accountEditV2ResponseType' => '\\StructType\\AccountEditV2ResponseType',
            'accountUserListV2RequestType' => '\\StructType\\AccountUserListV2RequestType',
            'accountUserListV2ResponseType' => '\\StructType\\AccountUserListV2ResponseType',
            'accountUserSearchV2RequestType' => '\\StructType\\AccountUserSearchV2RequestType',
            'accountUserSearchV2ResponseType' => '\\StructType\\AccountUserSearchV2ResponseType',
            'accountEditHostRestrictionsRequestType' => '\\StructType\\AccountEditHostRestrictionsRequestType',
            'accountEditHostRestrictionsResponseType' => '\\StructType\\AccountEditHostRestrictionsResponseType',
            'accountViewHostRestrictionsRequestType' => '\\StructType\\AccountViewHostRestrictionsRequestType',
            'accountViewHostRestrictionsResponseType' => '\\StructType\\AccountViewHostRestrictionsResponseType',
            'userEditHostRestrictionsRequestType' => '\\StructType\\UserEditHostRestrictionsRequestType',
            'userEditHostRestrictionsResponseType' => '\\StructType\\UserEditHostRestrictionsResponseType',
            'userViewHostRestrictionsRequestType' => '\\StructType\\UserViewHostRestrictionsRequestType',
            'userViewHostRestrictionsResponseType' => '\\StructType\\UserViewHostRestrictionsResponseType',
            'addressReeksPostcodeSearchRequestType' => '\\StructType\\AddressReeksPostcodeSearchRequestType',
            'addressReeksPostcodeSearchResponseType' => '\\StructType\\AddressReeksPostcodeSearchResponseType',
            'addressReeksAddressSearchRequestType' => '\\StructType\\AddressReeksAddressSearchRequestType',
            'addressReeksAddressSearchResponseType' => '\\StructType\\AddressReeksAddressSearchResponseType',
            'addressReeksFullParameterSearchRequestType' => '\\StructType\\AddressReeksFullParameterSearchRequestType',
            'addressReeksFullParameterSearchResponseType' => '\\StructType\\AddressReeksFullParameterSearchResponseType',
            'addressReeksParameterSearchRequestType' => '\\StructType\\AddressReeksParameterSearchRequestType',
            'addressReeksParameterSearchResponseType' => '\\StructType\\AddressReeksParameterSearchResponseType',
            'addressPerceelPhraseSearchRequestType' => '\\StructType\\AddressPerceelPhraseSearchRequestType',
            'addressPerceelPhraseSearchResponseType' => '\\StructType\\AddressPerceelPhraseSearchResponseType',
            'addressPerceelFullParameterSearchV2RequestType' => '\\StructType\\AddressPerceelFullParameterSearchV2RequestType',
            'addressPerceelFullParameterSearchV2ResponseType' => '\\StructType\\AddressPerceelFullParameterSearchV2ResponseType',
            'addressProvinceListNeighborhoodsRequestType' => '\\StructType\\AddressProvinceListNeighborhoodsRequestType',
            'addressProvinceListNeighborhoodsResponseType' => '\\StructType\\AddressProvinceListNeighborhoodsResponseType',
            'addressProvinceListDistrictsRequestType' => '\\StructType\\AddressProvinceListDistrictsRequestType',
            'addressProvinceListDistrictsResponseType' => '\\StructType\\AddressProvinceListDistrictsResponseType',
            'addressProvinceListRequestType' => '\\StructType\\AddressProvinceListRequestType',
            'addressProvinceListResponseType' => '\\StructType\\AddressProvinceListResponseType',
            'addressProvinceSearchRequestType' => '\\StructType\\AddressProvinceSearchRequestType',
            'addressProvinceSearchResponseType' => '\\StructType\\AddressProvinceSearchResponseType',
            'addressDistrictSearchRequestType' => '\\StructType\\AddressDistrictSearchRequestType',
            'addressDistrictSearchResponseType' => '\\StructType\\AddressDistrictSearchResponseType',
            'addressDistrictListCitiesRequestType' => '\\StructType\\AddressDistrictListCitiesRequestType',
            'addressDistrictListCitiesResponseType' => '\\StructType\\AddressDistrictListCitiesResponseType',
            'addressDistrictListNeighborhoodsRequestType' => '\\StructType\\AddressDistrictListNeighborhoodsRequestType',
            'addressDistrictListNeighborhoodsResponseType' => '\\StructType\\AddressDistrictListNeighborhoodsResponseType',
            'addressCitySearchV2RequestType' => '\\StructType\\AddressCitySearchV2RequestType',
            'addressCitySearchV2ResponseType' => '\\StructType\\AddressCitySearchV2ResponseType',
            'addressCityListNeighborhoodsRequestType' => '\\StructType\\AddressCityListNeighborhoodsRequestType',
            'addressCityListNeighborhoodsResponseType' => '\\StructType\\AddressCityListNeighborhoodsResponseType',
            'addressPerceelFullParameterSearchRequestType' => '\\StructType\\AddressPerceelFullParameterSearchRequestType',
            'addressPerceelFullParameterSearchResponseType' => '\\StructType\\AddressPerceelFullParameterSearchResponseType',
            'addressPerceelParameterSearchRequestType' => '\\StructType\\AddressPerceelParameterSearchRequestType',
            'addressPerceelParameterSearchResponseType' => '\\StructType\\AddressPerceelParameterSearchResponseType',
            'addressReeksPhraseSearchRequestType' => '\\StructType\\AddressReeksPhraseSearchRequestType',
            'addressReeksPhraseSearchResponseType' => '\\StructType\\AddressReeksPhraseSearchResponseType',
            'addressNeighborhoodNameRequestType' => '\\StructType\\AddressNeighborhoodNameRequestType',
            'addressNeighborhoodNameResponseType' => '\\StructType\\AddressNeighborhoodNameResponseType',
            'addressNeighborhoodPhraseSearchRequestType' => '\\StructType\\AddressNeighborhoodPhraseSearchRequestType',
            'addressNeighborhoodPhraseSearchResponseType' => '\\StructType\\AddressNeighborhoodPhraseSearchResponseType',
            'areaCodeLookupRequestType' => '\\StructType\\AreaCodeLookupRequestType',
            'areaCodeLookupResponseType' => '\\StructType\\AreaCodeLookupResponseType',
            'areaCodeToNeighborhoodcodeRequestType' => '\\StructType\\AreaCodeToNeighborhoodcodeRequestType',
            'areaCodeToNeighborhoodcodeResponseType' => '\\StructType\\AreaCodeToNeighborhoodcodeResponseType',
            'areaCodePostcodeLookupRequestType' => '\\StructType\\AreaCodePostcodeLookupRequestType',
            'areaCodePostcodeLookupResponseType' => '\\StructType\\AreaCodePostcodeLookupResponseType',
            'loginRequestType' => '\\StructType\\LoginRequestType',
            'loginResponseType' => '\\StructType\\LoginResponseType',
            'logoutRequestType' => '\\StructType\\LogoutRequestType',
            'logoutResponseType' => '\\StructType\\LogoutResponseType',
            'belgianBusinessGetDossierRequestType' => '\\StructType\\BelgianBusinessGetDossierRequestType',
            'belgianBusinessGetDossierResponseType' => '\\StructType\\BelgianBusinessGetDossierResponseType',
            'bovagGetMemberByBovagIdRequestType' => '\\StructType\\BovagGetMemberByBovagIdRequestType',
            'bovagGetMemberByBovagIdResponseType' => '\\StructType\\BovagGetMemberByBovagIdResponseType',
            'bovagGetMemberByDutchBusinessRequestType' => '\\StructType\\BovagGetMemberByDutchBusinessRequestType',
            'bovagGetMemberByDutchBusinessResponseType' => '\\StructType\\BovagGetMemberByDutchBusinessResponseType',
            'businessGetEstablishmentNumberRequestType' => '\\StructType\\BusinessGetEstablishmentNumberRequestType',
            'businessGetEstablishmentNumberResponseType' => '\\StructType\\BusinessGetEstablishmentNumberResponseType',
            'businessGetBIKDescriptionRequestType' => '\\StructType\\BusinessGetBIKDescriptionRequestType',
            'businessGetBIKDescriptionResponseType' => '\\StructType\\BusinessGetBIKDescriptionResponseType',
            'businessGetSBIDescriptionRequestType' => '\\StructType\\BusinessGetSBIDescriptionRequestType',
            'businessGetSBIDescriptionResponseType' => '\\StructType\\BusinessGetSBIDescriptionResponseType',
            'businessBIKToSBIRequestType' => '\\StructType\\BusinessBIKToSBIRequestType',
            'businessBIKToSBIResponseType' => '\\StructType\\BusinessBIKToSBIResponseType',
            'businessSBIToBIKRequestType' => '\\StructType\\BusinessSBIToBIKRequestType',
            'businessSBIToBIKResponseType' => '\\StructType\\BusinessSBIToBIKResponseType',
            'businessGetDossierV3RequestType' => '\\StructType\\BusinessGetDossierV3RequestType',
            'businessGetDossierV3ResponseType' => '\\StructType\\BusinessGetDossierV3ResponseType',
            'businessGetDossierExtendedRequestType' => '\\StructType\\BusinessGetDossierExtendedRequestType',
            'businessGetDossierExtendedResponseType' => '\\StructType\\BusinessGetDossierExtendedResponseType',
            'businessSearchDossierNumberRequestType' => '\\StructType\\BusinessSearchDossierNumberRequestType',
            'businessSearchDossierNumberResponseType' => '\\StructType\\BusinessSearchDossierNumberResponseType',
            'businessSearchPostcodeRequestType' => '\\StructType\\BusinessSearchPostcodeRequestType',
            'businessSearchPostcodeResponseType' => '\\StructType\\BusinessSearchPostcodeResponseType',
            'businessSearchAddressRequestType' => '\\StructType\\BusinessSearchAddressRequestType',
            'businessSearchAddressResponseType' => '\\StructType\\BusinessSearchAddressResponseType',
            'businessSearchNameRequestType' => '\\StructType\\BusinessSearchNameRequestType',
            'businessSearchNameResponseType' => '\\StructType\\BusinessSearchNameResponseType',
            'businessSearchParametersRequestType' => '\\StructType\\BusinessSearchParametersRequestType',
            'businessSearchParametersResponseType' => '\\StructType\\BusinessSearchParametersResponseType',
            'businessSearchParametersV3RequestType' => '\\StructType\\BusinessSearchParametersV3RequestType',
            'businessSearchParametersV3ResponseType' => '\\StructType\\BusinessSearchParametersV3ResponseType',
            'businessSearchSelectionRequestType' => '\\StructType\\BusinessSearchSelectionRequestType',
            'businessSearchSelectionResponseType' => '\\StructType\\BusinessSearchSelectionResponseType',
            'businessSearchSelectionV2RequestType' => '\\StructType\\BusinessSearchSelectionV2RequestType',
            'businessSearchSelectionV2ResponseType' => '\\StructType\\BusinessSearchSelectionV2ResponseType',
            'businessGetDossierSBIRequestType' => '\\StructType\\BusinessGetDossierSBIRequestType',
            'businessGetDossierSBIResponseType' => '\\StructType\\BusinessGetDossierSBIResponseType',
            'businessUpdateCheckDossierRequestType' => '\\StructType\\BusinessUpdateCheckDossierRequestType',
            'businessUpdateCheckDossierResponseType' => '\\StructType\\BusinessUpdateCheckDossierResponseType',
            'businessUpdateGetChangedDossiersRequestType' => '\\StructType\\BusinessUpdateGetChangedDossiersRequestType',
            'businessUpdateGetChangedDossiersResponseType' => '\\StructType\\BusinessUpdateGetChangedDossiersResponseType',
            'businessUpdateGetDossiersRequestType' => '\\StructType\\BusinessUpdateGetDossiersRequestType',
            'businessUpdateGetDossiersResponseType' => '\\StructType\\BusinessUpdateGetDossiersResponseType',
            'businessUpdateAddDossierRequestType' => '\\StructType\\BusinessUpdateAddDossierRequestType',
            'businessUpdateAddDossierResponseType' => '\\StructType\\BusinessUpdateAddDossierResponseType',
            'businessUpdateRemoveDossierRequestType' => '\\StructType\\BusinessUpdateRemoveDossierRequestType',
            'businessUpdateRemoveDossierResponseType' => '\\StructType\\BusinessUpdateRemoveDossierResponseType',
            'businessSearchParametersV2RequestType' => '\\StructType\\BusinessSearchParametersV2RequestType',
            'businessSearchParametersV2ResponseType' => '\\StructType\\BusinessSearchParametersV2ResponseType',
            'carRDWCarCheckCodeRequestType' => '\\StructType\\CarRDWCarCheckCodeRequestType',
            'carRDWCarCheckCodeResponseType' => '\\StructType\\CarRDWCarCheckCodeResponseType',
            'carRDWCarDataV3RequestType' => '\\StructType\\CarRDWCarDataV3RequestType',
            'carRDWCarDataV3ResponseType' => '\\StructType\\CarRDWCarDataV3ResponseType',
            'carRDWCarDataBPV2RequestType' => '\\StructType\\CarRDWCarDataBPV2RequestType',
            'carRDWCarDataBPV2ResponseType' => '\\StructType\\CarRDWCarDataBPV2ResponseType',
            'carRDWCarDataExtendedRequestType' => '\\StructType\\CarRDWCarDataExtendedRequestType',
            'carRDWCarDataExtendedResponseType' => '\\StructType\\CarRDWCarDataExtendedResponseType',
            'carRDWCarDataPriceRequestType' => '\\StructType\\CarRDWCarDataPriceRequestType',
            'carRDWCarDataPriceResponseType' => '\\StructType\\CarRDWCarDataPriceResponseType',
            'carRDWCarDataOptionsRequestType' => '\\StructType\\CarRDWCarDataOptionsRequestType',
            'carRDWCarDataOptionsResponseType' => '\\StructType\\CarRDWCarDataOptionsResponseType',
            'carVWEMeldcodeCheckRequestType' => '\\StructType\\CarVWEMeldcodeCheckRequestType',
            'carVWEMeldcodeCheckResponseType' => '\\StructType\\CarVWEMeldcodeCheckResponseType',
            'carVWEBasicTypeDataRequestType' => '\\StructType\\CarVWEBasicTypeDataRequestType',
            'carVWEBasicTypeDataResponseType' => '\\StructType\\CarVWEBasicTypeDataResponseType',
            'carVWEVersionPriceRequestType' => '\\StructType\\CarVWEVersionPriceRequestType',
            'carVWEVersionPriceResponseType' => '\\StructType\\CarVWEVersionPriceResponseType',
            'carVWEOptionsRequestType' => '\\StructType\\CarVWEOptionsRequestType',
            'carVWEOptionsResponseType' => '\\StructType\\CarVWEOptionsResponseType',
            'carVWEListBrandsRequestType' => '\\StructType\\CarVWEListBrandsRequestType',
            'carVWEListBrandsResponseType' => '\\StructType\\CarVWEListBrandsResponseType',
            'carVWEListModelsRequestType' => '\\StructType\\CarVWEListModelsRequestType',
            'carVWEListModelsResponseType' => '\\StructType\\CarVWEListModelsResponseType',
            'carVWEListVersionsRequestType' => '\\StructType\\CarVWEListVersionsRequestType',
            'carVWEListVersionsResponseType' => '\\StructType\\CarVWEListVersionsResponseType',
            'carVWEVersionYearDataRequestType' => '\\StructType\\CarVWEVersionYearDataRequestType',
            'carVWEVersionYearDataResponseType' => '\\StructType\\CarVWEVersionYearDataResponseType',
            'carVWEPhotosRequestType' => '\\StructType\\CarVWEPhotosRequestType',
            'carVWEPhotosResponseType' => '\\StructType\\CarVWEPhotosResponseType',
            'carATDPriceRequestType' => '\\StructType\\CarATDPriceRequestType',
            'carATDPriceResponseType' => '\\StructType\\CarATDPriceResponseType',
            'carRDWCarDataRequestType' => '\\StructType\\CarRDWCarDataRequestType',
            'carRDWCarDataResponseType' => '\\StructType\\CarRDWCarDataResponseType',
            'carRDWCarDataV2RequestType' => '\\StructType\\CarRDWCarDataV2RequestType',
            'carRDWCarDataV2ResponseType' => '\\StructType\\CarRDWCarDataV2ResponseType',
            'carRDWCarDataBPRequestType' => '\\StructType\\CarRDWCarDataBPRequestType',
            'carRDWCarDataBPResponseType' => '\\StructType\\CarRDWCarDataBPResponseType',
            'complianceSearchPersonsRequestType' => '\\StructType\\ComplianceSearchPersonsRequestType',
            'complianceSearchPersonsResponseType' => '\\StructType\\ComplianceSearchPersonsResponseType',
            'complianceGetPersonRequestType' => '\\StructType\\ComplianceGetPersonRequestType',
            'complianceGetPersonResponseType' => '\\StructType\\ComplianceGetPersonResponseType',
            'complianceSearchBusinessesRequestType' => '\\StructType\\ComplianceSearchBusinessesRequestType',
            'complianceSearchBusinessesResponseType' => '\\StructType\\ComplianceSearchBusinessesResponseType',
            'complianceGetBusinessRequestType' => '\\StructType\\ComplianceGetBusinessRequestType',
            'complianceGetBusinessResponseType' => '\\StructType\\ComplianceGetBusinessResponseType',
            'creditsafeGetReportFullRequestType' => '\\StructType\\CreditsafeGetReportFullRequestType',
            'creditsafeGetReportFullResponseType' => '\\StructType\\CreditsafeGetReportFullResponseType',
            'creditsafeSearchRequestType' => '\\StructType\\CreditsafeSearchRequestType',
            'creditsafeSearchResponseType' => '\\StructType\\CreditsafeSearchResponseType',
            'creditsafeSearchV2RequestType' => '\\StructType\\CreditsafeSearchV2RequestType',
            'creditsafeSearchV2ResponseType' => '\\StructType\\CreditsafeSearchV2ResponseType',
            'creditsafeGetReportFullV2RequestType' => '\\StructType\\CreditsafeGetReportFullV2RequestType',
            'creditsafeGetReportFullV2ResponseType' => '\\StructType\\CreditsafeGetReportFullV2ResponseType',
            'creditsafeGetReportFullPdfV2RequestType' => '\\StructType\\CreditsafeGetReportFullPdfV2RequestType',
            'creditsafeGetReportFullPdfV2ResponseType' => '\\StructType\\CreditsafeGetReportFullPdfV2ResponseType',
            'creditsafeSearchCriteriaRequestType' => '\\StructType\\CreditsafeSearchCriteriaRequestType',
            'creditsafeSearchCriteriaResponseType' => '\\StructType\\CreditsafeSearchCriteriaResponseType',
            'creditsafeMonitorAddCompanyRequestType' => '\\StructType\\CreditsafeMonitorAddCompanyRequestType',
            'creditsafeMonitorAddCompanyResponseType' => '\\StructType\\CreditsafeMonitorAddCompanyResponseType',
            'creditsafeMonitorRemoveCompanyRequestType' => '\\StructType\\CreditsafeMonitorRemoveCompanyRequestType',
            'creditsafeMonitorRemoveCompanyResponseType' => '\\StructType\\CreditsafeMonitorRemoveCompanyResponseType',
            'creditsafeMonitorGetUpdatedCompaniesRequestType' => '\\StructType\\CreditsafeMonitorGetUpdatedCompaniesRequestType',
            'creditsafeMonitorGetUpdatedCompaniesResponseType' => '\\StructType\\CreditsafeMonitorGetUpdatedCompaniesResponseType',
            'dnbSearchReferenceV2RequestType' => '\\StructType\\DnbSearchReferenceV2RequestType',
            'dnbSearchReferenceV2ResponseType' => '\\StructType\\DnbSearchReferenceV2ResponseType',
            'dnbGetReferenceRequestType' => '\\StructType\\DnbGetReferenceRequestType',
            'dnbGetReferenceResponseType' => '\\StructType\\DnbGetReferenceResponseType',
            'dnbWorldbaseMarketingRequestType' => '\\StructType\\DnbWorldbaseMarketingRequestType',
            'dnbWorldbaseMarketingResponseType' => '\\StructType\\DnbWorldbaseMarketingResponseType',
            'dnbWorldbaseMarketingPlusRequestType' => '\\StructType\\DnbWorldbaseMarketingPlusRequestType',
            'dnbWorldbaseMarketingPlusResponseType' => '\\StructType\\DnbWorldbaseMarketingPlusResponseType',
            'dnbWorldbaseMarketingPlusLinkageRequestType' => '\\StructType\\DnbWorldbaseMarketingPlusLinkageRequestType',
            'dnbWorldbaseMarketingPlusLinkageResponseType' => '\\StructType\\DnbWorldbaseMarketingPlusLinkageResponseType',
            'dnbQuickCheckRequestType' => '\\StructType\\DnbQuickCheckRequestType',
            'dnbQuickCheckResponseType' => '\\StructType\\DnbQuickCheckResponseType',
            'dnbBusinessVerificationRequestType' => '\\StructType\\DnbBusinessVerificationRequestType',
            'dnbBusinessVerificationResponseType' => '\\StructType\\DnbBusinessVerificationResponseType',
            'dnbEnterpriseManagementRequestType' => '\\StructType\\DnbEnterpriseManagementRequestType',
            'dnbEnterpriseManagementResponseType' => '\\StructType\\DnbEnterpriseManagementResponseType',
            'dnbSearchReferenceRequestType' => '\\StructType\\DnbSearchReferenceRequestType',
            'dnbSearchReferenceResponseType' => '\\StructType\\DnbSearchReferenceResponseType',
            'driveInfoDistanceLookupRequestType' => '\\StructType\\DriveInfoDistanceLookupRequestType',
            'driveInfoDistanceLookupResponseType' => '\\StructType\\DriveInfoDistanceLookupResponseType',
            'driveInfoTimeLookupRequestType' => '\\StructType\\DriveInfoTimeLookupRequestType',
            'driveInfoTimeLookupResponseType' => '\\StructType\\DriveInfoTimeLookupResponseType',
            'dutchAddressRangePostcodeSearchRequestType' => '\\StructType\\DutchAddressRangePostcodeSearchRequestType',
            'dutchAddressRangePostcodeSearchResponseType' => '\\StructType\\DutchAddressRangePostcodeSearchResponseType',
            'dutchBusinessGetDossierRequestType' => '\\StructType\\DutchBusinessGetDossierRequestType',
            'dutchBusinessGetDossierResponseType' => '\\StructType\\DutchBusinessGetDossierResponseType',
            'dutchBusinessGetDossierV2RequestType' => '\\StructType\\DutchBusinessGetDossierV2RequestType',
            'dutchBusinessGetDossierV2ResponseType' => '\\StructType\\DutchBusinessGetDossierV2ResponseType',
            'dutchBusinessGetDossierV3RequestType' => '\\StructType\\DutchBusinessGetDossierV3RequestType',
            'dutchBusinessGetDossierV3ResponseType' => '\\StructType\\DutchBusinessGetDossierV3ResponseType',
            'dutchBusinessGetSBIRequestType' => '\\StructType\\DutchBusinessGetSBIRequestType',
            'dutchBusinessGetSBIResponseType' => '\\StructType\\DutchBusinessGetSBIResponseType',
            'dutchBusinessGetVatNumberRequestType' => '\\StructType\\DutchBusinessGetVatNumberRequestType',
            'dutchBusinessGetVatNumberResponseType' => '\\StructType\\DutchBusinessGetVatNumberResponseType',
            'dutchBusinessGetPositionsRequestType' => '\\StructType\\DutchBusinessGetPositionsRequestType',
            'dutchBusinessGetPositionsResponseType' => '\\StructType\\DutchBusinessGetPositionsResponseType',
            'dutchBusinessGetLegalEntityRequestType' => '\\StructType\\DutchBusinessGetLegalEntityRequestType',
            'dutchBusinessGetLegalEntityResponseType' => '\\StructType\\DutchBusinessGetLegalEntityResponseType',
            'dutchBusinessGetOrganizationTreeRequestType' => '\\StructType\\DutchBusinessGetOrganizationTreeRequestType',
            'dutchBusinessGetOrganizationTreeResponseType' => '\\StructType\\DutchBusinessGetOrganizationTreeResponseType',
            'dutchBusinessGetNonMarketingIndicatorRequestType' => '\\StructType\\DutchBusinessGetNonMarketingIndicatorRequestType',
            'dutchBusinessGetNonMarketingIndicatorResponseType' => '\\StructType\\DutchBusinessGetNonMarketingIndicatorResponseType',
            'dutchBusinessSearchDossierNumberRequestType' => '\\StructType\\DutchBusinessSearchDossierNumberRequestType',
            'dutchBusinessSearchDossierNumberResponseType' => '\\StructType\\DutchBusinessSearchDossierNumberResponseType',
            'dutchBusinessGetConcernRelationsDetailsRequestType' => '\\StructType\\DutchBusinessGetConcernRelationsDetailsRequestType',
            'dutchBusinessGetConcernRelationsDetailsResponseType' => '\\StructType\\DutchBusinessGetConcernRelationsDetailsResponseType',
            'dutchBusinessSearchParametersV2RequestType' => '\\StructType\\DutchBusinessSearchParametersV2RequestType',
            'dutchBusinessSearchParametersV2ResponseType' => '\\StructType\\DutchBusinessSearchParametersV2ResponseType',
            'dutchBusinessSearchRequestType' => '\\StructType\\DutchBusinessSearchRequestType',
            'dutchBusinessSearchResponseType' => '\\StructType\\DutchBusinessSearchResponseType',
            'dutchBusinessSearchEstablishmentsRequestType' => '\\StructType\\DutchBusinessSearchEstablishmentsRequestType',
            'dutchBusinessSearchEstablishmentsResponseType' => '\\StructType\\DutchBusinessSearchEstablishmentsResponseType',
            'dutchBusinessSearchPostcodeRequestType' => '\\StructType\\DutchBusinessSearchPostcodeRequestType',
            'dutchBusinessSearchPostcodeResponseType' => '\\StructType\\DutchBusinessSearchPostcodeResponseType',
            'dutchBusinessSearchSelectionRequestType' => '\\StructType\\DutchBusinessSearchSelectionRequestType',
            'dutchBusinessSearchSelectionResponseType' => '\\StructType\\DutchBusinessSearchSelectionResponseType',
            'dutchBusinessSearchSelectionSimpleRequestType' => '\\StructType\\DutchBusinessSearchSelectionSimpleRequestType',
            'dutchBusinessSearchSelectionSimpleResponseType' => '\\StructType\\DutchBusinessSearchSelectionSimpleResponseType',
            'dutchBusinessGetSBIDescriptionRequestType' => '\\StructType\\DutchBusinessGetSBIDescriptionRequestType',
            'dutchBusinessGetSBIDescriptionResponseType' => '\\StructType\\DutchBusinessGetSBIDescriptionResponseType',
            'dutchBusinessGetAnnualFinancialStatementRequestType' => '\\StructType\\DutchBusinessGetAnnualFinancialStatementRequestType',
            'dutchBusinessGetAnnualFinancialStatementResponseType' => '\\StructType\\DutchBusinessGetAnnualFinancialStatementResponseType',
            'dutchBusinessLookALikesRequestType' => '\\StructType\\DutchBusinessLookALikesRequestType',
            'dutchBusinessLookALikesResponseType' => '\\StructType\\DutchBusinessLookALikesResponseType',
            'dutchBusinessGetExtractDocumentRequestType' => '\\StructType\\DutchBusinessGetExtractDocumentRequestType',
            'dutchBusinessGetExtractDocumentResponseType' => '\\StructType\\DutchBusinessGetExtractDocumentResponseType',
            'dutchBusinessGetExtractDocumentDataRequestType' => '\\StructType\\DutchBusinessGetExtractDocumentDataRequestType',
            'dutchBusinessGetExtractDocumentDataResponseType' => '\\StructType\\DutchBusinessGetExtractDocumentDataResponseType',
            'dutchBusinessGetExtractDocumentDataV2RequestType' => '\\StructType\\DutchBusinessGetExtractDocumentDataV2RequestType',
            'dutchBusinessGetExtractDocumentDataV2ResponseType' => '\\StructType\\DutchBusinessGetExtractDocumentDataV2ResponseType',
            'dutchBusinessGetExtractDocumentDataV3RequestType' => '\\StructType\\DutchBusinessGetExtractDocumentDataV3RequestType',
            'dutchBusinessGetExtractDocumentDataV3ResponseType' => '\\StructType\\DutchBusinessGetExtractDocumentDataV3ResponseType',
            'dutchBusinessGetExtractHistoryRequestType' => '\\StructType\\DutchBusinessGetExtractHistoryRequestType',
            'dutchBusinessGetExtractHistoryResponseType' => '\\StructType\\DutchBusinessGetExtractHistoryResponseType',
            'dutchBusinessGetExtractHistoryChangedRequestType' => '\\StructType\\DutchBusinessGetExtractHistoryChangedRequestType',
            'dutchBusinessGetExtractHistoryChangedResponseType' => '\\StructType\\DutchBusinessGetExtractHistoryChangedResponseType',
            'dutchBusinessGetExtractHistoryDocumentDataRequestType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataRequestType',
            'dutchBusinessGetExtractHistoryDocumentDataResponseType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataResponseType',
            'dutchBusinessGetExtractHistoryDocumentDataV2RequestType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataV2RequestType',
            'dutchBusinessGetExtractHistoryDocumentDataV2ResponseType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataV2ResponseType',
            'dutchBusinessGetExtractHistoryDocumentDataV3RequestType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataV3RequestType',
            'dutchBusinessGetExtractHistoryDocumentDataV3ResponseType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataV3ResponseType',
            'dutchBusinessGetExtractHistoryDocumentDataV3ByDossierRequestType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataV3ByDossierRequestType',
            'dutchBusinessGetExtractHistoryDocumentDataV3ByDossierResponseType' => '\\StructType\\DutchBusinessGetExtractHistoryDocumentDataV3ByDossierResponseType',
            'dutchBusinessGetDossierHistoryRequestType' => '\\StructType\\DutchBusinessGetDossierHistoryRequestType',
            'dutchBusinessGetDossierHistoryResponseType' => '\\StructType\\DutchBusinessGetDossierHistoryResponseType',
            'dutchBusinessUpdateCheckDossierRequestType' => '\\StructType\\DutchBusinessUpdateCheckDossierRequestType',
            'dutchBusinessUpdateCheckDossierResponseType' => '\\StructType\\DutchBusinessUpdateCheckDossierResponseType',
            'dutchBusinessUpdateGetChangedDossiersRequestType' => '\\StructType\\DutchBusinessUpdateGetChangedDossiersRequestType',
            'dutchBusinessUpdateGetChangedDossiersResponseType' => '\\StructType\\DutchBusinessUpdateGetChangedDossiersResponseType',
            'dutchBusinessSearchNewsByDossierRequestType' => '\\StructType\\DutchBusinessSearchNewsByDossierRequestType',
            'dutchBusinessSearchNewsByDossierResponseType' => '\\StructType\\DutchBusinessSearchNewsByDossierResponseType',
            'dutchBusinessUBOStartInvestigationRequestType' => '\\StructType\\DutchBusinessUBOStartInvestigationRequestType',
            'dutchBusinessUBOStartInvestigationResponseType' => '\\StructType\\DutchBusinessUBOStartInvestigationResponseType',
            'dutchBusinessUBOCheckInvestigationRequestType' => '\\StructType\\DutchBusinessUBOCheckInvestigationRequestType',
            'dutchBusinessUBOCheckInvestigationResponseType' => '\\StructType\\DutchBusinessUBOCheckInvestigationResponseType',
            'dutchBusinessUBOPickupInvestigationRequestType' => '\\StructType\\DutchBusinessUBOPickupInvestigationRequestType',
            'dutchBusinessUBOPickupInvestigationResponseType' => '\\StructType\\DutchBusinessUBOPickupInvestigationResponseType',
            'dutchBusinessUBOCostsInvestigationRequestType' => '\\StructType\\DutchBusinessUBOCostsInvestigationRequestType',
            'dutchBusinessUBOCostsInvestigationResponseType' => '\\StructType\\DutchBusinessUBOCostsInvestigationResponseType',
            'dutchBusinessUBOClassifyInvestigationRequestType' => '\\StructType\\DutchBusinessUBOClassifyInvestigationRequestType',
            'dutchBusinessUBOClassifyInvestigationResponseType' => '\\StructType\\DutchBusinessUBOClassifyInvestigationResponseType',
            'dutchBusinessUpdateAddDossierRequestType' => '\\StructType\\DutchBusinessUpdateAddDossierRequestType',
            'dutchBusinessUpdateAddDossierResponseType' => '\\StructType\\DutchBusinessUpdateAddDossierResponseType',
            'dutchBusinessUpdateRemoveDossierRequestType' => '\\StructType\\DutchBusinessUpdateRemoveDossierRequestType',
            'dutchBusinessUpdateRemoveDossierResponseType' => '\\StructType\\DutchBusinessUpdateRemoveDossierResponseType',
            'dutchBusinessUpdateGetOverviewRequestType' => '\\StructType\\DutchBusinessUpdateGetOverviewRequestType',
            'dutchBusinessUpdateGetOverviewResponseType' => '\\StructType\\DutchBusinessUpdateGetOverviewResponseType',
            'dutchBusinessUpdateGetDossiersRequestType' => '\\StructType\\DutchBusinessUpdateGetDossiersRequestType',
            'dutchBusinessUpdateGetDossiersResponseType' => '\\StructType\\DutchBusinessUpdateGetDossiersResponseType',
            'dutchBusinessGetLeiRequestType' => '\\StructType\\DutchBusinessGetLeiRequestType',
            'dutchBusinessGetLeiResponseType' => '\\StructType\\DutchBusinessGetLeiResponseType',
            'dutchBusinessGetConcernRelationsOverviewRequestType' => '\\StructType\\DutchBusinessGetConcernRelationsOverviewRequestType',
            'dutchBusinessGetConcernRelationsOverviewResponseType' => '\\StructType\\DutchBusinessGetConcernRelationsOverviewResponseType',
            'dutchBusinessGetAdditionalPositionsRequestType' => '\\StructType\\DutchBusinessGetAdditionalPositionsRequestType',
            'dutchBusinessGetAdditionalPositionsResponseType' => '\\StructType\\DutchBusinessGetAdditionalPositionsResponseType',
            'dutchBusinessSearchParametersRequestType' => '\\StructType\\DutchBusinessSearchParametersRequestType',
            'dutchBusinessSearchParametersResponseType' => '\\StructType\\DutchBusinessSearchParametersResponseType',
            'dutchVehicleGetVehicleV2RequestType' => '\\StructType\\DutchVehicleGetVehicleV2RequestType',
            'dutchVehicleGetVehicleV2ResponseType' => '\\StructType\\DutchVehicleGetVehicleV2ResponseType',
            'dutchVehicleGetPurchaseReferenceRequestType' => '\\StructType\\DutchVehicleGetPurchaseReferenceRequestType',
            'dutchVehicleGetPurchaseReferenceResponseType' => '\\StructType\\DutchVehicleGetPurchaseReferenceResponseType',
            'dutchVehicleGetOwnerHistoryRequestType' => '\\StructType\\DutchVehicleGetOwnerHistoryRequestType',
            'dutchVehicleGetOwnerHistoryResponseType' => '\\StructType\\DutchVehicleGetOwnerHistoryResponseType',
            'dutchVehicleGetMarketValueRequestType' => '\\StructType\\DutchVehicleGetMarketValueRequestType',
            'dutchVehicleGetMarketValueResponseType' => '\\StructType\\DutchVehicleGetMarketValueResponseType',
            'dutchVehicleGetVehicleRequestType' => '\\StructType\\DutchVehicleGetVehicleRequestType',
            'dutchVehicleGetVehicleResponseType' => '\\StructType\\DutchVehicleGetVehicleResponseType',
            'edrGetScoreRequestType' => '\\StructType\\EdrGetScoreRequestType',
            'edrGetScoreResponseType' => '\\StructType\\EdrGetScoreResponseType',
            'geoLocationNeighborhoodCoordinatesRDRequestType' => '\\StructType\\GeoLocationNeighborhoodCoordinatesRDRequestType',
            'geoLocationNeighborhoodCoordinatesRDResponseType' => '\\StructType\\GeoLocationNeighborhoodCoordinatesRDResponseType',
            'geoLocationPostcodeCoordinatesRDRequestType' => '\\StructType\\GeoLocationPostcodeCoordinatesRDRequestType',
            'geoLocationPostcodeCoordinatesRDResponseType' => '\\StructType\\GeoLocationPostcodeCoordinatesRDResponseType',
            'geoLocationNeighborhoodCoordinatesLatLonRequestType' => '\\StructType\\GeoLocationNeighborhoodCoordinatesLatLonRequestType',
            'geoLocationNeighborhoodCoordinatesLatLonResponseType' => '\\StructType\\GeoLocationNeighborhoodCoordinatesLatLonResponseType',
            'geoLocationPostcodeCoordinatesLatLonRequestType' => '\\StructType\\GeoLocationPostcodeCoordinatesLatLonRequestType',
            'geoLocationPostcodeCoordinatesLatLonResponseType' => '\\StructType\\GeoLocationPostcodeCoordinatesLatLonResponseType',
            'geoLocationAddressCoordinatesLatLonRequestType' => '\\StructType\\GeoLocationAddressCoordinatesLatLonRequestType',
            'geoLocationAddressCoordinatesLatLonResponseType' => '\\StructType\\GeoLocationAddressCoordinatesLatLonResponseType',
            'geoLocationAddressCoordinatesRDRequestType' => '\\StructType\\GeoLocationAddressCoordinatesRDRequestType',
            'geoLocationAddressCoordinatesRDResponseType' => '\\StructType\\GeoLocationAddressCoordinatesRDResponseType',
            'geoLocationLatLonToPostcodeRequestType' => '\\StructType\\GeoLocationLatLonToPostcodeRequestType',
            'geoLocationLatLonToPostcodeResponseType' => '\\StructType\\GeoLocationLatLonToPostcodeResponseType',
            'geoLocationLatLonToAddressV2RequestType' => '\\StructType\\GeoLocationLatLonToAddressV2RequestType',
            'geoLocationLatLonToAddressV2ResponseType' => '\\StructType\\GeoLocationLatLonToAddressV2ResponseType',
            'geoLocationRDToPostcodeRequestType' => '\\StructType\\GeoLocationRDToPostcodeRequestType',
            'geoLocationRDToPostcodeResponseType' => '\\StructType\\GeoLocationRDToPostcodeResponseType',
            'geoLocationRDToAddressV2RequestType' => '\\StructType\\GeoLocationRDToAddressV2RequestType',
            'geoLocationRDToAddressV2ResponseType' => '\\StructType\\GeoLocationRDToAddressV2ResponseType',
            'geoLocationInternationalPostcodeCoordinatesLatLonRequestType' => '\\StructType\\GeoLocationInternationalPostcodeCoordinatesLatLonRequestType',
            'geoLocationInternationalPostcodeCoordinatesLatLonResponseType' => '\\StructType\\GeoLocationInternationalPostcodeCoordinatesLatLonResponseType',
            'geoLocationInternationalAddressCoordinatesLatLonRequestType' => '\\StructType\\GeoLocationInternationalAddressCoordinatesLatLonRequestType',
            'geoLocationInternationalAddressCoordinatesLatLonResponseType' => '\\StructType\\GeoLocationInternationalAddressCoordinatesLatLonResponseType',
            'geoLocationInternationalAddressCoordinatesLatLonV2RequestType' => '\\StructType\\GeoLocationInternationalAddressCoordinatesLatLonV2RequestType',
            'geoLocationInternationalAddressCoordinatesLatLonV2ResponseType' => '\\StructType\\GeoLocationInternationalAddressCoordinatesLatLonV2ResponseType',
            'geoLocationInternationalLatLonToAddressRequestType' => '\\StructType\\GeoLocationInternationalLatLonToAddressRequestType',
            'geoLocationInternationalLatLonToAddressResponseType' => '\\StructType\\GeoLocationInternationalLatLonToAddressResponseType',
            'geoLocationNeighborhoodDistanceRequestType' => '\\StructType\\GeoLocationNeighborhoodDistanceRequestType',
            'geoLocationNeighborhoodDistanceResponseType' => '\\StructType\\GeoLocationNeighborhoodDistanceResponseType',
            'geoLocationPostcodeDistanceRequestType' => '\\StructType\\GeoLocationPostcodeDistanceRequestType',
            'geoLocationPostcodeDistanceResponseType' => '\\StructType\\GeoLocationPostcodeDistanceResponseType',
            'geoLocationHaversineDistanceRequestType' => '\\StructType\\GeoLocationHaversineDistanceRequestType',
            'geoLocationHaversineDistanceResponseType' => '\\StructType\\GeoLocationHaversineDistanceResponseType',
            'geoLocationDistanceSortedNeighborhoodCodesRequestType' => '\\StructType\\GeoLocationDistanceSortedNeighborhoodCodesRequestType',
            'geoLocationDistanceSortedNeighborhoodCodesResponseType' => '\\StructType\\GeoLocationDistanceSortedNeighborhoodCodesResponseType',
            'geoLocationDistanceSortedNeighborhoodCodesRadiusRequestType' => '\\StructType\\GeoLocationDistanceSortedNeighborhoodCodesRadiusRequestType',
            'geoLocationDistanceSortedNeighborhoodCodesRadiusResponseType' => '\\StructType\\GeoLocationDistanceSortedNeighborhoodCodesRadiusResponseType',
            'geoLocationDistanceSortedPostcodesRadiusRequestType' => '\\StructType\\GeoLocationDistanceSortedPostcodesRadiusRequestType',
            'geoLocationDistanceSortedPostcodesRadiusResponseType' => '\\StructType\\GeoLocationDistanceSortedPostcodesRadiusResponseType',
            'geoLocationDistanceSortedPostcodesRequestType' => '\\StructType\\GeoLocationDistanceSortedPostcodesRequestType',
            'geoLocationDistanceSortedPostcodesResponseType' => '\\StructType\\GeoLocationDistanceSortedPostcodesResponseType',
            'geoLocationLatLonToRDRequestType' => '\\StructType\\GeoLocationLatLonToRDRequestType',
            'geoLocationLatLonToRDResponseType' => '\\StructType\\GeoLocationLatLonToRDResponseType',
            'geoLocationRDToLatLonRequestType' => '\\StructType\\GeoLocationRDToLatLonRequestType',
            'geoLocationRDToLatLonResponseType' => '\\StructType\\GeoLocationRDToLatLonResponseType',
            'graydonCreditGetReportRequestType' => '\\StructType\\GraydonCreditGetReportRequestType',
            'graydonCreditGetReportResponseType' => '\\StructType\\GraydonCreditGetReportResponseType',
            'graydonCreditSearchIdentificationRequestType' => '\\StructType\\GraydonCreditSearchIdentificationRequestType',
            'graydonCreditSearchIdentificationResponseType' => '\\StructType\\GraydonCreditSearchIdentificationResponseType',
            'graydonCreditSearchNameRequestType' => '\\StructType\\GraydonCreditSearchNameRequestType',
            'graydonCreditSearchNameResponseType' => '\\StructType\\GraydonCreditSearchNameResponseType',
            'graydonCreditSearchPostcodeRequestType' => '\\StructType\\GraydonCreditSearchPostcodeRequestType',
            'graydonCreditSearchPostcodeResponseType' => '\\StructType\\GraydonCreditSearchPostcodeResponseType',
            'graydonCreditQuickscanRequestType' => '\\StructType\\GraydonCreditQuickscanRequestType',
            'graydonCreditQuickscanResponseType' => '\\StructType\\GraydonCreditQuickscanResponseType',
            'graydonCreditRatingsRequestType' => '\\StructType\\GraydonCreditRatingsRequestType',
            'graydonCreditRatingsResponseType' => '\\StructType\\GraydonCreditRatingsResponseType',
            'graydonCreditVatNumberRequestType' => '\\StructType\\GraydonCreditVatNumberRequestType',
            'graydonCreditVatNumberResponseType' => '\\StructType\\GraydonCreditVatNumberResponseType',
            'graydonCreditCompanyLiaisonsRequestType' => '\\StructType\\GraydonCreditCompanyLiaisonsRequestType',
            'graydonCreditCompanyLiaisonsResponseType' => '\\StructType\\GraydonCreditCompanyLiaisonsResponseType',
            'graydonCreditManagementRequestType' => '\\StructType\\GraydonCreditManagementRequestType',
            'graydonCreditManagementResponseType' => '\\StructType\\GraydonCreditManagementResponseType',
            'insolvencyGetCaseByPublicationRequestType' => '\\StructType\\InsolvencyGetCaseByPublicationRequestType',
            'insolvencyGetCaseByPublicationResponseType' => '\\StructType\\InsolvencyGetCaseByPublicationResponseType',
            'insolvencySearchPublicationsByCoCNumberRequestType' => '\\StructType\\InsolvencySearchPublicationsByCoCNumberRequestType',
            'insolvencySearchPublicationsByCoCNumberResponseType' => '\\StructType\\InsolvencySearchPublicationsByCoCNumberResponseType',
            'insolvencySearchPublicationsByPersonRequestType' => '\\StructType\\InsolvencySearchPublicationsByPersonRequestType',
            'insolvencySearchPublicationsByPersonResponseType' => '\\StructType\\InsolvencySearchPublicationsByPersonResponseType',
            'internationalAddressSearchV2RequestType' => '\\StructType\\InternationalAddressSearchV2RequestType',
            'internationalAddressSearchV2ResponseType' => '\\StructType\\InternationalAddressSearchV2ResponseType',
            'internationalAddressSearchInteractiveRequestType' => '\\StructType\\InternationalAddressSearchInteractiveRequestType',
            'internationalAddressSearchInteractiveResponseType' => '\\StructType\\InternationalAddressSearchInteractiveResponseType',
            'kadasterEigendomsBerichtDocumentPerceelRequestType' => '\\StructType\\KadasterEigendomsBerichtDocumentPerceelRequestType',
            'kadasterEigendomsBerichtDocumentPerceelResponseType' => '\\StructType\\KadasterEigendomsBerichtDocumentPerceelResponseType',
            'kadasterEigendomsBerichtDocumentPostcodeRequestType' => '\\StructType\\KadasterEigendomsBerichtDocumentPostcodeRequestType',
            'kadasterEigendomsBerichtDocumentPostcodeResponseType' => '\\StructType\\KadasterEigendomsBerichtDocumentPostcodeResponseType',
            'kadasterEigendomsBerichtPerceelV2RequestType' => '\\StructType\\KadasterEigendomsBerichtPerceelV2RequestType',
            'kadasterEigendomsBerichtPerceelV2ResponseType' => '\\StructType\\KadasterEigendomsBerichtPerceelV2ResponseType',
            'kadasterEigendomsBerichtPostcodeV2RequestType' => '\\StructType\\KadasterEigendomsBerichtPostcodeV2RequestType',
            'kadasterEigendomsBerichtPostcodeV2ResponseType' => '\\StructType\\KadasterEigendomsBerichtPostcodeV2ResponseType',
            'kadasterKoopsommenOverzichtV2RequestType' => '\\StructType\\KadasterKoopsommenOverzichtV2RequestType',
            'kadasterKoopsommenOverzichtV2ResponseType' => '\\StructType\\KadasterKoopsommenOverzichtV2ResponseType',
            'kadasterUittrekselKadastraleKaartPerceelV3RequestType' => '\\StructType\\KadasterUittrekselKadastraleKaartPerceelV3RequestType',
            'kadasterUittrekselKadastraleKaartPerceelV3ResponseType' => '\\StructType\\KadasterUittrekselKadastraleKaartPerceelV3ResponseType',
            'kadasterUittrekselKadastraleKaartPostcodeV3RequestType' => '\\StructType\\KadasterUittrekselKadastraleKaartPostcodeV3RequestType',
            'kadasterUittrekselKadastraleKaartPostcodeV3ResponseType' => '\\StructType\\KadasterUittrekselKadastraleKaartPostcodeV3ResponseType',
            'kadasterHypothecairBerichtPostcodeV3RequestType' => '\\StructType\\KadasterHypothecairBerichtPostcodeV3RequestType',
            'kadasterHypothecairBerichtPostcodeV3ResponseType' => '\\StructType\\KadasterHypothecairBerichtPostcodeV3ResponseType',
            'kadasterHypothecairBerichtPerceelV3RequestType' => '\\StructType\\KadasterHypothecairBerichtPerceelV3RequestType',
            'kadasterHypothecairBerichtPerceelV3ResponseType' => '\\StructType\\KadasterHypothecairBerichtPerceelV3ResponseType',
            'kadasterBronDocumentRequestType' => '\\StructType\\KadasterBronDocumentRequestType',
            'kadasterBronDocumentResponseType' => '\\StructType\\KadasterBronDocumentResponseType',
            'kadasterValueListGetRangesRequestType' => '\\StructType\\KadasterValueListGetRangesRequestType',
            'kadasterValueListGetRangesResponseType' => '\\StructType\\KadasterValueListGetRangesResponseType',
            'kadasterValueListGetMunicipalitiesRequestType' => '\\StructType\\KadasterValueListGetMunicipalitiesRequestType',
            'kadasterValueListGetMunicipalitiesResponseType' => '\\StructType\\KadasterValueListGetMunicipalitiesResponseType',
            'kadasterAddressCoordinatesRequestType' => '\\StructType\\KadasterAddressCoordinatesRequestType',
            'kadasterAddressCoordinatesResponseType' => '\\StructType\\KadasterAddressCoordinatesResponseType',
            'kadasterKadastraleKaartPerceelV2RequestType' => '\\StructType\\KadasterKadastraleKaartPerceelV2RequestType',
            'kadasterKadastraleKaartPerceelV2ResponseType' => '\\StructType\\KadasterKadastraleKaartPerceelV2ResponseType',
            'kadasterKadastraleKaartPostcodeV2RequestType' => '\\StructType\\KadasterKadastraleKaartPostcodeV2RequestType',
            'kadasterKadastraleKaartPostcodeV2ResponseType' => '\\StructType\\KadasterKadastraleKaartPostcodeV2ResponseType',
            'kadasterUittrekselKadastraleKaartPerceelRequestType' => '\\StructType\\KadasterUittrekselKadastraleKaartPerceelRequestType',
            'kadasterUittrekselKadastraleKaartPerceelResponseType' => '\\StructType\\KadasterUittrekselKadastraleKaartPerceelResponseType',
            'kadasterUittrekselKadastraleKaartPostcodeRequestType' => '\\StructType\\KadasterUittrekselKadastraleKaartPostcodeRequestType',
            'kadasterUittrekselKadastraleKaartPostcodeResponseType' => '\\StructType\\KadasterUittrekselKadastraleKaartPostcodeResponseType',
            'kadasterHypothecairBerichtPostcodeRequestType' => '\\StructType\\KadasterHypothecairBerichtPostcodeRequestType',
            'kadasterHypothecairBerichtPostcodeResponseType' => '\\StructType\\KadasterHypothecairBerichtPostcodeResponseType',
            'kadasterHypothecairBerichtPerceelRequestType' => '\\StructType\\KadasterHypothecairBerichtPerceelRequestType',
            'kadasterHypothecairBerichtPerceelResponseType' => '\\StructType\\KadasterHypothecairBerichtPerceelResponseType',
            'kadasterEigendomsBerichtPerceelRequestType' => '\\StructType\\KadasterEigendomsBerichtPerceelRequestType',
            'kadasterEigendomsBerichtPerceelResponseType' => '\\StructType\\KadasterEigendomsBerichtPerceelResponseType',
            'kadasterEigendomsBerichtPostcodeRequestType' => '\\StructType\\KadasterEigendomsBerichtPostcodeRequestType',
            'kadasterEigendomsBerichtPostcodeResponseType' => '\\StructType\\KadasterEigendomsBerichtPostcodeResponseType',
            'kadasterUittrekselKadastraleKaartPerceelV2RequestType' => '\\StructType\\KadasterUittrekselKadastraleKaartPerceelV2RequestType',
            'kadasterUittrekselKadastraleKaartPerceelV2ResponseType' => '\\StructType\\KadasterUittrekselKadastraleKaartPerceelV2ResponseType',
            'kadasterUittrekselKadastraleKaartPostcodeV2RequestType' => '\\StructType\\KadasterUittrekselKadastraleKaartPostcodeV2RequestType',
            'kadasterUittrekselKadastraleKaartPostcodeV2ResponseType' => '\\StructType\\KadasterUittrekselKadastraleKaartPostcodeV2ResponseType',
            'kadasterKadastraleKaartPerceelRequestType' => '\\StructType\\KadasterKadastraleKaartPerceelRequestType',
            'kadasterKadastraleKaartPerceelResponseType' => '\\StructType\\KadasterKadastraleKaartPerceelResponseType',
            'kadasterKadastraleKaartPostcodeRequestType' => '\\StructType\\KadasterKadastraleKaartPostcodeRequestType',
            'kadasterKadastraleKaartPostcodeResponseType' => '\\StructType\\KadasterKadastraleKaartPostcodeResponseType',
            'kadasterHypothecairBerichtPostcodeV2RequestType' => '\\StructType\\KadasterHypothecairBerichtPostcodeV2RequestType',
            'kadasterHypothecairBerichtPostcodeV2ResponseType' => '\\StructType\\KadasterHypothecairBerichtPostcodeV2ResponseType',
            'kadasterHypothecairBerichtPerceelV2RequestType' => '\\StructType\\KadasterHypothecairBerichtPerceelV2RequestType',
            'kadasterHypothecairBerichtPerceelV2ResponseType' => '\\StructType\\KadasterHypothecairBerichtPerceelV2ResponseType',
            'kadasterKoopsommenOverzichtRequestType' => '\\StructType\\KadasterKoopsommenOverzichtRequestType',
            'kadasterKoopsommenOverzichtResponseType' => '\\StructType\\KadasterKoopsommenOverzichtResponseType',
            'kadasterV2GetKadastraalBerichtObjectByAdresRequestType' => '\\StructType\\KadasterV2GetKadastraalBerichtObjectByAdresRequestType',
            'kadasterV2GetKadastraalBerichtObjectByAdresResponseType' => '\\StructType\\KadasterV2GetKadastraalBerichtObjectByAdresResponseType',
            'kadasterV2GetKadastraalBerichtObjectByKadastraleAanduidingRequestType' => '\\StructType\\KadasterV2GetKadastraalBerichtObjectByKadastraleAanduidingRequestType',
            'kadasterV2GetKadastraalBerichtObjectByKadastraleAanduidingResponseType' => '\\StructType\\KadasterV2GetKadastraalBerichtObjectByKadastraleAanduidingResponseType',
            'kadasterV2GetKadastraalBerichtObjectByObjectIdRequestType' => '\\StructType\\KadasterV2GetKadastraalBerichtObjectByObjectIdRequestType',
            'kadasterV2GetKadastraalBerichtObjectByObjectIdResponseType' => '\\StructType\\KadasterV2GetKadastraalBerichtObjectByObjectIdResponseType',
            'kadasterV2GetHypothecairBerichtObjectByAdresRequestType' => '\\StructType\\KadasterV2GetHypothecairBerichtObjectByAdresRequestType',
            'kadasterV2GetHypothecairBerichtObjectByAdresResponseType' => '\\StructType\\KadasterV2GetHypothecairBerichtObjectByAdresResponseType',
            'kadasterV2GetHypothecairBerichtObjectByKadastraleAanduidingRequestType' => '\\StructType\\KadasterV2GetHypothecairBerichtObjectByKadastraleAanduidingRequestType',
            'kadasterV2GetHypothecairBerichtObjectByKadastraleAanduidingResponseType' => '\\StructType\\KadasterV2GetHypothecairBerichtObjectByKadastraleAanduidingResponseType',
            'kadasterV2GetHypothecairBerichtObjectByObjectIdRequestType' => '\\StructType\\KadasterV2GetHypothecairBerichtObjectByObjectIdRequestType',
            'kadasterV2GetHypothecairBerichtObjectByObjectIdResponseType' => '\\StructType\\KadasterV2GetHypothecairBerichtObjectByObjectIdResponseType',
            'kadasterV2GetUittrekselKadastraleKaartByAdresRequestType' => '\\StructType\\KadasterV2GetUittrekselKadastraleKaartByAdresRequestType',
            'kadasterV2GetUittrekselKadastraleKaartByAdresResponseType' => '\\StructType\\KadasterV2GetUittrekselKadastraleKaartByAdresResponseType',
            'kadasterV2GetUittrekselKadastraleKaartByKadastraleAanduidingRequestType' => '\\StructType\\KadasterV2GetUittrekselKadastraleKaartByKadastraleAanduidingRequestType',
            'kadasterV2GetUittrekselKadastraleKaartByKadastraleAanduidingResponseType' => '\\StructType\\KadasterV2GetUittrekselKadastraleKaartByKadastraleAanduidingResponseType',
            'kadasterV2GetUittrekselKadastraleKaartByObjectIdRequestType' => '\\StructType\\KadasterV2GetUittrekselKadastraleKaartByObjectIdRequestType',
            'kadasterV2GetUittrekselKadastraleKaartByObjectIdResponseType' => '\\StructType\\KadasterV2GetUittrekselKadastraleKaartByObjectIdResponseType',
            'kadasterV2GetKoopsommenOverzichtRequestType' => '\\StructType\\KadasterV2GetKoopsommenOverzichtRequestType',
            'kadasterV2GetKoopsommenOverzichtResponseType' => '\\StructType\\KadasterV2GetKoopsommenOverzichtResponseType',
            'kadasterV2GetBronDocumentRequestType' => '\\StructType\\KadasterV2GetBronDocumentRequestType',
            'kadasterV2GetBronDocumentResponseType' => '\\StructType\\KadasterV2GetBronDocumentResponseType',
            'kvkGetDossierRequestType' => '\\StructType\\KvkGetDossierRequestType',
            'kvkGetDossierResponseType' => '\\StructType\\KvkGetDossierResponseType',
            'kvkSearchDossierNumberRequestType' => '\\StructType\\KvkSearchDossierNumberRequestType',
            'kvkSearchDossierNumberResponseType' => '\\StructType\\KvkSearchDossierNumberResponseType',
            'kvkSearchParametersRequestType' => '\\StructType\\KvkSearchParametersRequestType',
            'kvkSearchParametersResponseType' => '\\StructType\\KvkSearchParametersResponseType',
            'kvkSearchPostcodeRequestType' => '\\StructType\\KvkSearchPostcodeRequestType',
            'kvkSearchPostcodeResponseType' => '\\StructType\\KvkSearchPostcodeResponseType',
            'kvkSearchSelectionRequestType' => '\\StructType\\KvkSearchSelectionRequestType',
            'kvkSearchSelectionResponseType' => '\\StructType\\KvkSearchSelectionResponseType',
            'kvkGetExtractDocumentRequestType' => '\\StructType\\KvkGetExtractDocumentRequestType',
            'kvkGetExtractDocumentResponseType' => '\\StructType\\KvkGetExtractDocumentResponseType',
            'kvkUpdateCheckDossierRequestType' => '\\StructType\\KvkUpdateCheckDossierRequestType',
            'kvkUpdateCheckDossierResponseType' => '\\StructType\\KvkUpdateCheckDossierResponseType',
            'kvkUpdateGetChangedDossiersRequestType' => '\\StructType\\KvkUpdateGetChangedDossiersRequestType',
            'kvkUpdateGetChangedDossiersResponseType' => '\\StructType\\KvkUpdateGetChangedDossiersResponseType',
            'kvkUpdateGetDossiersRequestType' => '\\StructType\\KvkUpdateGetDossiersRequestType',
            'kvkUpdateGetDossiersResponseType' => '\\StructType\\KvkUpdateGetDossiersResponseType',
            'kvkUpdateAddDossierRequestType' => '\\StructType\\KvkUpdateAddDossierRequestType',
            'kvkUpdateAddDossierResponseType' => '\\StructType\\KvkUpdateAddDossierResponseType',
            'kvkUpdateRemoveDossierRequestType' => '\\StructType\\KvkUpdateRemoveDossierRequestType',
            'kvkUpdateRemoveDossierResponseType' => '\\StructType\\KvkUpdateRemoveDossierResponseType',
            'mapViewPostcodeV2RequestType' => '\\StructType\\MapViewPostcodeV2RequestType',
            'mapViewPostcodeV2ResponseType' => '\\StructType\\MapViewPostcodeV2ResponseType',
            'mapViewLatLonRequestType' => '\\StructType\\MapViewLatLonRequestType',
            'mapViewLatLonResponseType' => '\\StructType\\MapViewLatLonResponseType',
            'mapViewRDRequestType' => '\\StructType\\MapViewRDRequestType',
            'mapViewRDResponseType' => '\\StructType\\MapViewRDResponseType',
            'mapViewInternationalLatLonRequestType' => '\\StructType\\MapViewInternationalLatLonRequestType',
            'mapViewInternationalLatLonResponseType' => '\\StructType\\MapViewInternationalLatLonResponseType',
            'metaGetServicesRequestType' => '\\StructType\\MetaGetServicesRequestType',
            'metaGetServicesResponseType' => '\\StructType\\MetaGetServicesResponseType',
            'metaGetServiceRequestType' => '\\StructType\\MetaGetServiceRequestType',
            'metaGetServiceResponseType' => '\\StructType\\MetaGetServiceResponseType',
            'metaGetMethodRequestType' => '\\StructType\\MetaGetMethodRequestType',
            'metaGetMethodResponseType' => '\\StructType\\MetaGetMethodResponseType',
            'nbwoEstimateValueRequestType' => '\\StructType\\NbwoEstimateValueRequestType',
            'nbwoEstimateValueResponseType' => '\\StructType\\NbwoEstimateValueResponseType',
            'riskCheckPersonRequestType' => '\\StructType\\RiskCheckPersonRequestType',
            'riskCheckPersonResponseType' => '\\StructType\\RiskCheckPersonResponseType',
            'riskCheckGetRiskPersonCompanyReportRequestType' => '\\StructType\\RiskCheckGetRiskPersonCompanyReportRequestType',
            'riskCheckGetRiskPersonCompanyReportResponseType' => '\\StructType\\RiskCheckGetRiskPersonCompanyReportResponseType',
            'routePlannerGetRouteRequestType' => '\\StructType\\RoutePlannerGetRouteRequestType',
            'routePlannerGetRouteResponseType' => '\\StructType\\RoutePlannerGetRouteResponseType',
            'routePlannerInformationAddressRequestType' => '\\StructType\\RoutePlannerInformationAddressRequestType',
            'routePlannerInformationAddressResponseType' => '\\StructType\\RoutePlannerInformationAddressResponseType',
            'routePlannerDescriptionAddressRequestType' => '\\StructType\\RoutePlannerDescriptionAddressRequestType',
            'routePlannerDescriptionAddressResponseType' => '\\StructType\\RoutePlannerDescriptionAddressResponseType',
            'routePlannerDescriptionRequestType' => '\\StructType\\RoutePlannerDescriptionRequestType',
            'routePlannerDescriptionResponseType' => '\\StructType\\RoutePlannerDescriptionResponseType',
            'routePlannerDescriptionShortestRequestType' => '\\StructType\\RoutePlannerDescriptionShortestRequestType',
            'routePlannerDescriptionShortestResponseType' => '\\StructType\\RoutePlannerDescriptionShortestResponseType',
            'routePlannerDescriptionCoordinatesRDRequestType' => '\\StructType\\RoutePlannerDescriptionCoordinatesRDRequestType',
            'routePlannerDescriptionCoordinatesRDResponseType' => '\\StructType\\RoutePlannerDescriptionCoordinatesRDResponseType',
            'routePlannerInformationRequestType' => '\\StructType\\RoutePlannerInformationRequestType',
            'routePlannerInformationResponseType' => '\\StructType\\RoutePlannerInformationResponseType',
            'routePlannerRDDescriptionRequestType' => '\\StructType\\RoutePlannerRDDescriptionRequestType',
            'routePlannerRDDescriptionResponseType' => '\\StructType\\RoutePlannerRDDescriptionResponseType',
            'routePlannerRDInformationRequestType' => '\\StructType\\RoutePlannerRDInformationRequestType',
            'routePlannerRDInformationResponseType' => '\\StructType\\RoutePlannerRDInformationResponseType',
            'routePlannerRDDescriptionCoordinatesRDRequestType' => '\\StructType\\RoutePlannerRDDescriptionCoordinatesRDRequestType',
            'routePlannerRDDescriptionCoordinatesRDResponseType' => '\\StructType\\RoutePlannerRDDescriptionCoordinatesRDResponseType',
            'routePlannerInformationDutchAddressRequestType' => '\\StructType\\RoutePlannerInformationDutchAddressRequestType',
            'routePlannerInformationDutchAddressResponseType' => '\\StructType\\RoutePlannerInformationDutchAddressResponseType',
            'routePlannerDescriptionDutchAddressRequestType' => '\\StructType\\RoutePlannerDescriptionDutchAddressRequestType',
            'routePlannerDescriptionDutchAddressResponseType' => '\\StructType\\RoutePlannerDescriptionDutchAddressResponseType',
            'routePlannerEUDescriptionRequestType' => '\\StructType\\RoutePlannerEUDescriptionRequestType',
            'routePlannerEUDescriptionResponseType' => '\\StructType\\RoutePlannerEUDescriptionResponseType',
            'routePlannerEUInformationRequestType' => '\\StructType\\RoutePlannerEUInformationRequestType',
            'routePlannerEUInformationResponseType' => '\\StructType\\RoutePlannerEUInformationResponseType',
            'routePlannerEUDescriptionCoordinatesLatLonRequestType' => '\\StructType\\RoutePlannerEUDescriptionCoordinatesLatLonRequestType',
            'routePlannerEUDescriptionCoordinatesLatLonResponseType' => '\\StructType\\RoutePlannerEUDescriptionCoordinatesLatLonResponseType',
            'routePlannerEUMapRequestType' => '\\StructType\\RoutePlannerEUMapRequestType',
            'routePlannerEUMapResponseType' => '\\StructType\\RoutePlannerEUMapResponseType',
            'sepaConvertBankAccountNumberRequestType' => '\\StructType\\SepaConvertBankAccountNumberRequestType',
            'sepaConvertBankAccountNumberResponseType' => '\\StructType\\SepaConvertBankAccountNumberResponseType',
            'sepaValidateInternationalBankAccountNumberFormatRequestType' => '\\StructType\\SepaValidateInternationalBankAccountNumberFormatRequestType',
            'sepaValidateInternationalBankAccountNumberFormatResponseType' => '\\StructType\\SepaValidateInternationalBankAccountNumberFormatResponseType',
            'sepaIbanDetailsRequestType' => '\\StructType\\SepaIbanDetailsRequestType',
            'sepaIbanDetailsResponseType' => '\\StructType\\SepaIbanDetailsResponseType',
            'sepaMatchAccountHolderRequestType' => '\\StructType\\SepaMatchAccountHolderRequestType',
            'sepaMatchAccountHolderResponseType' => '\\StructType\\SepaMatchAccountHolderResponseType',
            'sepaConvertBasicBankAccountNumberRequestType' => '\\StructType\\SepaConvertBasicBankAccountNumberRequestType',
            'sepaConvertBasicBankAccountNumberResponseType' => '\\StructType\\SepaConvertBasicBankAccountNumberResponseType',
            'vatValidateRequestType' => '\\StructType\\VatValidateRequestType',
            'vatValidateResponseType' => '\\StructType\\VatValidateResponseType',
            'vatViesProxyCheckVatRequestType' => '\\StructType\\VatViesProxyCheckVatRequestType',
            'vatViesProxyCheckVatResponseType' => '\\StructType\\VatViesProxyCheckVatResponseType',
        );
    }
}
