<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BbanDetails StructType
 * @subpackage Structs
 */
class BbanDetails extends AbstractStructBase
{
    /**
     * The bban_bank_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_bank_id;
    /**
     * The bban_branch_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_branch_id;
    /**
     * The bban_account
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_account;
    /**
     * The bban_account_prefix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_account_prefix;
    /**
     * The bban_account_type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_account_type;
    /**
     * The bban_checksum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_checksum;
    /**
     * The bban_currency
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_currency;
    /**
     * The bban_holder_kennitala
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_holder_kennitala;
    /**
     * The bban_owner_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_owner_number;
    /**
     * The bban_sort_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_sort_code;
    /**
     * The bban_zero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bban_zero;
    /**
     * Constructor method for BbanDetails
     * @uses BbanDetails::setBban_bank_id()
     * @uses BbanDetails::setBban_branch_id()
     * @uses BbanDetails::setBban_account()
     * @uses BbanDetails::setBban_account_prefix()
     * @uses BbanDetails::setBban_account_type()
     * @uses BbanDetails::setBban_checksum()
     * @uses BbanDetails::setBban_currency()
     * @uses BbanDetails::setBban_holder_kennitala()
     * @uses BbanDetails::setBban_owner_number()
     * @uses BbanDetails::setBban_sort_code()
     * @uses BbanDetails::setBban_zero()
     * @param string $bban_bank_id
     * @param string $bban_branch_id
     * @param string $bban_account
     * @param string $bban_account_prefix
     * @param string $bban_account_type
     * @param string $bban_checksum
     * @param string $bban_currency
     * @param string $bban_holder_kennitala
     * @param string $bban_owner_number
     * @param string $bban_sort_code
     * @param string $bban_zero
     */
    public function __construct($bban_bank_id = null, $bban_branch_id = null, $bban_account = null, $bban_account_prefix = null, $bban_account_type = null, $bban_checksum = null, $bban_currency = null, $bban_holder_kennitala = null, $bban_owner_number = null, $bban_sort_code = null, $bban_zero = null)
    {
        $this
            ->setBban_bank_id($bban_bank_id)
            ->setBban_branch_id($bban_branch_id)
            ->setBban_account($bban_account)
            ->setBban_account_prefix($bban_account_prefix)
            ->setBban_account_type($bban_account_type)
            ->setBban_checksum($bban_checksum)
            ->setBban_currency($bban_currency)
            ->setBban_holder_kennitala($bban_holder_kennitala)
            ->setBban_owner_number($bban_owner_number)
            ->setBban_sort_code($bban_sort_code)
            ->setBban_zero($bban_zero);
    }
    /**
     * Get bban_bank_id value
     * @return string|null
     */
    public function getBban_bank_id()
    {
        return $this->bban_bank_id;
    }
    /**
     * Set bban_bank_id value
     * @param string $bban_bank_id
     * @return \StructType\BbanDetails
     */
    public function setBban_bank_id($bban_bank_id = null)
    {
        // validation for constraint: string
        if (!is_null($bban_bank_id) && !is_string($bban_bank_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_bank_id, true), gettype($bban_bank_id)), __LINE__);
        }
        $this->bban_bank_id = $bban_bank_id;
        return $this;
    }
    /**
     * Get bban_branch_id value
     * @return string|null
     */
    public function getBban_branch_id()
    {
        return $this->bban_branch_id;
    }
    /**
     * Set bban_branch_id value
     * @param string $bban_branch_id
     * @return \StructType\BbanDetails
     */
    public function setBban_branch_id($bban_branch_id = null)
    {
        // validation for constraint: string
        if (!is_null($bban_branch_id) && !is_string($bban_branch_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_branch_id, true), gettype($bban_branch_id)), __LINE__);
        }
        $this->bban_branch_id = $bban_branch_id;
        return $this;
    }
    /**
     * Get bban_account value
     * @return string|null
     */
    public function getBban_account()
    {
        return $this->bban_account;
    }
    /**
     * Set bban_account value
     * @param string $bban_account
     * @return \StructType\BbanDetails
     */
    public function setBban_account($bban_account = null)
    {
        // validation for constraint: string
        if (!is_null($bban_account) && !is_string($bban_account)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_account, true), gettype($bban_account)), __LINE__);
        }
        $this->bban_account = $bban_account;
        return $this;
    }
    /**
     * Get bban_account_prefix value
     * @return string|null
     */
    public function getBban_account_prefix()
    {
        return $this->bban_account_prefix;
    }
    /**
     * Set bban_account_prefix value
     * @param string $bban_account_prefix
     * @return \StructType\BbanDetails
     */
    public function setBban_account_prefix($bban_account_prefix = null)
    {
        // validation for constraint: string
        if (!is_null($bban_account_prefix) && !is_string($bban_account_prefix)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_account_prefix, true), gettype($bban_account_prefix)), __LINE__);
        }
        $this->bban_account_prefix = $bban_account_prefix;
        return $this;
    }
    /**
     * Get bban_account_type value
     * @return string|null
     */
    public function getBban_account_type()
    {
        return $this->bban_account_type;
    }
    /**
     * Set bban_account_type value
     * @param string $bban_account_type
     * @return \StructType\BbanDetails
     */
    public function setBban_account_type($bban_account_type = null)
    {
        // validation for constraint: string
        if (!is_null($bban_account_type) && !is_string($bban_account_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_account_type, true), gettype($bban_account_type)), __LINE__);
        }
        $this->bban_account_type = $bban_account_type;
        return $this;
    }
    /**
     * Get bban_checksum value
     * @return string|null
     */
    public function getBban_checksum()
    {
        return $this->bban_checksum;
    }
    /**
     * Set bban_checksum value
     * @param string $bban_checksum
     * @return \StructType\BbanDetails
     */
    public function setBban_checksum($bban_checksum = null)
    {
        // validation for constraint: string
        if (!is_null($bban_checksum) && !is_string($bban_checksum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_checksum, true), gettype($bban_checksum)), __LINE__);
        }
        $this->bban_checksum = $bban_checksum;
        return $this;
    }
    /**
     * Get bban_currency value
     * @return string|null
     */
    public function getBban_currency()
    {
        return $this->bban_currency;
    }
    /**
     * Set bban_currency value
     * @param string $bban_currency
     * @return \StructType\BbanDetails
     */
    public function setBban_currency($bban_currency = null)
    {
        // validation for constraint: string
        if (!is_null($bban_currency) && !is_string($bban_currency)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_currency, true), gettype($bban_currency)), __LINE__);
        }
        $this->bban_currency = $bban_currency;
        return $this;
    }
    /**
     * Get bban_holder_kennitala value
     * @return string|null
     */
    public function getBban_holder_kennitala()
    {
        return $this->bban_holder_kennitala;
    }
    /**
     * Set bban_holder_kennitala value
     * @param string $bban_holder_kennitala
     * @return \StructType\BbanDetails
     */
    public function setBban_holder_kennitala($bban_holder_kennitala = null)
    {
        // validation for constraint: string
        if (!is_null($bban_holder_kennitala) && !is_string($bban_holder_kennitala)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_holder_kennitala, true), gettype($bban_holder_kennitala)), __LINE__);
        }
        $this->bban_holder_kennitala = $bban_holder_kennitala;
        return $this;
    }
    /**
     * Get bban_owner_number value
     * @return string|null
     */
    public function getBban_owner_number()
    {
        return $this->bban_owner_number;
    }
    /**
     * Set bban_owner_number value
     * @param string $bban_owner_number
     * @return \StructType\BbanDetails
     */
    public function setBban_owner_number($bban_owner_number = null)
    {
        // validation for constraint: string
        if (!is_null($bban_owner_number) && !is_string($bban_owner_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_owner_number, true), gettype($bban_owner_number)), __LINE__);
        }
        $this->bban_owner_number = $bban_owner_number;
        return $this;
    }
    /**
     * Get bban_sort_code value
     * @return string|null
     */
    public function getBban_sort_code()
    {
        return $this->bban_sort_code;
    }
    /**
     * Set bban_sort_code value
     * @param string $bban_sort_code
     * @return \StructType\BbanDetails
     */
    public function setBban_sort_code($bban_sort_code = null)
    {
        // validation for constraint: string
        if (!is_null($bban_sort_code) && !is_string($bban_sort_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_sort_code, true), gettype($bban_sort_code)), __LINE__);
        }
        $this->bban_sort_code = $bban_sort_code;
        return $this;
    }
    /**
     * Get bban_zero value
     * @return string|null
     */
    public function getBban_zero()
    {
        return $this->bban_zero;
    }
    /**
     * Set bban_zero value
     * @param string $bban_zero
     * @return \StructType\BbanDetails
     */
    public function setBban_zero($bban_zero = null)
    {
        // validation for constraint: string
        if (!is_null($bban_zero) && !is_string($bban_zero)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bban_zero, true), gettype($bban_zero)), __LINE__);
        }
        $this->bban_zero = $bban_zero;
        return $this;
    }
}
