<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyBankerV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyBankerV2 extends AbstractStructBase
{
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeAddressV2
     */
    public $address;
    /**
     * The bank_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bank_code;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * Constructor method for CreditsafeCompanyBankerV2
     * @uses CreditsafeCompanyBankerV2::setAddress()
     * @uses CreditsafeCompanyBankerV2::setBank_code()
     * @uses CreditsafeCompanyBankerV2::setName()
     * @param \StructType\CreditsafeAddressV2 $address
     * @param string $bank_code
     * @param string $name
     */
    public function __construct(\StructType\CreditsafeAddressV2 $address = null, $bank_code = null, $name = null)
    {
        $this
            ->setAddress($address)
            ->setBank_code($bank_code)
            ->setName($name);
    }
    /**
     * Get address value
     * @return \StructType\CreditsafeAddressV2|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\CreditsafeAddressV2 $address
     * @return \StructType\CreditsafeCompanyBankerV2
     */
    public function setAddress(\StructType\CreditsafeAddressV2 $address = null)
    {
        $this->address = $address;
        return $this;
    }
    /**
     * Get bank_code value
     * @return string|null
     */
    public function getBank_code()
    {
        return $this->bank_code;
    }
    /**
     * Set bank_code value
     * @param string $bank_code
     * @return \StructType\CreditsafeCompanyBankerV2
     */
    public function setBank_code($bank_code = null)
    {
        // validation for constraint: string
        if (!is_null($bank_code) && !is_string($bank_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bank_code, true), gettype($bank_code)), __LINE__);
        }
        $this->bank_code = $bank_code;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\CreditsafeCompanyBankerV2
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
}
