<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeOtherFinancials StructType
 * @subpackage Structs
 */
class CreditsafeOtherFinancials extends AbstractStructBase
{
    /**
     * The contingent_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $contingent_liabilities;
    /**
     * The working_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $working_capital;
    /**
     * The net_worth
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_worth;
    /**
     * Constructor method for CreditsafeOtherFinancials
     * @uses CreditsafeOtherFinancials::setContingent_liabilities()
     * @uses CreditsafeOtherFinancials::setWorking_capital()
     * @uses CreditsafeOtherFinancials::setNet_worth()
     * @param string $contingent_liabilities
     * @param float $working_capital
     * @param float $net_worth
     */
    public function __construct($contingent_liabilities = null, $working_capital = null, $net_worth = null)
    {
        $this
            ->setContingent_liabilities($contingent_liabilities)
            ->setWorking_capital($working_capital)
            ->setNet_worth($net_worth);
    }
    /**
     * Get contingent_liabilities value
     * @return string|null
     */
    public function getContingent_liabilities()
    {
        return $this->contingent_liabilities;
    }
    /**
     * Set contingent_liabilities value
     * @param string $contingent_liabilities
     * @return \StructType\CreditsafeOtherFinancials
     */
    public function setContingent_liabilities($contingent_liabilities = null)
    {
        // validation for constraint: string
        if (!is_null($contingent_liabilities) && !is_string($contingent_liabilities)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($contingent_liabilities, true), gettype($contingent_liabilities)), __LINE__);
        }
        $this->contingent_liabilities = $contingent_liabilities;
        return $this;
    }
    /**
     * Get working_capital value
     * @return float|null
     */
    public function getWorking_capital()
    {
        return $this->working_capital;
    }
    /**
     * Set working_capital value
     * @param float $working_capital
     * @return \StructType\CreditsafeOtherFinancials
     */
    public function setWorking_capital($working_capital = null)
    {
        // validation for constraint: float
        if (!is_null($working_capital) && !(is_float($working_capital) || is_numeric($working_capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($working_capital, true), gettype($working_capital)), __LINE__);
        }
        $this->working_capital = $working_capital;
        return $this;
    }
    /**
     * Get net_worth value
     * @return float|null
     */
    public function getNet_worth()
    {
        return $this->net_worth;
    }
    /**
     * Set net_worth value
     * @param float $net_worth
     * @return \StructType\CreditsafeOtherFinancials
     */
    public function setNet_worth($net_worth = null)
    {
        // validation for constraint: float
        if (!is_null($net_worth) && !(is_float($net_worth) || is_numeric($net_worth))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_worth, true), gettype($net_worth)), __LINE__);
        }
        $this->net_worth = $net_worth;
        return $this;
    }
}
