<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DNBMonetaryAmount StructType
 * @subpackage Structs
 */
class DNBMonetaryAmount extends AbstractStructBase
{
    /**
     * The value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $value;
    /**
     * The value_text
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $value_text;
    /**
     * The estimated
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $estimated;
    /**
     * The consolidated
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $consolidated;
    /**
     * The currency
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $currency;
    /**
     * Constructor method for DNBMonetaryAmount
     * @uses DNBMonetaryAmount::setValue()
     * @uses DNBMonetaryAmount::setValue_text()
     * @uses DNBMonetaryAmount::setEstimated()
     * @uses DNBMonetaryAmount::setConsolidated()
     * @uses DNBMonetaryAmount::setCurrency()
     * @param int $value
     * @param string $value_text
     * @param int $estimated
     * @param bool $consolidated
     * @param string $currency
     */
    public function __construct($value = null, $value_text = null, $estimated = null, $consolidated = null, $currency = null)
    {
        $this
            ->setValue($value)
            ->setValue_text($value_text)
            ->setEstimated($estimated)
            ->setConsolidated($consolidated)
            ->setCurrency($currency);
    }
    /**
     * Get value value
     * @return int|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param int $value
     * @return \StructType\DNBMonetaryAmount
     */
    public function setValue($value = null)
    {
        // validation for constraint: int
        if (!is_null($value) && !(is_int($value) || ctype_digit($value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($value, true), gettype($value)), __LINE__);
        }
        $this->value = $value;
        return $this;
    }
    /**
     * Get value_text value
     * @return string|null
     */
    public function getValue_text()
    {
        return $this->value_text;
    }
    /**
     * Set value_text value
     * @param string $value_text
     * @return \StructType\DNBMonetaryAmount
     */
    public function setValue_text($value_text = null)
    {
        // validation for constraint: string
        if (!is_null($value_text) && !is_string($value_text)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($value_text, true), gettype($value_text)), __LINE__);
        }
        $this->value_text = $value_text;
        return $this;
    }
    /**
     * Get estimated value
     * @return int|null
     */
    public function getEstimated()
    {
        return $this->estimated;
    }
    /**
     * Set estimated value
     * @param int $estimated
     * @return \StructType\DNBMonetaryAmount
     */
    public function setEstimated($estimated = null)
    {
        // validation for constraint: int
        if (!is_null($estimated) && !(is_int($estimated) || ctype_digit($estimated))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($estimated, true), gettype($estimated)), __LINE__);
        }
        $this->estimated = $estimated;
        return $this;
    }
    /**
     * Get consolidated value
     * @return bool|null
     */
    public function getConsolidated()
    {
        return $this->consolidated;
    }
    /**
     * Set consolidated value
     * @param bool $consolidated
     * @return \StructType\DNBMonetaryAmount
     */
    public function setConsolidated($consolidated = null)
    {
        // validation for constraint: boolean
        if (!is_null($consolidated) && !is_bool($consolidated)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($consolidated, true), gettype($consolidated)), __LINE__);
        }
        $this->consolidated = $consolidated;
        return $this;
    }
    /**
     * Get currency value
     * @return string|null
     */
    public function getCurrency()
    {
        return $this->currency;
    }
    /**
     * Set currency value
     * @param string $currency
     * @return \StructType\DNBMonetaryAmount
     */
    public function setCurrency($currency = null)
    {
        // validation for constraint: string
        if (!is_null($currency) && !is_string($currency)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($currency, true), gettype($currency)), __LINE__);
        }
        $this->currency = $currency;
        return $this;
    }
}
