<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DriveInfo StructType
 * @subpackage Structs
 */
class DriveInfo extends AbstractStructBase
{
    /**
     * The fastest
     * @var int
     */
    public $fastest;
    /**
     * The shortest
     * @var int
     */
    public $shortest;
    /**
     * Constructor method for DriveInfo
     * @uses DriveInfo::setFastest()
     * @uses DriveInfo::setShortest()
     * @param int $fastest
     * @param int $shortest
     */
    public function __construct($fastest = null, $shortest = null)
    {
        $this
            ->setFastest($fastest)
            ->setShortest($shortest);
    }
    /**
     * Get fastest value
     * @return int|null
     */
    public function getFastest()
    {
        return $this->fastest;
    }
    /**
     * Set fastest value
     * @param int $fastest
     * @return \StructType\DriveInfo
     */
    public function setFastest($fastest = null)
    {
        // validation for constraint: int
        if (!is_null($fastest) && !(is_int($fastest) || ctype_digit($fastest))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($fastest, true), gettype($fastest)), __LINE__);
        }
        $this->fastest = $fastest;
        return $this;
    }
    /**
     * Get shortest value
     * @return int|null
     */
    public function getShortest()
    {
        return $this->shortest;
    }
    /**
     * Set shortest value
     * @param int $shortest
     * @return \StructType\DriveInfo
     */
    public function setShortest($shortest = null)
    {
        // validation for constraint: int
        if (!is_null($shortest) && !(is_int($shortest) || ctype_digit($shortest))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($shortest, true), gettype($shortest)), __LINE__);
        }
        $this->shortest = $shortest;
        return $this;
    }
}
