<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchAddressPostcodeRange StructType
 * @subpackage Structs
 */
class DutchAddressPostcodeRange extends AbstractStructBase
{
    /**
     * The house_number_from
     * @var int
     */
    public $house_number_from;
    /**
     * The house_number_to
     * @var int
     */
    public $house_number_to;
    /**
     * The neighborhood_code
     * @var string
     */
    public $neighborhood_code;
    /**
     * The letter_combination
     * @var string
     */
    public $letter_combination;
    /**
     * The range_indication
     * @var string
     */
    public $range_indication;
    /**
     * The street_name
     * @var string
     */
    public $street_name;
    /**
     * The street_name_nen
     * @var string
     */
    public $street_name_nen;
    /**
     * The city
     * @var string
     */
    public $city;
    /**
     * The municipality
     * @var string
     */
    public $municipality;
    /**
     * The municipality_code
     * @var int
     */
    public $municipality_code;
    /**
     * The cebuco_code
     * @var int
     */
    public $cebuco_code;
    /**
     * The province
     * @var string
     */
    public $province;
    /**
     * The province_code
     * @var string
     */
    public $province_code;
    /**
     * Constructor method for DutchAddressPostcodeRange
     * @uses DutchAddressPostcodeRange::setHouse_number_from()
     * @uses DutchAddressPostcodeRange::setHouse_number_to()
     * @uses DutchAddressPostcodeRange::setNeighborhood_code()
     * @uses DutchAddressPostcodeRange::setLetter_combination()
     * @uses DutchAddressPostcodeRange::setRange_indication()
     * @uses DutchAddressPostcodeRange::setStreet_name()
     * @uses DutchAddressPostcodeRange::setStreet_name_nen()
     * @uses DutchAddressPostcodeRange::setCity()
     * @uses DutchAddressPostcodeRange::setMunicipality()
     * @uses DutchAddressPostcodeRange::setMunicipality_code()
     * @uses DutchAddressPostcodeRange::setCebuco_code()
     * @uses DutchAddressPostcodeRange::setProvince()
     * @uses DutchAddressPostcodeRange::setProvince_code()
     * @param int $house_number_from
     * @param int $house_number_to
     * @param string $neighborhood_code
     * @param string $letter_combination
     * @param string $range_indication
     * @param string $street_name
     * @param string $street_name_nen
     * @param string $city
     * @param string $municipality
     * @param int $municipality_code
     * @param int $cebuco_code
     * @param string $province
     * @param string $province_code
     */
    public function __construct($house_number_from = null, $house_number_to = null, $neighborhood_code = null, $letter_combination = null, $range_indication = null, $street_name = null, $street_name_nen = null, $city = null, $municipality = null, $municipality_code = null, $cebuco_code = null, $province = null, $province_code = null)
    {
        $this
            ->setHouse_number_from($house_number_from)
            ->setHouse_number_to($house_number_to)
            ->setNeighborhood_code($neighborhood_code)
            ->setLetter_combination($letter_combination)
            ->setRange_indication($range_indication)
            ->setStreet_name($street_name)
            ->setStreet_name_nen($street_name_nen)
            ->setCity($city)
            ->setMunicipality($municipality)
            ->setMunicipality_code($municipality_code)
            ->setCebuco_code($cebuco_code)
            ->setProvince($province)
            ->setProvince_code($province_code);
    }
    /**
     * Get house_number_from value
     * @return int|null
     */
    public function getHouse_number_from()
    {
        return $this->house_number_from;
    }
    /**
     * Set house_number_from value
     * @param int $house_number_from
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setHouse_number_from($house_number_from = null)
    {
        // validation for constraint: int
        if (!is_null($house_number_from) && !(is_int($house_number_from) || ctype_digit($house_number_from))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($house_number_from, true), gettype($house_number_from)), __LINE__);
        }
        $this->house_number_from = $house_number_from;
        return $this;
    }
    /**
     * Get house_number_to value
     * @return int|null
     */
    public function getHouse_number_to()
    {
        return $this->house_number_to;
    }
    /**
     * Set house_number_to value
     * @param int $house_number_to
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setHouse_number_to($house_number_to = null)
    {
        // validation for constraint: int
        if (!is_null($house_number_to) && !(is_int($house_number_to) || ctype_digit($house_number_to))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($house_number_to, true), gettype($house_number_to)), __LINE__);
        }
        $this->house_number_to = $house_number_to;
        return $this;
    }
    /**
     * Get neighborhood_code value
     * @return string|null
     */
    public function getNeighborhood_code()
    {
        return $this->neighborhood_code;
    }
    /**
     * Set neighborhood_code value
     * @param string $neighborhood_code
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setNeighborhood_code($neighborhood_code = null)
    {
        // validation for constraint: string
        if (!is_null($neighborhood_code) && !is_string($neighborhood_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($neighborhood_code, true), gettype($neighborhood_code)), __LINE__);
        }
        $this->neighborhood_code = $neighborhood_code;
        return $this;
    }
    /**
     * Get letter_combination value
     * @return string|null
     */
    public function getLetter_combination()
    {
        return $this->letter_combination;
    }
    /**
     * Set letter_combination value
     * @param string $letter_combination
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setLetter_combination($letter_combination = null)
    {
        // validation for constraint: string
        if (!is_null($letter_combination) && !is_string($letter_combination)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_combination, true), gettype($letter_combination)), __LINE__);
        }
        $this->letter_combination = $letter_combination;
        return $this;
    }
    /**
     * Get range_indication value
     * @return string|null
     */
    public function getRange_indication()
    {
        return $this->range_indication;
    }
    /**
     * Set range_indication value
     * @param string $range_indication
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setRange_indication($range_indication = null)
    {
        // validation for constraint: string
        if (!is_null($range_indication) && !is_string($range_indication)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($range_indication, true), gettype($range_indication)), __LINE__);
        }
        $this->range_indication = $range_indication;
        return $this;
    }
    /**
     * Get street_name value
     * @return string|null
     */
    public function getStreet_name()
    {
        return $this->street_name;
    }
    /**
     * Set street_name value
     * @param string $street_name
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setStreet_name($street_name = null)
    {
        // validation for constraint: string
        if (!is_null($street_name) && !is_string($street_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($street_name, true), gettype($street_name)), __LINE__);
        }
        $this->street_name = $street_name;
        return $this;
    }
    /**
     * Get street_name_nen value
     * @return string|null
     */
    public function getStreet_name_nen()
    {
        return $this->street_name_nen;
    }
    /**
     * Set street_name_nen value
     * @param string $street_name_nen
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setStreet_name_nen($street_name_nen = null)
    {
        // validation for constraint: string
        if (!is_null($street_name_nen) && !is_string($street_name_nen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($street_name_nen, true), gettype($street_name_nen)), __LINE__);
        }
        $this->street_name_nen = $street_name_nen;
        return $this;
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $city
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setCity($city = null)
    {
        // validation for constraint: string
        if (!is_null($city) && !is_string($city)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($city, true), gettype($city)), __LINE__);
        }
        $this->city = $city;
        return $this;
    }
    /**
     * Get municipality value
     * @return string|null
     */
    public function getMunicipality()
    {
        return $this->municipality;
    }
    /**
     * Set municipality value
     * @param string $municipality
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setMunicipality($municipality = null)
    {
        // validation for constraint: string
        if (!is_null($municipality) && !is_string($municipality)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($municipality, true), gettype($municipality)), __LINE__);
        }
        $this->municipality = $municipality;
        return $this;
    }
    /**
     * Get municipality_code value
     * @return int|null
     */
    public function getMunicipality_code()
    {
        return $this->municipality_code;
    }
    /**
     * Set municipality_code value
     * @param int $municipality_code
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setMunicipality_code($municipality_code = null)
    {
        // validation for constraint: int
        if (!is_null($municipality_code) && !(is_int($municipality_code) || ctype_digit($municipality_code))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($municipality_code, true), gettype($municipality_code)), __LINE__);
        }
        $this->municipality_code = $municipality_code;
        return $this;
    }
    /**
     * Get cebuco_code value
     * @return int|null
     */
    public function getCebuco_code()
    {
        return $this->cebuco_code;
    }
    /**
     * Set cebuco_code value
     * @param int $cebuco_code
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setCebuco_code($cebuco_code = null)
    {
        // validation for constraint: int
        if (!is_null($cebuco_code) && !(is_int($cebuco_code) || ctype_digit($cebuco_code))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cebuco_code, true), gettype($cebuco_code)), __LINE__);
        }
        $this->cebuco_code = $cebuco_code;
        return $this;
    }
    /**
     * Get province value
     * @return string|null
     */
    public function getProvince()
    {
        return $this->province;
    }
    /**
     * Set province value
     * @param string $province
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setProvince($province = null)
    {
        // validation for constraint: string
        if (!is_null($province) && !is_string($province)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($province, true), gettype($province)), __LINE__);
        }
        $this->province = $province;
        return $this;
    }
    /**
     * Get province_code value
     * @return string|null
     */
    public function getProvince_code()
    {
        return $this->province_code;
    }
    /**
     * Set province_code value
     * @param string $province_code
     * @return \StructType\DutchAddressPostcodeRange
     */
    public function setProvince_code($province_code = null)
    {
        // validation for constraint: string
        if (!is_null($province_code) && !is_string($province_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($province_code, true), gettype($province_code)), __LINE__);
        }
        $this->province_code = $province_code;
        return $this;
    }
}
