<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessAdditionalPosition StructType
 * @subpackage Structs
 */
class DutchBusinessAdditionalPosition extends AbstractStructBase
{
    /**
     * The start_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $start_date;
    /**
     * The end_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $end_date;
    /**
     * The end_date_source
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $end_date_source;
    /**
     * The role
     * @var string
     */
    public $role;
    /**
     * The function
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $function;
    /**
     * The authorization_description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $authorization_description;
    /**
     * The historical_authorizations
     * @var \ArrayType\DutchBusinessPositionAuthorizationArray
     */
    public $historical_authorizations;
    /**
     * The company
     * @var \StructType\DutchBusinessPositionCompany
     */
    public $company;
    /**
     * Constructor method for DutchBusinessAdditionalPosition
     * @uses DutchBusinessAdditionalPosition::setStart_date()
     * @uses DutchBusinessAdditionalPosition::setEnd_date()
     * @uses DutchBusinessAdditionalPosition::setEnd_date_source()
     * @uses DutchBusinessAdditionalPosition::setRole()
     * @uses DutchBusinessAdditionalPosition::setFunction()
     * @uses DutchBusinessAdditionalPosition::setAuthorization_description()
     * @uses DutchBusinessAdditionalPosition::setHistorical_authorizations()
     * @uses DutchBusinessAdditionalPosition::setCompany()
     * @param string $start_date
     * @param string $end_date
     * @param string $end_date_source
     * @param string $role
     * @param string $function
     * @param string $authorization_description
     * @param \ArrayType\DutchBusinessPositionAuthorizationArray $historical_authorizations
     * @param \StructType\DutchBusinessPositionCompany $company
     */
    public function __construct($start_date = null, $end_date = null, $end_date_source = null, $role = null, $function = null, $authorization_description = null, \ArrayType\DutchBusinessPositionAuthorizationArray $historical_authorizations = null, \StructType\DutchBusinessPositionCompany $company = null)
    {
        $this
            ->setStart_date($start_date)
            ->setEnd_date($end_date)
            ->setEnd_date_source($end_date_source)
            ->setRole($role)
            ->setFunction($function)
            ->setAuthorization_description($authorization_description)
            ->setHistorical_authorizations($historical_authorizations)
            ->setCompany($company);
    }
    /**
     * Get start_date value
     * @return string|null
     */
    public function getStart_date()
    {
        return $this->start_date;
    }
    /**
     * Set start_date value
     * @param string $start_date
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setStart_date($start_date = null)
    {
        // validation for constraint: string
        if (!is_null($start_date) && !is_string($start_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($start_date, true), gettype($start_date)), __LINE__);
        }
        $this->start_date = $start_date;
        return $this;
    }
    /**
     * Get end_date value
     * @return string|null
     */
    public function getEnd_date()
    {
        return $this->end_date;
    }
    /**
     * Set end_date value
     * @param string $end_date
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setEnd_date($end_date = null)
    {
        // validation for constraint: string
        if (!is_null($end_date) && !is_string($end_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($end_date, true), gettype($end_date)), __LINE__);
        }
        $this->end_date = $end_date;
        return $this;
    }
    /**
     * Get end_date_source value
     * @return string|null
     */
    public function getEnd_date_source()
    {
        return $this->end_date_source;
    }
    /**
     * Set end_date_source value
     * @param string $end_date_source
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setEnd_date_source($end_date_source = null)
    {
        // validation for constraint: string
        if (!is_null($end_date_source) && !is_string($end_date_source)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($end_date_source, true), gettype($end_date_source)), __LINE__);
        }
        $this->end_date_source = $end_date_source;
        return $this;
    }
    /**
     * Get role value
     * @return string|null
     */
    public function getRole()
    {
        return $this->role;
    }
    /**
     * Set role value
     * @param string $role
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setRole($role = null)
    {
        // validation for constraint: string
        if (!is_null($role) && !is_string($role)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($role, true), gettype($role)), __LINE__);
        }
        $this->role = $role;
        return $this;
    }
    /**
     * Get function value
     * @return string|null
     */
    public function getFunction()
    {
        return $this->function;
    }
    /**
     * Set function value
     * @param string $function
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setFunction($function = null)
    {
        // validation for constraint: string
        if (!is_null($function) && !is_string($function)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($function, true), gettype($function)), __LINE__);
        }
        $this->function = $function;
        return $this;
    }
    /**
     * Get authorization_description value
     * @return string|null
     */
    public function getAuthorization_description()
    {
        return $this->authorization_description;
    }
    /**
     * Set authorization_description value
     * @param string $authorization_description
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setAuthorization_description($authorization_description = null)
    {
        // validation for constraint: string
        if (!is_null($authorization_description) && !is_string($authorization_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($authorization_description, true), gettype($authorization_description)), __LINE__);
        }
        $this->authorization_description = $authorization_description;
        return $this;
    }
    /**
     * Get historical_authorizations value
     * @return \ArrayType\DutchBusinessPositionAuthorizationArray|null
     */
    public function getHistorical_authorizations()
    {
        return $this->historical_authorizations;
    }
    /**
     * Set historical_authorizations value
     * @param \ArrayType\DutchBusinessPositionAuthorizationArray $historical_authorizations
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setHistorical_authorizations(\ArrayType\DutchBusinessPositionAuthorizationArray $historical_authorizations = null)
    {
        $this->historical_authorizations = $historical_authorizations;
        return $this;
    }
    /**
     * Get company value
     * @return \StructType\DutchBusinessPositionCompany|null
     */
    public function getCompany()
    {
        return $this->company;
    }
    /**
     * Set company value
     * @param \StructType\DutchBusinessPositionCompany $company
     * @return \StructType\DutchBusinessAdditionalPosition
     */
    public function setCompany(\StructType\DutchBusinessPositionCompany $company = null)
    {
        $this->company = $company;
        return $this;
    }
}
