<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessGetConcernRelationsOverviewReference
 * StructType
 * @subpackage Structs
 */
class DutchBusinessGetConcernRelationsOverviewReference extends AbstractStructBase
{
    /**
     * The name
     * @var string
     */
    public $name;
    /**
     * The dossier_number
     * @var string
     */
    public $dossier_number;
    /**
     * The levels
     * @var int
     */
    public $levels;
    /**
     * The level_of_matched_registration
     * @var int
     */
    public $level_of_matched_registration;
    /**
     * The registrations
     * @var int
     */
    public $registrations;
    /**
     * Constructor method for DutchBusinessGetConcernRelationsOverviewReference
     * @uses DutchBusinessGetConcernRelationsOverviewReference::setName()
     * @uses DutchBusinessGetConcernRelationsOverviewReference::setDossier_number()
     * @uses DutchBusinessGetConcernRelationsOverviewReference::setLevels()
     * @uses DutchBusinessGetConcernRelationsOverviewReference::setLevel_of_matched_registration()
     * @uses DutchBusinessGetConcernRelationsOverviewReference::setRegistrations()
     * @param string $name
     * @param string $dossier_number
     * @param int $levels
     * @param int $level_of_matched_registration
     * @param int $registrations
     */
    public function __construct($name = null, $dossier_number = null, $levels = null, $level_of_matched_registration = null, $registrations = null)
    {
        $this
            ->setName($name)
            ->setDossier_number($dossier_number)
            ->setLevels($levels)
            ->setLevel_of_matched_registration($level_of_matched_registration)
            ->setRegistrations($registrations);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewReference
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get dossier_number value
     * @return string|null
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewReference
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get levels value
     * @return int|null
     */
    public function getLevels()
    {
        return $this->levels;
    }
    /**
     * Set levels value
     * @param int $levels
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewReference
     */
    public function setLevels($levels = null)
    {
        // validation for constraint: int
        if (!is_null($levels) && !(is_int($levels) || ctype_digit($levels))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($levels, true), gettype($levels)), __LINE__);
        }
        $this->levels = $levels;
        return $this;
    }
    /**
     * Get level_of_matched_registration value
     * @return int|null
     */
    public function getLevel_of_matched_registration()
    {
        return $this->level_of_matched_registration;
    }
    /**
     * Set level_of_matched_registration value
     * @param int $level_of_matched_registration
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewReference
     */
    public function setLevel_of_matched_registration($level_of_matched_registration = null)
    {
        // validation for constraint: int
        if (!is_null($level_of_matched_registration) && !(is_int($level_of_matched_registration) || ctype_digit($level_of_matched_registration))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($level_of_matched_registration, true), gettype($level_of_matched_registration)), __LINE__);
        }
        $this->level_of_matched_registration = $level_of_matched_registration;
        return $this;
    }
    /**
     * Get registrations value
     * @return int|null
     */
    public function getRegistrations()
    {
        return $this->registrations;
    }
    /**
     * Set registrations value
     * @param int $registrations
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewReference
     */
    public function setRegistrations($registrations = null)
    {
        // validation for constraint: int
        if (!is_null($registrations) && !(is_int($registrations) || ctype_digit($registrations))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($registrations, true), gettype($registrations)), __LINE__);
        }
        $this->registrations = $registrations;
        return $this;
    }
}
