<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessLegalEntityData StructType
 * @subpackage Structs
 */
class DutchBusinessLegalEntityData extends AbstractStructBase
{
    /**
     * The dossier_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dossier_number;
    /**
     * The reference_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $reference_date;
    /**
     * The legal_entity
     * @var \StructType\DutchBusinessLegalEntityV3
     */
    public $legal_entity;
    /**
     * Constructor method for DutchBusinessLegalEntityData
     * @uses DutchBusinessLegalEntityData::setDossier_number()
     * @uses DutchBusinessLegalEntityData::setReference_date()
     * @uses DutchBusinessLegalEntityData::setLegal_entity()
     * @param string $dossier_number
     * @param string $reference_date
     * @param \StructType\DutchBusinessLegalEntityV3 $legal_entity
     */
    public function __construct($dossier_number = null, $reference_date = null, \StructType\DutchBusinessLegalEntityV3 $legal_entity = null)
    {
        $this
            ->setDossier_number($dossier_number)
            ->setReference_date($reference_date)
            ->setLegal_entity($legal_entity);
    }
    /**
     * Get dossier_number value
     * @return string|null
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessLegalEntityData
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get reference_date value
     * @return string|null
     */
    public function getReference_date()
    {
        return $this->reference_date;
    }
    /**
     * Set reference_date value
     * @param string $reference_date
     * @return \StructType\DutchBusinessLegalEntityData
     */
    public function setReference_date($reference_date = null)
    {
        // validation for constraint: string
        if (!is_null($reference_date) && !is_string($reference_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reference_date, true), gettype($reference_date)), __LINE__);
        }
        $this->reference_date = $reference_date;
        return $this;
    }
    /**
     * Get legal_entity value
     * @return \StructType\DutchBusinessLegalEntityV3|null
     */
    public function getLegal_entity()
    {
        return $this->legal_entity;
    }
    /**
     * Set legal_entity value
     * @param \StructType\DutchBusinessLegalEntityV3 $legal_entity
     * @return \StructType\DutchBusinessLegalEntityData
     */
    public function setLegal_entity(\StructType\DutchBusinessLegalEntityV3 $legal_entity = null)
    {
        $this->legal_entity = $legal_entity;
        return $this;
    }
}
