<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessPositionCompany StructType
 * @subpackage Structs
 */
class DutchBusinessPositionCompany extends AbstractStructBase
{
    /**
     * The kvk
     * @var string
     */
    public $kvk;
    /**
     * The establishment_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $establishment_number;
    /**
     * The legal_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $legal_name;
    /**
     * The trade_name_full
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $trade_name_full;
    /**
     * The primary_sbi_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $primary_sbi_code;
    /**
     * The financial_status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $financial_status;
    /**
     * Constructor method for DutchBusinessPositionCompany
     * @uses DutchBusinessPositionCompany::setKvk()
     * @uses DutchBusinessPositionCompany::setEstablishment_number()
     * @uses DutchBusinessPositionCompany::setLegal_name()
     * @uses DutchBusinessPositionCompany::setTrade_name_full()
     * @uses DutchBusinessPositionCompany::setPrimary_sbi_code()
     * @uses DutchBusinessPositionCompany::setFinancial_status()
     * @param string $kvk
     * @param string $establishment_number
     * @param string $legal_name
     * @param string $trade_name_full
     * @param int $primary_sbi_code
     * @param string $financial_status
     */
    public function __construct($kvk = null, $establishment_number = null, $legal_name = null, $trade_name_full = null, $primary_sbi_code = null, $financial_status = null)
    {
        $this
            ->setKvk($kvk)
            ->setEstablishment_number($establishment_number)
            ->setLegal_name($legal_name)
            ->setTrade_name_full($trade_name_full)
            ->setPrimary_sbi_code($primary_sbi_code)
            ->setFinancial_status($financial_status);
    }
    /**
     * Get kvk value
     * @return string|null
     */
    public function getKvk()
    {
        return $this->kvk;
    }
    /**
     * Set kvk value
     * @param string $kvk
     * @return \StructType\DutchBusinessPositionCompany
     */
    public function setKvk($kvk = null)
    {
        // validation for constraint: string
        if (!is_null($kvk) && !is_string($kvk)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kvk, true), gettype($kvk)), __LINE__);
        }
        $this->kvk = $kvk;
        return $this;
    }
    /**
     * Get establishment_number value
     * @return string|null
     */
    public function getEstablishment_number()
    {
        return $this->establishment_number;
    }
    /**
     * Set establishment_number value
     * @param string $establishment_number
     * @return \StructType\DutchBusinessPositionCompany
     */
    public function setEstablishment_number($establishment_number = null)
    {
        // validation for constraint: string
        if (!is_null($establishment_number) && !is_string($establishment_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($establishment_number, true), gettype($establishment_number)), __LINE__);
        }
        $this->establishment_number = $establishment_number;
        return $this;
    }
    /**
     * Get legal_name value
     * @return string|null
     */
    public function getLegal_name()
    {
        return $this->legal_name;
    }
    /**
     * Set legal_name value
     * @param string $legal_name
     * @return \StructType\DutchBusinessPositionCompany
     */
    public function setLegal_name($legal_name = null)
    {
        // validation for constraint: string
        if (!is_null($legal_name) && !is_string($legal_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($legal_name, true), gettype($legal_name)), __LINE__);
        }
        $this->legal_name = $legal_name;
        return $this;
    }
    /**
     * Get trade_name_full value
     * @return string|null
     */
    public function getTrade_name_full()
    {
        return $this->trade_name_full;
    }
    /**
     * Set trade_name_full value
     * @param string $trade_name_full
     * @return \StructType\DutchBusinessPositionCompany
     */
    public function setTrade_name_full($trade_name_full = null)
    {
        // validation for constraint: string
        if (!is_null($trade_name_full) && !is_string($trade_name_full)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($trade_name_full, true), gettype($trade_name_full)), __LINE__);
        }
        $this->trade_name_full = $trade_name_full;
        return $this;
    }
    /**
     * Get primary_sbi_code value
     * @return int|null
     */
    public function getPrimary_sbi_code()
    {
        return $this->primary_sbi_code;
    }
    /**
     * Set primary_sbi_code value
     * @param int $primary_sbi_code
     * @return \StructType\DutchBusinessPositionCompany
     */
    public function setPrimary_sbi_code($primary_sbi_code = null)
    {
        // validation for constraint: int
        if (!is_null($primary_sbi_code) && !(is_int($primary_sbi_code) || ctype_digit($primary_sbi_code))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($primary_sbi_code, true), gettype($primary_sbi_code)), __LINE__);
        }
        $this->primary_sbi_code = $primary_sbi_code;
        return $this;
    }
    /**
     * Get financial_status value
     * @return string|null
     */
    public function getFinancial_status()
    {
        return $this->financial_status;
    }
    /**
     * Set financial_status value
     * @param string $financial_status
     * @return \StructType\DutchBusinessPositionCompany
     */
    public function setFinancial_status($financial_status = null)
    {
        // validation for constraint: string
        if (!is_null($financial_status) && !is_string($financial_status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($financial_status, true), gettype($financial_status)), __LINE__);
        }
        $this->financial_status = $financial_status;
        return $this;
    }
}
