<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessUBOOrganizationNode StructType
 * @subpackage Structs
 */
class DutchBusinessUBOOrganizationNode extends AbstractStructBase
{
    /**
     * The level
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var int
     */
    public $level;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $id;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $type;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $name;
    /**
     * The role_type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $role_type;
    /**
     * The registered_in
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $registered_in;
    /**
     * The parents
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\DutchBusinessUBOOrganizationNodeArray
     */
    public $parents;
    /**
     * Constructor method for DutchBusinessUBOOrganizationNode
     * @uses DutchBusinessUBOOrganizationNode::setLevel()
     * @uses DutchBusinessUBOOrganizationNode::setId()
     * @uses DutchBusinessUBOOrganizationNode::setType()
     * @uses DutchBusinessUBOOrganizationNode::setName()
     * @uses DutchBusinessUBOOrganizationNode::setRole_type()
     * @uses DutchBusinessUBOOrganizationNode::setRegistered_in()
     * @uses DutchBusinessUBOOrganizationNode::setParents()
     * @param int $level
     * @param string $id
     * @param string $type
     * @param string $name
     * @param string $role_type
     * @param string $registered_in
     * @param \ArrayType\DutchBusinessUBOOrganizationNodeArray $parents
     */
    public function __construct($level = null, $id = null, $type = null, $name = null, $role_type = null, $registered_in = null, \ArrayType\DutchBusinessUBOOrganizationNodeArray $parents = null)
    {
        $this
            ->setLevel($level)
            ->setId($id)
            ->setType($type)
            ->setName($name)
            ->setRole_type($role_type)
            ->setRegistered_in($registered_in)
            ->setParents($parents);
    }
    /**
     * Get level value
     * @return int
     */
    public function getLevel()
    {
        return $this->level;
    }
    /**
     * Set level value
     * @param int $level
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setLevel($level = null)
    {
        // validation for constraint: int
        if (!is_null($level) && !(is_int($level) || ctype_digit($level))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($level, true), gettype($level)), __LINE__);
        }
        $this->level = $level;
        return $this;
    }
    /**
     * Get id value
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get type value
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get role_type value
     * @return string|null
     */
    public function getRole_type()
    {
        return $this->role_type;
    }
    /**
     * Set role_type value
     * @param string $role_type
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setRole_type($role_type = null)
    {
        // validation for constraint: string
        if (!is_null($role_type) && !is_string($role_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($role_type, true), gettype($role_type)), __LINE__);
        }
        $this->role_type = $role_type;
        return $this;
    }
    /**
     * Get registered_in value
     * @return string|null
     */
    public function getRegistered_in()
    {
        return $this->registered_in;
    }
    /**
     * Set registered_in value
     * @param string $registered_in
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setRegistered_in($registered_in = null)
    {
        // validation for constraint: string
        if (!is_null($registered_in) && !is_string($registered_in)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($registered_in, true), gettype($registered_in)), __LINE__);
        }
        $this->registered_in = $registered_in;
        return $this;
    }
    /**
     * Get parents value
     * @return \ArrayType\DutchBusinessUBOOrganizationNodeArray|null
     */
    public function getParents()
    {
        return $this->parents;
    }
    /**
     * Set parents value
     * @param \ArrayType\DutchBusinessUBOOrganizationNodeArray $parents
     * @return \StructType\DutchBusinessUBOOrganizationNode
     */
    public function setParents(\ArrayType\DutchBusinessUBOOrganizationNodeArray $parents = null)
    {
        $this->parents = $parents;
        return $this;
    }
}
