<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehicleEngine StructType
 * @subpackage Structs
 */
class DutchVehicleEngine extends AbstractStructBase
{
    /**
     * The cylinder_capacity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $cylinder_capacity;
    /**
     * The cylinders
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $cylinders;
    /**
     * The g3_indication
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $g3_indication;
    /**
     * The energy_label
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $energy_label;
    /**
     * Constructor method for DutchVehicleEngine
     * @uses DutchVehicleEngine::setCylinder_capacity()
     * @uses DutchVehicleEngine::setCylinders()
     * @uses DutchVehicleEngine::setG3_indication()
     * @uses DutchVehicleEngine::setEnergy_label()
     * @param int $cylinder_capacity
     * @param int $cylinders
     * @param bool $g3_indication
     * @param string $energy_label
     */
    public function __construct($cylinder_capacity = null, $cylinders = null, $g3_indication = null, $energy_label = null)
    {
        $this
            ->setCylinder_capacity($cylinder_capacity)
            ->setCylinders($cylinders)
            ->setG3_indication($g3_indication)
            ->setEnergy_label($energy_label);
    }
    /**
     * Get cylinder_capacity value
     * @return int|null
     */
    public function getCylinder_capacity()
    {
        return $this->cylinder_capacity;
    }
    /**
     * Set cylinder_capacity value
     * @param int $cylinder_capacity
     * @return \StructType\DutchVehicleEngine
     */
    public function setCylinder_capacity($cylinder_capacity = null)
    {
        // validation for constraint: int
        if (!is_null($cylinder_capacity) && !(is_int($cylinder_capacity) || ctype_digit($cylinder_capacity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cylinder_capacity, true), gettype($cylinder_capacity)), __LINE__);
        }
        $this->cylinder_capacity = $cylinder_capacity;
        return $this;
    }
    /**
     * Get cylinders value
     * @return int|null
     */
    public function getCylinders()
    {
        return $this->cylinders;
    }
    /**
     * Set cylinders value
     * @param int $cylinders
     * @return \StructType\DutchVehicleEngine
     */
    public function setCylinders($cylinders = null)
    {
        // validation for constraint: int
        if (!is_null($cylinders) && !(is_int($cylinders) || ctype_digit($cylinders))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cylinders, true), gettype($cylinders)), __LINE__);
        }
        $this->cylinders = $cylinders;
        return $this;
    }
    /**
     * Get g3_indication value
     * @return bool|null
     */
    public function getG3_indication()
    {
        return $this->g3_indication;
    }
    /**
     * Set g3_indication value
     * @param bool $g3_indication
     * @return \StructType\DutchVehicleEngine
     */
    public function setG3_indication($g3_indication = null)
    {
        // validation for constraint: boolean
        if (!is_null($g3_indication) && !is_bool($g3_indication)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($g3_indication, true), gettype($g3_indication)), __LINE__);
        }
        $this->g3_indication = $g3_indication;
        return $this;
    }
    /**
     * Get energy_label value
     * @return string|null
     */
    public function getEnergy_label()
    {
        return $this->energy_label;
    }
    /**
     * Set energy_label value
     * @param string $energy_label
     * @return \StructType\DutchVehicleEngine
     */
    public function setEnergy_label($energy_label = null)
    {
        // validation for constraint: string
        if (!is_null($energy_label) && !is_string($energy_label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($energy_label, true), gettype($energy_label)), __LINE__);
        }
        $this->energy_label = $energy_label;
        return $this;
    }
}
