<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCompany StructType
 * @subpackage Structs
 */
class GCRCompany extends AbstractStructBase
{
    /**
     * The graydon_company_id
     * @var int
     */
    public $graydon_company_id;
    /**
     * The contact_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRContactDetails
     */
    public $contact_details;
    /**
     * The official_data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCROfficialData
     */
    public $official_data;
    /**
     * The history
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRHistory
     */
    public $history;
    /**
     * The sectors_of_industry
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRSectorOfIndustryArray
     */
    public $sectors_of_industry;
    /**
     * The positions_in_other_companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRJobTitleArray
     */
    public $positions_in_other_companies;
    /**
     * The annual_figures
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRAnnualFiguresArray
     */
    public $annual_figures;
    /**
     * The financial_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRFinancialDetails
     */
    public $financial_details;
    /**
     * The financial_calamities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRFinancialCalamityArray
     */
    public $financial_calamities;
    /**
     * Constructor method for GCRCompany
     * @uses GCRCompany::setGraydon_company_id()
     * @uses GCRCompany::setContact_details()
     * @uses GCRCompany::setOfficial_data()
     * @uses GCRCompany::setHistory()
     * @uses GCRCompany::setSectors_of_industry()
     * @uses GCRCompany::setPositions_in_other_companies()
     * @uses GCRCompany::setAnnual_figures()
     * @uses GCRCompany::setFinancial_details()
     * @uses GCRCompany::setFinancial_calamities()
     * @param int $graydon_company_id
     * @param \StructType\GCRContactDetails $contact_details
     * @param \StructType\GCROfficialData $official_data
     * @param \StructType\GCRHistory $history
     * @param \ArrayType\GCRSectorOfIndustryArray $sectors_of_industry
     * @param \ArrayType\GCRJobTitleArray $positions_in_other_companies
     * @param \ArrayType\GCRAnnualFiguresArray $annual_figures
     * @param \StructType\GCRFinancialDetails $financial_details
     * @param \ArrayType\GCRFinancialCalamityArray $financial_calamities
     */
    public function __construct($graydon_company_id = null, \StructType\GCRContactDetails $contact_details = null, \StructType\GCROfficialData $official_data = null, \StructType\GCRHistory $history = null, \ArrayType\GCRSectorOfIndustryArray $sectors_of_industry = null, \ArrayType\GCRJobTitleArray $positions_in_other_companies = null, \ArrayType\GCRAnnualFiguresArray $annual_figures = null, \StructType\GCRFinancialDetails $financial_details = null, \ArrayType\GCRFinancialCalamityArray $financial_calamities = null)
    {
        $this
            ->setGraydon_company_id($graydon_company_id)
            ->setContact_details($contact_details)
            ->setOfficial_data($official_data)
            ->setHistory($history)
            ->setSectors_of_industry($sectors_of_industry)
            ->setPositions_in_other_companies($positions_in_other_companies)
            ->setAnnual_figures($annual_figures)
            ->setFinancial_details($financial_details)
            ->setFinancial_calamities($financial_calamities);
    }
    /**
     * Get graydon_company_id value
     * @return int|null
     */
    public function getGraydon_company_id()
    {
        return $this->graydon_company_id;
    }
    /**
     * Set graydon_company_id value
     * @param int $graydon_company_id
     * @return \StructType\GCRCompany
     */
    public function setGraydon_company_id($graydon_company_id = null)
    {
        // validation for constraint: int
        if (!is_null($graydon_company_id) && !(is_int($graydon_company_id) || ctype_digit($graydon_company_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($graydon_company_id, true), gettype($graydon_company_id)), __LINE__);
        }
        $this->graydon_company_id = $graydon_company_id;
        return $this;
    }
    /**
     * Get contact_details value
     * @return \StructType\GCRContactDetails|null
     */
    public function getContact_details()
    {
        return $this->contact_details;
    }
    /**
     * Set contact_details value
     * @param \StructType\GCRContactDetails $contact_details
     * @return \StructType\GCRCompany
     */
    public function setContact_details(\StructType\GCRContactDetails $contact_details = null)
    {
        $this->contact_details = $contact_details;
        return $this;
    }
    /**
     * Get official_data value
     * @return \StructType\GCROfficialData|null
     */
    public function getOfficial_data()
    {
        return $this->official_data;
    }
    /**
     * Set official_data value
     * @param \StructType\GCROfficialData $official_data
     * @return \StructType\GCRCompany
     */
    public function setOfficial_data(\StructType\GCROfficialData $official_data = null)
    {
        $this->official_data = $official_data;
        return $this;
    }
    /**
     * Get history value
     * @return \StructType\GCRHistory|null
     */
    public function getHistory()
    {
        return $this->history;
    }
    /**
     * Set history value
     * @param \StructType\GCRHistory $history
     * @return \StructType\GCRCompany
     */
    public function setHistory(\StructType\GCRHistory $history = null)
    {
        $this->history = $history;
        return $this;
    }
    /**
     * Get sectors_of_industry value
     * @return \ArrayType\GCRSectorOfIndustryArray|null
     */
    public function getSectors_of_industry()
    {
        return $this->sectors_of_industry;
    }
    /**
     * Set sectors_of_industry value
     * @param \ArrayType\GCRSectorOfIndustryArray $sectors_of_industry
     * @return \StructType\GCRCompany
     */
    public function setSectors_of_industry(\ArrayType\GCRSectorOfIndustryArray $sectors_of_industry = null)
    {
        $this->sectors_of_industry = $sectors_of_industry;
        return $this;
    }
    /**
     * Get positions_in_other_companies value
     * @return \ArrayType\GCRJobTitleArray|null
     */
    public function getPositions_in_other_companies()
    {
        return $this->positions_in_other_companies;
    }
    /**
     * Set positions_in_other_companies value
     * @param \ArrayType\GCRJobTitleArray $positions_in_other_companies
     * @return \StructType\GCRCompany
     */
    public function setPositions_in_other_companies(\ArrayType\GCRJobTitleArray $positions_in_other_companies = null)
    {
        $this->positions_in_other_companies = $positions_in_other_companies;
        return $this;
    }
    /**
     * Get annual_figures value
     * @return \ArrayType\GCRAnnualFiguresArray|null
     */
    public function getAnnual_figures()
    {
        return $this->annual_figures;
    }
    /**
     * Set annual_figures value
     * @param \ArrayType\GCRAnnualFiguresArray $annual_figures
     * @return \StructType\GCRCompany
     */
    public function setAnnual_figures(\ArrayType\GCRAnnualFiguresArray $annual_figures = null)
    {
        $this->annual_figures = $annual_figures;
        return $this;
    }
    /**
     * Get financial_details value
     * @return \StructType\GCRFinancialDetails|null
     */
    public function getFinancial_details()
    {
        return $this->financial_details;
    }
    /**
     * Set financial_details value
     * @param \StructType\GCRFinancialDetails $financial_details
     * @return \StructType\GCRCompany
     */
    public function setFinancial_details(\StructType\GCRFinancialDetails $financial_details = null)
    {
        $this->financial_details = $financial_details;
        return $this;
    }
    /**
     * Get financial_calamities value
     * @return \ArrayType\GCRFinancialCalamityArray|null
     */
    public function getFinancial_calamities()
    {
        return $this->financial_calamities;
    }
    /**
     * Set financial_calamities value
     * @param \ArrayType\GCRFinancialCalamityArray $financial_calamities
     * @return \StructType\GCRCompany
     */
    public function setFinancial_calamities(\ArrayType\GCRFinancialCalamityArray $financial_calamities = null)
    {
        $this->financial_calamities = $financial_calamities;
        return $this;
    }
}
