<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRFinancialCalamity StructType
 * @subpackage Structs
 */
class GCRFinancialCalamity extends AbstractStructBase
{
    /**
     * The bankruptcy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRBankruptcy
     */
    public $bankruptcy;
    /**
     * The moratorium
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRMoratorium
     */
    public $moratorium;
    /**
     * The debt_restructuring_private_persons
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRDebtRestructuringPrivatePersons
     */
    public $debt_restructuring_private_persons;
    /**
     * Constructor method for GCRFinancialCalamity
     * @uses GCRFinancialCalamity::setBankruptcy()
     * @uses GCRFinancialCalamity::setMoratorium()
     * @uses GCRFinancialCalamity::setDebt_restructuring_private_persons()
     * @param \StructType\GCRBankruptcy $bankruptcy
     * @param \StructType\GCRMoratorium $moratorium
     * @param \StructType\GCRDebtRestructuringPrivatePersons $debt_restructuring_private_persons
     */
    public function __construct(\StructType\GCRBankruptcy $bankruptcy = null, \StructType\GCRMoratorium $moratorium = null, \StructType\GCRDebtRestructuringPrivatePersons $debt_restructuring_private_persons = null)
    {
        $this
            ->setBankruptcy($bankruptcy)
            ->setMoratorium($moratorium)
            ->setDebt_restructuring_private_persons($debt_restructuring_private_persons);
    }
    /**
     * Get bankruptcy value
     * @return \StructType\GCRBankruptcy|null
     */
    public function getBankruptcy()
    {
        return $this->bankruptcy;
    }
    /**
     * Set bankruptcy value
     * @param \StructType\GCRBankruptcy $bankruptcy
     * @return \StructType\GCRFinancialCalamity
     */
    public function setBankruptcy(\StructType\GCRBankruptcy $bankruptcy = null)
    {
        $this->bankruptcy = $bankruptcy;
        return $this;
    }
    /**
     * Get moratorium value
     * @return \StructType\GCRMoratorium|null
     */
    public function getMoratorium()
    {
        return $this->moratorium;
    }
    /**
     * Set moratorium value
     * @param \StructType\GCRMoratorium $moratorium
     * @return \StructType\GCRFinancialCalamity
     */
    public function setMoratorium(\StructType\GCRMoratorium $moratorium = null)
    {
        $this->moratorium = $moratorium;
        return $this;
    }
    /**
     * Get debt_restructuring_private_persons value
     * @return \StructType\GCRDebtRestructuringPrivatePersons|null
     */
    public function getDebt_restructuring_private_persons()
    {
        return $this->debt_restructuring_private_persons;
    }
    /**
     * Set debt_restructuring_private_persons value
     * @param \StructType\GCRDebtRestructuringPrivatePersons $debt_restructuring_private_persons
     * @return \StructType\GCRFinancialCalamity
     */
    public function setDebt_restructuring_private_persons(\StructType\GCRDebtRestructuringPrivatePersons $debt_restructuring_private_persons = null)
    {
        $this->debt_restructuring_private_persons = $debt_restructuring_private_persons;
        return $this;
    }
}
