<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRSpecialCompanyInformation StructType
 * @subpackage Structs
 */
class GCRSpecialCompanyInformation extends AbstractStructBase
{
    /**
     * The special_company_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $special_company_code;
    /**
     * The special_company_text
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $special_company_text;
    /**
     * The texts
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRTextSequenceArray
     */
    public $texts;
    /**
     * Constructor method for GCRSpecialCompanyInformation
     * @uses GCRSpecialCompanyInformation::setSpecial_company_code()
     * @uses GCRSpecialCompanyInformation::setSpecial_company_text()
     * @uses GCRSpecialCompanyInformation::setTexts()
     * @param string $special_company_code
     * @param string $special_company_text
     * @param \ArrayType\GCRTextSequenceArray $texts
     */
    public function __construct($special_company_code = null, $special_company_text = null, \ArrayType\GCRTextSequenceArray $texts = null)
    {
        $this
            ->setSpecial_company_code($special_company_code)
            ->setSpecial_company_text($special_company_text)
            ->setTexts($texts);
    }
    /**
     * Get special_company_code value
     * @return string|null
     */
    public function getSpecial_company_code()
    {
        return $this->special_company_code;
    }
    /**
     * Set special_company_code value
     * @param string $special_company_code
     * @return \StructType\GCRSpecialCompanyInformation
     */
    public function setSpecial_company_code($special_company_code = null)
    {
        // validation for constraint: string
        if (!is_null($special_company_code) && !is_string($special_company_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($special_company_code, true), gettype($special_company_code)), __LINE__);
        }
        $this->special_company_code = $special_company_code;
        return $this;
    }
    /**
     * Get special_company_text value
     * @return string|null
     */
    public function getSpecial_company_text()
    {
        return $this->special_company_text;
    }
    /**
     * Set special_company_text value
     * @param string $special_company_text
     * @return \StructType\GCRSpecialCompanyInformation
     */
    public function setSpecial_company_text($special_company_text = null)
    {
        // validation for constraint: string
        if (!is_null($special_company_text) && !is_string($special_company_text)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($special_company_text, true), gettype($special_company_text)), __LINE__);
        }
        $this->special_company_text = $special_company_text;
        return $this;
    }
    /**
     * Get texts value
     * @return \ArrayType\GCRTextSequenceArray|null
     */
    public function getTexts()
    {
        return $this->texts;
    }
    /**
     * Set texts value
     * @param \ArrayType\GCRTextSequenceArray $texts
     * @return \StructType\GCRSpecialCompanyInformation
     */
    public function setTexts(\ArrayType\GCRTextSequenceArray $texts = null)
    {
        $this->texts = $texts;
        return $this;
    }
}
