<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2AangebodenStuk StructType
 * @subpackage Structs
 */
class KadasterV2AangebodenStuk extends AbstractStructBase
{
    /**
     * The identificatie
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $identificatie;
    /**
     * The aard
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aard;
    /**
     * The deel_en_nummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2DeelEnNummer
     */
    public $deel_en_nummer;
    /**
     * The verklaring_bewaarder
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $verklaring_bewaarder;
    /**
     * The toelichting_bewaarder
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $toelichting_bewaarder;
    /**
     * The tijdstip_aanbieding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tijdstip_aanbieding;
    /**
     * The tijdstip_ondertekening
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tijdstip_ondertekening;
    /**
     * The status_stuk_or
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status_stuk_or;
    /**
     * The indicatie_alle_objecten_betrokken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_alle_objecten_betrokken;
    /**
     * The verzoeken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2VerzoekArray
     */
    public $verzoeken;
    /**
     * The stukdelen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2StukdeelArray
     */
    public $stukdelen;
    /**
     * Constructor method for KadasterV2AangebodenStuk
     * @uses KadasterV2AangebodenStuk::setIdentificatie()
     * @uses KadasterV2AangebodenStuk::setAard()
     * @uses KadasterV2AangebodenStuk::setDeel_en_nummer()
     * @uses KadasterV2AangebodenStuk::setVerklaring_bewaarder()
     * @uses KadasterV2AangebodenStuk::setToelichting_bewaarder()
     * @uses KadasterV2AangebodenStuk::setTijdstip_aanbieding()
     * @uses KadasterV2AangebodenStuk::setTijdstip_ondertekening()
     * @uses KadasterV2AangebodenStuk::setStatus_stuk_or()
     * @uses KadasterV2AangebodenStuk::setIndicatie_alle_objecten_betrokken()
     * @uses KadasterV2AangebodenStuk::setVerzoeken()
     * @uses KadasterV2AangebodenStuk::setStukdelen()
     * @param string $identificatie
     * @param string $aard
     * @param \StructType\KadasterV2DeelEnNummer $deel_en_nummer
     * @param string $verklaring_bewaarder
     * @param string $toelichting_bewaarder
     * @param string $tijdstip_aanbieding
     * @param string $tijdstip_ondertekening
     * @param string $status_stuk_or
     * @param bool $indicatie_alle_objecten_betrokken
     * @param \ArrayType\KadasterV2VerzoekArray $verzoeken
     * @param \ArrayType\KadasterV2StukdeelArray $stukdelen
     */
    public function __construct($identificatie = null, $aard = null, \StructType\KadasterV2DeelEnNummer $deel_en_nummer = null, $verklaring_bewaarder = null, $toelichting_bewaarder = null, $tijdstip_aanbieding = null, $tijdstip_ondertekening = null, $status_stuk_or = null, $indicatie_alle_objecten_betrokken = null, \ArrayType\KadasterV2VerzoekArray $verzoeken = null, \ArrayType\KadasterV2StukdeelArray $stukdelen = null)
    {
        $this
            ->setIdentificatie($identificatie)
            ->setAard($aard)
            ->setDeel_en_nummer($deel_en_nummer)
            ->setVerklaring_bewaarder($verklaring_bewaarder)
            ->setToelichting_bewaarder($toelichting_bewaarder)
            ->setTijdstip_aanbieding($tijdstip_aanbieding)
            ->setTijdstip_ondertekening($tijdstip_ondertekening)
            ->setStatus_stuk_or($status_stuk_or)
            ->setIndicatie_alle_objecten_betrokken($indicatie_alle_objecten_betrokken)
            ->setVerzoeken($verzoeken)
            ->setStukdelen($stukdelen);
    }
    /**
     * Get identificatie value
     * @return string
     */
    public function getIdentificatie()
    {
        return $this->identificatie;
    }
    /**
     * Set identificatie value
     * @param string $identificatie
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setIdentificatie($identificatie = null)
    {
        // validation for constraint: string
        if (!is_null($identificatie) && !is_string($identificatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificatie, true), gettype($identificatie)), __LINE__);
        }
        $this->identificatie = $identificatie;
        return $this;
    }
    /**
     * Get aard value
     * @return string|null
     */
    public function getAard()
    {
        return $this->aard;
    }
    /**
     * Set aard value
     * @param string $aard
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setAard($aard = null)
    {
        // validation for constraint: string
        if (!is_null($aard) && !is_string($aard)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aard, true), gettype($aard)), __LINE__);
        }
        $this->aard = $aard;
        return $this;
    }
    /**
     * Get deel_en_nummer value
     * @return \StructType\KadasterV2DeelEnNummer|null
     */
    public function getDeel_en_nummer()
    {
        return $this->deel_en_nummer;
    }
    /**
     * Set deel_en_nummer value
     * @param \StructType\KadasterV2DeelEnNummer $deel_en_nummer
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setDeel_en_nummer(\StructType\KadasterV2DeelEnNummer $deel_en_nummer = null)
    {
        $this->deel_en_nummer = $deel_en_nummer;
        return $this;
    }
    /**
     * Get verklaring_bewaarder value
     * @return string|null
     */
    public function getVerklaring_bewaarder()
    {
        return $this->verklaring_bewaarder;
    }
    /**
     * Set verklaring_bewaarder value
     * @param string $verklaring_bewaarder
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setVerklaring_bewaarder($verklaring_bewaarder = null)
    {
        // validation for constraint: string
        if (!is_null($verklaring_bewaarder) && !is_string($verklaring_bewaarder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($verklaring_bewaarder, true), gettype($verklaring_bewaarder)), __LINE__);
        }
        $this->verklaring_bewaarder = $verklaring_bewaarder;
        return $this;
    }
    /**
     * Get toelichting_bewaarder value
     * @return string|null
     */
    public function getToelichting_bewaarder()
    {
        return $this->toelichting_bewaarder;
    }
    /**
     * Set toelichting_bewaarder value
     * @param string $toelichting_bewaarder
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setToelichting_bewaarder($toelichting_bewaarder = null)
    {
        // validation for constraint: string
        if (!is_null($toelichting_bewaarder) && !is_string($toelichting_bewaarder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($toelichting_bewaarder, true), gettype($toelichting_bewaarder)), __LINE__);
        }
        $this->toelichting_bewaarder = $toelichting_bewaarder;
        return $this;
    }
    /**
     * Get tijdstip_aanbieding value
     * @return string|null
     */
    public function getTijdstip_aanbieding()
    {
        return $this->tijdstip_aanbieding;
    }
    /**
     * Set tijdstip_aanbieding value
     * @param string $tijdstip_aanbieding
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setTijdstip_aanbieding($tijdstip_aanbieding = null)
    {
        // validation for constraint: string
        if (!is_null($tijdstip_aanbieding) && !is_string($tijdstip_aanbieding)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tijdstip_aanbieding, true), gettype($tijdstip_aanbieding)), __LINE__);
        }
        $this->tijdstip_aanbieding = $tijdstip_aanbieding;
        return $this;
    }
    /**
     * Get tijdstip_ondertekening value
     * @return string|null
     */
    public function getTijdstip_ondertekening()
    {
        return $this->tijdstip_ondertekening;
    }
    /**
     * Set tijdstip_ondertekening value
     * @param string $tijdstip_ondertekening
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setTijdstip_ondertekening($tijdstip_ondertekening = null)
    {
        // validation for constraint: string
        if (!is_null($tijdstip_ondertekening) && !is_string($tijdstip_ondertekening)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tijdstip_ondertekening, true), gettype($tijdstip_ondertekening)), __LINE__);
        }
        $this->tijdstip_ondertekening = $tijdstip_ondertekening;
        return $this;
    }
    /**
     * Get status_stuk_or value
     * @return string|null
     */
    public function getStatus_stuk_or()
    {
        return $this->status_stuk_or;
    }
    /**
     * Set status_stuk_or value
     * @param string $status_stuk_or
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setStatus_stuk_or($status_stuk_or = null)
    {
        // validation for constraint: string
        if (!is_null($status_stuk_or) && !is_string($status_stuk_or)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($status_stuk_or, true), gettype($status_stuk_or)), __LINE__);
        }
        $this->status_stuk_or = $status_stuk_or;
        return $this;
    }
    /**
     * Get indicatie_alle_objecten_betrokken value
     * @return bool|null
     */
    public function getIndicatie_alle_objecten_betrokken()
    {
        return $this->indicatie_alle_objecten_betrokken;
    }
    /**
     * Set indicatie_alle_objecten_betrokken value
     * @param bool $indicatie_alle_objecten_betrokken
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setIndicatie_alle_objecten_betrokken($indicatie_alle_objecten_betrokken = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_alle_objecten_betrokken) && !is_bool($indicatie_alle_objecten_betrokken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_alle_objecten_betrokken, true), gettype($indicatie_alle_objecten_betrokken)), __LINE__);
        }
        $this->indicatie_alle_objecten_betrokken = $indicatie_alle_objecten_betrokken;
        return $this;
    }
    /**
     * Get verzoeken value
     * @return \ArrayType\KadasterV2VerzoekArray|null
     */
    public function getVerzoeken()
    {
        return $this->verzoeken;
    }
    /**
     * Set verzoeken value
     * @param \ArrayType\KadasterV2VerzoekArray $verzoeken
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setVerzoeken(\ArrayType\KadasterV2VerzoekArray $verzoeken = null)
    {
        $this->verzoeken = $verzoeken;
        return $this;
    }
    /**
     * Get stukdelen value
     * @return \ArrayType\KadasterV2StukdeelArray|null
     */
    public function getStukdelen()
    {
        return $this->stukdelen;
    }
    /**
     * Set stukdelen value
     * @param \ArrayType\KadasterV2StukdeelArray $stukdelen
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function setStukdelen(\ArrayType\KadasterV2StukdeelArray $stukdelen = null)
    {
        $this->stukdelen = $stukdelen;
        return $this;
    }
}
