<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2KoopsomGegeven StructType
 * @subpackage Structs
 */
class KadasterV2KoopsomGegeven extends AbstractStructBase
{
    /**
     * The identificatie
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $identificatie;
    /**
     * The huisnummer_volledig
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $huisnummer_volledig;
    /**
     * The omschrijving_cultuur
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $omschrijving_cultuur;
    /**
     * The kadastrale_grootte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2KadastraleGrootte
     */
    public $kadastrale_grootte;
    /**
     * The koopsom
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Koopsom
     */
    public $koopsom;
    /**
     * Constructor method for KadasterV2KoopsomGegeven
     * @uses KadasterV2KoopsomGegeven::setIdentificatie()
     * @uses KadasterV2KoopsomGegeven::setHuisnummer_volledig()
     * @uses KadasterV2KoopsomGegeven::setOmschrijving_cultuur()
     * @uses KadasterV2KoopsomGegeven::setKadastrale_grootte()
     * @uses KadasterV2KoopsomGegeven::setKoopsom()
     * @param string $identificatie
     * @param string $huisnummer_volledig
     * @param string $omschrijving_cultuur
     * @param \StructType\KadasterV2KadastraleGrootte $kadastrale_grootte
     * @param \StructType\KadasterV2Koopsom $koopsom
     */
    public function __construct($identificatie = null, $huisnummer_volledig = null, $omschrijving_cultuur = null, \StructType\KadasterV2KadastraleGrootte $kadastrale_grootte = null, \StructType\KadasterV2Koopsom $koopsom = null)
    {
        $this
            ->setIdentificatie($identificatie)
            ->setHuisnummer_volledig($huisnummer_volledig)
            ->setOmschrijving_cultuur($omschrijving_cultuur)
            ->setKadastrale_grootte($kadastrale_grootte)
            ->setKoopsom($koopsom);
    }
    /**
     * Get identificatie value
     * @return string|null
     */
    public function getIdentificatie()
    {
        return $this->identificatie;
    }
    /**
     * Set identificatie value
     * @param string $identificatie
     * @return \StructType\KadasterV2KoopsomGegeven
     */
    public function setIdentificatie($identificatie = null)
    {
        // validation for constraint: string
        if (!is_null($identificatie) && !is_string($identificatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificatie, true), gettype($identificatie)), __LINE__);
        }
        $this->identificatie = $identificatie;
        return $this;
    }
    /**
     * Get huisnummer_volledig value
     * @return string|null
     */
    public function getHuisnummer_volledig()
    {
        return $this->huisnummer_volledig;
    }
    /**
     * Set huisnummer_volledig value
     * @param string $huisnummer_volledig
     * @return \StructType\KadasterV2KoopsomGegeven
     */
    public function setHuisnummer_volledig($huisnummer_volledig = null)
    {
        // validation for constraint: string
        if (!is_null($huisnummer_volledig) && !is_string($huisnummer_volledig)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($huisnummer_volledig, true), gettype($huisnummer_volledig)), __LINE__);
        }
        $this->huisnummer_volledig = $huisnummer_volledig;
        return $this;
    }
    /**
     * Get omschrijving_cultuur value
     * @return string|null
     */
    public function getOmschrijving_cultuur()
    {
        return $this->omschrijving_cultuur;
    }
    /**
     * Set omschrijving_cultuur value
     * @param string $omschrijving_cultuur
     * @return \StructType\KadasterV2KoopsomGegeven
     */
    public function setOmschrijving_cultuur($omschrijving_cultuur = null)
    {
        // validation for constraint: string
        if (!is_null($omschrijving_cultuur) && !is_string($omschrijving_cultuur)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($omschrijving_cultuur, true), gettype($omschrijving_cultuur)), __LINE__);
        }
        $this->omschrijving_cultuur = $omschrijving_cultuur;
        return $this;
    }
    /**
     * Get kadastrale_grootte value
     * @return \StructType\KadasterV2KadastraleGrootte|null
     */
    public function getKadastrale_grootte()
    {
        return $this->kadastrale_grootte;
    }
    /**
     * Set kadastrale_grootte value
     * @param \StructType\KadasterV2KadastraleGrootte $kadastrale_grootte
     * @return \StructType\KadasterV2KoopsomGegeven
     */
    public function setKadastrale_grootte(\StructType\KadasterV2KadastraleGrootte $kadastrale_grootte = null)
    {
        $this->kadastrale_grootte = $kadastrale_grootte;
        return $this;
    }
    /**
     * Get koopsom value
     * @return \StructType\KadasterV2Koopsom|null
     */
    public function getKoopsom()
    {
        return $this->koopsom;
    }
    /**
     * Set koopsom value
     * @param \StructType\KadasterV2Koopsom $koopsom
     * @return \StructType\KadasterV2KoopsomGegeven
     */
    public function setKoopsom(\StructType\KadasterV2Koopsom $koopsom = null)
    {
        $this->koopsom = $koopsom;
        return $this;
    }
}
