<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RiskCompanyAddress StructType
 * @subpackage Structs
 */
class RiskCompanyAddress extends AbstractStructBase
{
    /**
     * The type
     * @var string
     */
    public $type;
    /**
     * The address
     * @var \StructType\RiskAddress
     */
    public $address;
    /**
     * Constructor method for RiskCompanyAddress
     * @uses RiskCompanyAddress::setType()
     * @uses RiskCompanyAddress::setAddress()
     * @param string $type
     * @param \StructType\RiskAddress $address
     */
    public function __construct($type = null, \StructType\RiskAddress $address = null)
    {
        $this
            ->setType($type)
            ->setAddress($address);
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\RiskCompanyAddress
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get address value
     * @return \StructType\RiskAddress|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\RiskAddress $address
     * @return \StructType\RiskCompanyAddress
     */
    public function setAddress(\StructType\RiskAddress $address = null)
    {
        $this->address = $address;
        return $this;
    }
}
