<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SepaMatchAccountHolderResult StructType
 * @subpackage Structs
 */
class SepaMatchAccountHolderResult extends AbstractStructBase
{
    /**
     * The iban
     * @var string
     */
    public $iban;
    /**
     * The iban_found
     * @var bool
     */
    public $iban_found;
    /**
     * The bank_account_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SepaMatchBankAccountDetails
     */
    public $bank_account_details;
    /**
     * The bank_account_holder
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SepaMatchBankAccountHolder
     */
    public $bank_account_holder;
    /**
     * The name_matching_result
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SepaMatchNameMatchingResult
     */
    public $name_matching_result;
    /**
     * Constructor method for SepaMatchAccountHolderResult
     * @uses SepaMatchAccountHolderResult::setIban()
     * @uses SepaMatchAccountHolderResult::setIban_found()
     * @uses SepaMatchAccountHolderResult::setBank_account_details()
     * @uses SepaMatchAccountHolderResult::setBank_account_holder()
     * @uses SepaMatchAccountHolderResult::setName_matching_result()
     * @param string $iban
     * @param bool $iban_found
     * @param \StructType\SepaMatchBankAccountDetails $bank_account_details
     * @param \StructType\SepaMatchBankAccountHolder $bank_account_holder
     * @param \StructType\SepaMatchNameMatchingResult $name_matching_result
     */
    public function __construct($iban = null, $iban_found = null, \StructType\SepaMatchBankAccountDetails $bank_account_details = null, \StructType\SepaMatchBankAccountHolder $bank_account_holder = null, \StructType\SepaMatchNameMatchingResult $name_matching_result = null)
    {
        $this
            ->setIban($iban)
            ->setIban_found($iban_found)
            ->setBank_account_details($bank_account_details)
            ->setBank_account_holder($bank_account_holder)
            ->setName_matching_result($name_matching_result);
    }
    /**
     * Get iban value
     * @return string|null
     */
    public function getIban()
    {
        return $this->iban;
    }
    /**
     * Set iban value
     * @param string $iban
     * @return \StructType\SepaMatchAccountHolderResult
     */
    public function setIban($iban = null)
    {
        // validation for constraint: string
        if (!is_null($iban) && !is_string($iban)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iban, true), gettype($iban)), __LINE__);
        }
        $this->iban = $iban;
        return $this;
    }
    /**
     * Get iban_found value
     * @return bool|null
     */
    public function getIban_found()
    {
        return $this->iban_found;
    }
    /**
     * Set iban_found value
     * @param bool $iban_found
     * @return \StructType\SepaMatchAccountHolderResult
     */
    public function setIban_found($iban_found = null)
    {
        // validation for constraint: boolean
        if (!is_null($iban_found) && !is_bool($iban_found)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($iban_found, true), gettype($iban_found)), __LINE__);
        }
        $this->iban_found = $iban_found;
        return $this;
    }
    /**
     * Get bank_account_details value
     * @return \StructType\SepaMatchBankAccountDetails|null
     */
    public function getBank_account_details()
    {
        return $this->bank_account_details;
    }
    /**
     * Set bank_account_details value
     * @param \StructType\SepaMatchBankAccountDetails $bank_account_details
     * @return \StructType\SepaMatchAccountHolderResult
     */
    public function setBank_account_details(\StructType\SepaMatchBankAccountDetails $bank_account_details = null)
    {
        $this->bank_account_details = $bank_account_details;
        return $this;
    }
    /**
     * Get bank_account_holder value
     * @return \StructType\SepaMatchBankAccountHolder|null
     */
    public function getBank_account_holder()
    {
        return $this->bank_account_holder;
    }
    /**
     * Set bank_account_holder value
     * @param \StructType\SepaMatchBankAccountHolder $bank_account_holder
     * @return \StructType\SepaMatchAccountHolderResult
     */
    public function setBank_account_holder(\StructType\SepaMatchBankAccountHolder $bank_account_holder = null)
    {
        $this->bank_account_holder = $bank_account_holder;
        return $this;
    }
    /**
     * Get name_matching_result value
     * @return \StructType\SepaMatchNameMatchingResult|null
     */
    public function getName_matching_result()
    {
        return $this->name_matching_result;
    }
    /**
     * Set name_matching_result value
     * @param \StructType\SepaMatchNameMatchingResult $name_matching_result
     * @return \StructType\SepaMatchAccountHolderResult
     */
    public function setName_matching_result(\StructType\SepaMatchNameMatchingResult $name_matching_result = null)
    {
        $this->name_matching_result = $name_matching_result;
        return $this;
    }
}
