<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SortedPostcode StructType
 * @subpackage Structs
 */
class SortedPostcode extends AbstractStructBase
{
    /**
     * The postcode
     * @var string
     */
    public $postcode;
    /**
     * The distance
     * @var int
     */
    public $distance;
    /**
     * The precision
     * @var string
     */
    public $precision;
    /**
     * Constructor method for SortedPostcode
     * @uses SortedPostcode::setPostcode()
     * @uses SortedPostcode::setDistance()
     * @uses SortedPostcode::setPrecision()
     * @param string $postcode
     * @param int $distance
     * @param string $precision
     */
    public function __construct($postcode = null, $distance = null, $precision = null)
    {
        $this
            ->setPostcode($postcode)
            ->setDistance($distance)
            ->setPrecision($precision);
    }
    /**
     * Get postcode value
     * @return string|null
     */
    public function getPostcode()
    {
        return $this->postcode;
    }
    /**
     * Set postcode value
     * @param string $postcode
     * @return \StructType\SortedPostcode
     */
    public function setPostcode($postcode = null)
    {
        // validation for constraint: string
        if (!is_null($postcode) && !is_string($postcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postcode, true), gettype($postcode)), __LINE__);
        }
        $this->postcode = $postcode;
        return $this;
    }
    /**
     * Get distance value
     * @return int|null
     */
    public function getDistance()
    {
        return $this->distance;
    }
    /**
     * Set distance value
     * @param int $distance
     * @return \StructType\SortedPostcode
     */
    public function setDistance($distance = null)
    {
        // validation for constraint: int
        if (!is_null($distance) && !(is_int($distance) || ctype_digit($distance))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($distance, true), gettype($distance)), __LINE__);
        }
        $this->distance = $distance;
        return $this;
    }
    /**
     * Get precision value
     * @return string|null
     */
    public function getPrecision()
    {
        return $this->precision;
    }
    /**
     * Set precision value
     * @param string $precision
     * @return \StructType\SortedPostcode
     */
    public function setPrecision($precision = null)
    {
        // validation for constraint: string
        if (!is_null($precision) && !is_string($precision)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($precision, true), gettype($precision)), __LINE__);
        }
        $this->precision = $precision;
        return $this;
    }
}
