<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UittrekselKadastraleKaart StructType
 * @subpackage Structs
 */
class UittrekselKadastraleKaart extends AbstractStructBase
{
    /**
     * The kaart
     * @var string
     */
    public $kaart;
    /**
     * The kadastrale_aanduidingen
     * @var \ArrayType\KadastraleAanduidingArray
     */
    public $kadastrale_aanduidingen;
    /**
     * The afbeeldingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\Base64BinaryArray
     */
    public $afbeeldingen;
    /**
     * Constructor method for UittrekselKadastraleKaart
     * @uses UittrekselKadastraleKaart::setKaart()
     * @uses UittrekselKadastraleKaart::setKadastrale_aanduidingen()
     * @uses UittrekselKadastraleKaart::setAfbeeldingen()
     * @param string $kaart
     * @param \ArrayType\KadastraleAanduidingArray $kadastrale_aanduidingen
     * @param \ArrayType\Base64BinaryArray $afbeeldingen
     */
    public function __construct($kaart = null, \ArrayType\KadastraleAanduidingArray $kadastrale_aanduidingen = null, \ArrayType\Base64BinaryArray $afbeeldingen = null)
    {
        $this
            ->setKaart($kaart)
            ->setKadastrale_aanduidingen($kadastrale_aanduidingen)
            ->setAfbeeldingen($afbeeldingen);
    }
    /**
     * Get kaart value
     * @return string|null
     */
    public function getKaart()
    {
        return $this->kaart;
    }
    /**
     * Set kaart value
     * @param string $kaart
     * @return \StructType\UittrekselKadastraleKaart
     */
    public function setKaart($kaart = null)
    {
        // validation for constraint: string
        if (!is_null($kaart) && !is_string($kaart)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kaart, true), gettype($kaart)), __LINE__);
        }
        $this->kaart = $kaart;
        return $this;
    }
    /**
     * Get kadastrale_aanduidingen value
     * @return \ArrayType\KadastraleAanduidingArray|null
     */
    public function getKadastrale_aanduidingen()
    {
        return $this->kadastrale_aanduidingen;
    }
    /**
     * Set kadastrale_aanduidingen value
     * @param \ArrayType\KadastraleAanduidingArray $kadastrale_aanduidingen
     * @return \StructType\UittrekselKadastraleKaart
     */
    public function setKadastrale_aanduidingen(\ArrayType\KadastraleAanduidingArray $kadastrale_aanduidingen = null)
    {
        $this->kadastrale_aanduidingen = $kadastrale_aanduidingen;
        return $this;
    }
    /**
     * Get afbeeldingen value
     * @return \ArrayType\Base64BinaryArray|null
     */
    public function getAfbeeldingen()
    {
        return $this->afbeeldingen;
    }
    /**
     * Set afbeeldingen value
     * @param \ArrayType\Base64BinaryArray $afbeeldingen
     * @return \StructType\UittrekselKadastraleKaart
     */
    public function setAfbeeldingen(\ArrayType\Base64BinaryArray $afbeeldingen = null)
    {
        $this->afbeeldingen = $afbeeldingen;
        return $this;
    }
}
